GNU bug report logs - #60505
29.0.60; Fido Mode and Tramp Completion

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Julien Roy <julien@HIDDEN>; merged with #51386, #52758, #53513, #54042; dated Tue, 3 Jan 2023 00:22:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 8 Feb 2023 14:42:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 08 09:42:33 2023
Received: from localhost ([127.0.0.1]:55163 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pPlea-0007nI-PQ
	for submit <at> debbugs.gnu.org; Wed, 08 Feb 2023 09:42:33 -0500
Received: from mout.gmx.net ([212.227.17.22]:59677)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1pPleY-0007n4-Fa
 for 60505 <at> debbugs.gnu.org; Wed, 08 Feb 2023 09:42:31 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1675867336; bh=KEwTQGom1qZP7SpdhyLr/ry5q2QAbZrKiXF0vYzvYYk=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=TNzz1bFJn+4vwS9+Lnk//K0sjhy7qOiqtSWoNPPDZIQ/XSKGFBQDtR7ZzLG6f5zrE
 iNOdoCI22lKQMqkKUokRSazwMkL6AFucjhGSORYl/0v2AjpvCOUwtZOqzroM33vZIX
 vU/w8Vhb3wrTVHzzpwIdhpee0niG46SJgmfsTQldgYEFa/fjICh/Sk/rByEMFdpXOg
 +mjXMx/hfYR4uC9lr5D4NT6Gopd/ajrQGGyOO61VOBQfCprnfWjWvICv9jHyrR/KPS
 TAqJYnoWuzlW/E8pVmMsb0SSfTCzbZkdetlCNB2Gt7QDa5tGaUiRo/TC6lQ/OFh2kd
 PUuilpLHEXtmA==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.39.22]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1M8QS8-1pU9N216Su-004Wdh; Wed, 08
 Feb 2023 15:42:16 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: dick <dick.r.chiang@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <878rh8b5y2.fsf@dick> (dick's message of "Wed, 08 Feb 2023
 09:13:57 -0500")
References: <87k024918k.fsf@HIDDEN> <87o7qwm3dd.fsf@HIDDEN>
 <43562d4dd9c31382eb40@HIDDEN> <87k011dtw2.fsf@HIDDEN>
 <43562d4dd93037f7d01f@HIDDEN> <834js4zi69.fsf@HIDDEN>
 <87cz6seanu.fsf@HIDDEN> <jwvsffonlfp.fsf-monnier+emacs@HIDDEN>
 <87mt5udaey.fsf@HIDDEN> <87zg9qr9ht.fsf@HIDDEN>
 <87h6vy71o1.fsf@HIDDEN> <87357hkg95.fsf@HIDDEN>
 <87cz6lfibi.fsf@HIDDEN> <87edr1nxa0.fsf@HIDDEN>
 <87bkm5b46w.fsf@HIDDEN> <87357h19qj.fsf@dick> <87zg9omvjk.fsf@HIDDEN>
 <878rh8flci.fsf@dick> <87fsbgmhjf.fsf@HIDDEN> <83mt5onvii.fsf@HIDDEN>
 <878rh8b5y2.fsf@dick>
Date: Wed, 08 Feb 2023 15:42:14 +0100
Message-ID: <878rh8md6h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:KItzAvgk7dNE6sEDs9AHqXxqX7WxeDYQC1dLi8FwYRLKoWdDgpR
 qDscmz+7mbZNKf/Fd1gjU6CVqT1VaG9InBmIf8RlS7wc3/cJIwComNlU3Q5JfxiHAE5jmRM
 GyY7GospV+vgamduUkjjGxguJOC8NXDRB4/JywbLzCwU/jEsUks2etfqxDwVSxtbyKc+C2V
 Ctk4Om+SL/RQHawdkjDjQ==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:l57BlyNKabA=;Sm6TQxR/UzoOWD91W0k9lTFSwWC
 LbXGAGCqOjkoKlr9qhvqnUGSrEosqfq3qAL5cH42Tvb4KIDVRx7hG/t6TrBzW76M12aftNg8t
 LBJIotCkiJL9OpUEH0Q2498Oq/aubdF4R/Ri/XwtrgYu5Nbx35GHLxYNpWySgn0yYfkvRcS33
 vEknaWMpLS0h7au4V5ZDZX8xFq+6LboQFkmX0f+UXIpjgodKRO2tyvWzhESjQVL0OPEwwumjt
 EO67+88C1ibrkXsE3MNQ0qoEHPeJg3BDu7OnROC2z1Zj4S2YUSDhto6xrDh6BksNoCksX1VR7
 9uQmA2Q+jpNlrFs1RfZ392LIw9bzCKMXX9uGs0kl1fDuXk10kNkTtr6IrR5A6FGwsgIyv5jWz
 TgeIZc71r49jTevkvX5D6i+dKLTypgo61ZHoaYUyVjTVFSVPbZ1NT9bcodOfUNkV+tZVLPP1T
 MIZib03gZSLp65V0lHNf9rxOLUFghKjXItMDd+x5lOi71vX6GJXexqpBsJ6NoJahmY4z1eKvE
 0EyotHhrNndCdj7EopK+WKHKITg03uOaYNHTJE4Ib4JpUpJUMWrzwpIOTr4b+Pf3IQ9fp1tTw
 bxroVz7BRhARBrfpxoi17RtOEzohYnsIlsCWq1HxAyi1q6xjMN7ia+vkn2eM0kKM6Eq4xh4Xo
 QmnXxxG9sM78fTLUaU4rnqFdahhNdbAwFy508yO4AYXbZBxYqqR45PcIVShSbO1YBbV0LSZuJ
 vV3glsiyyfEWI2dolIt5W/Pr1nEXHW+auJ4UIQu3CsDtoS1DQ83Au8TXfWP1d61L3VbHHuEc8
 45YcmSXaLUWru1Drgodac4uIsCkGZdwIrDYqtPRP7kRo6r06k8WK5UWPfgvvIu2+pslqacRqN
 a3AjA+Z75GzJ1yui2TqkK51ZnoEINZG7X7MBr3CQ7i/Xed2n3myaVQ2515KwFJ+XO3NtIk3Yj
 94t1bQayi25BxhEd5QJA00KjbG4=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, michael_heerdegen@HIDDEN, gregory@HIDDEN,
 monnier@HIDDEN, julien@HIDDEN, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

dick <dick.r.chiang@HIDDEN> writes:

Hi,

> EZ> dick.r.chiang goes the easy way of commenting from the peanut gallery
>
> This was my dialogue with the EMBA guy in November 2021.
>
> Guy: Your patch to gitlab-ci.yml doesn't help here. [Ed. he says "your
> blank doesn't help here" a lot]
>
> Me: If you lack the time to make EMBA relevant, let me do it.  I can do it.
>
> Guy: Thanks for the offer, patches welcome! If you like, I could add also an
> account for you on emba.gnu.org.
>
> Me: By "account for you on emba.gnu.org," I assume you mean an ssh login
> with write privileges to the gitlab installation.  If so, I accept.
>
> Guy: No, I'm speaking about an account of that gitlab instance. OK?
>
> Me: Then never mind, good sir.  Among other issues, I wanted https://emba.gnu.org
> to respond within the realm of useabilty (sooner than the current ~10s).  I'm
> going to need ssh for that.

This discussion is from  bug#51399. You have forgotten to quote the rest
of this discussion. (And no, I don't want to discuss this, again.)

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 8 Feb 2023 14:28:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 08 09:28:23 2023
Received: from localhost ([127.0.0.1]:55132 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pPlQs-0007OS-3L
	for submit <at> debbugs.gnu.org; Wed, 08 Feb 2023 09:28:23 -0500
Received: from mail-qv1-f54.google.com ([209.85.219.54]:47017)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dick.r.chiang@HIDDEN>) id 1pPlD2-00072G-3G
 for 60505 <at> debbugs.gnu.org; Wed, 08 Feb 2023 09:14:05 -0500
Received: by mail-qv1-f54.google.com with SMTP id c5so5826674qvk.13
 for <60505 <at> debbugs.gnu.org>; Wed, 08 Feb 2023 06:14:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=1Qqk6GIZ5olnUkzLoUBhPv1zdNet4/le6zMMYBGImuU=;
 b=XohwXOxP+VzoplVZwlBYJQB8R5kFfbnufhBraCjrZISrYt/n/IRKQDTLH+IsbbIMyJ
 lY4tBqIjYWbDUsdBXpjhbaYdXp9baicm91+8TZYZcg+Qng9Lp/219POwKk2raT0PdUho
 FvGHEkRgiAMPm55CN+fTfxzuOp6x6aU6sBi8rdlfiJ0dyFglcLMgqe9tJ05ZASjfq9mS
 wUic8P/0kjbvKe0P+xx+PYgKmrHmdO3ymJ3silT6M+Wa4nvJxTFa7fVh5eXJbdSIBDUG
 YoUFDTC5PHFlaW4rxdnuQtWd7JPoUInjOFdZIyvbnN/cbxuBiH4cR91CuiSXR8+1EYRh
 vIGQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:x-gm-message-state:from:to:cc:subject:date
 :message-id:reply-to;
 bh=1Qqk6GIZ5olnUkzLoUBhPv1zdNet4/le6zMMYBGImuU=;
 b=Bc+kF/EkjAEpgTc0NTz3Eo/a4wISp71gygCQdxMiGgX5kWp0lpd73RdBeK1zDy08Gy
 IgrTit1dt/pNHEjybkC5YVi9vPyW5WG9bgbLKd9i/lxM0yB0a7khhU48wXCVC1gLlr9X
 aX3tVZj2XO2UAScEODHDFPfFxrn30R/DhGOIxldS8ZDNjJVa1VR4QTlEA6RuPaxpH2We
 cfXZSHZ3yvjtUEkUnIYiXneHl0l6TciAkxD4C4Hx+e33ptd9J+NSDn1Xo0o+nBq+JNXJ
 9VJXSMrp5bEiqY/iHC2dTiL81WH7lQB16n9KJ5XdCJV9mJUzeUVCm7oybhUupLQ0M3+t
 jiVQ==
X-Gm-Message-State: AO0yUKVetX5YpoXoCjURQtst+OSFy2MbtyEc1O2wbSaLVplTtNf0pK/q
 nD3H0bttPq5ZXAPNY5su1wg=
X-Google-Smtp-Source: AK7set+38s80UVqDyenI5eSyaa1SOQV8faGq456ruG8Xn4OhhvYFbP8flMFzwg4rLoQGbuJx9CHUsA==
X-Received: by 2002:ad4:4b67:0:b0:56b:f28a:ee2d with SMTP id
 m7-20020ad44b67000000b0056bf28aee2dmr3038344qvx.5.1675865638459; 
 Wed, 08 Feb 2023 06:13:58 -0800 (PST)
Received: from localhost (ool-45763be4.dyn.optonline.net. [69.118.59.228])
 by smtp.gmail.com with ESMTPSA id
 o27-20020a05620a15db00b00731fe65bef2sm7884035qkm.66.2023.02.08.06.13.57
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 08 Feb 2023 06:13:58 -0800 (PST)
From: dick <dick.r.chiang@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <83mt5onvii.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 08 Feb
 2023 15:20:53 +0200")
References: <87k024918k.fsf@HIDDEN> <cf717d2477a320fb64ce@HIDDEN>
 <87o7qwm3dd.fsf@HIDDEN> <43562d4dd9c31382eb40@HIDDEN>
 <87k011dtw2.fsf@HIDDEN> <43562d4dd93037f7d01f@HIDDEN>
 <834js4zi69.fsf@HIDDEN> <87cz6seanu.fsf@HIDDEN>
 <jwvsffonlfp.fsf-monnier+emacs@HIDDEN> <87mt5udaey.fsf@HIDDEN>
 <87zg9qr9ht.fsf@HIDDEN> <87h6vy71o1.fsf@HIDDEN>
 <87357hkg95.fsf@HIDDEN> <87cz6lfibi.fsf@HIDDEN>
 <87edr1nxa0.fsf@HIDDEN> <87bkm5b46w.fsf@HIDDEN> <87357h19qj.fsf@dick>
 <87zg9omvjk.fsf@HIDDEN> <878rh8flci.fsf@dick> <87fsbgmhjf.fsf@HIDDEN>
 <83mt5onvii.fsf@HIDDEN>
Date: Wed, 08 Feb 2023 09:13:57 -0500
Message-ID: <878rh8b5y2.fsf@dick>
User-Agent: Gnus/5.14 (Gnus v5.14)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60505
X-Mailman-Approved-At: Wed, 08 Feb 2023 09:28:17 -0500
Cc: 60505 <at> debbugs.gnu.org, michael_heerdegen@HIDDEN, gregory@HIDDEN,
 Michael Albinus <michael.albinus@HIDDEN>, monnier@HIDDEN,
 julien@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

EZ> dick.r.chiang goes the easy way of commenting from the peanut gallery

This was my dialogue with the EMBA guy in November 2021.

Guy: Your patch to gitlab-ci.yml doesn't help here. [Ed. he says "your
blank doesn't help here" a lot]

Me: If you lack the time to make EMBA relevant, let me do it.  I can do it.

Guy: Thanks for the offer, patches welcome! If you like, I could add also an
account for you on emba.gnu.org.

Me: By "account for you on emba.gnu.org," I assume you mean an ssh login
with write privileges to the gitlab installation.  If so, I accept.

Guy: No, I'm speaking about an account of that gitlab instance. OK?

Me: Then never mind, good sir.  Among other issues, I wanted https://emba.gnu.org
to respond within the realm of useabilty (sooner than the current ~10s).  I'm
going to need ssh for that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 8 Feb 2023 14:28:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 08 09:28:22 2023
Received: from localhost ([127.0.0.1]:55130 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pPlQr-0007OK-Nh
	for submit <at> debbugs.gnu.org; Wed, 08 Feb 2023 09:28:22 -0500
Received: from mail-qt1-f180.google.com ([209.85.160.180]:43713)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dick.r.chiang@HIDDEN>) id 1pPkXI-0005sg-8m
 for 60505 <at> debbugs.gnu.org; Wed, 08 Feb 2023 08:30:57 -0500
Received: by mail-qt1-f180.google.com with SMTP id cr22so20570651qtb.10
 for <60505 <at> debbugs.gnu.org>; Wed, 08 Feb 2023 05:30:56 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=anEPLG/aUsmL4H0RRbPzjkGql5Riy/hIJ9fX5tUAqPk=;
 b=l8CPvT4NB/y2dGUM/kSLSIj6SGuDawD2oR6IbOToOgMRPJciT98R2EhT5XtPHyIVjN
 zSIMCmGW9c7epb8AwVKYfG0ykyh/qgEL+ub3Pm9xrBUFnvgZNXw2IQFQNef0t8MdZCvj
 GxipU2SXtLQgedCbm8urhGwvoOzH9XUEaXNj/poOfc1yWTLas0nrC1rMFjSl3waMxJdG
 nIXkvWhPF75eXKtpRIlMaFQQG84eqKkXEd2P+LXu0do3BMnukE/jYVszCGaoIfkz+4BM
 zE9eOZOnLaSVN8t7qWgLtOy9Pt8yS6tPaHoHMVEXwkVDjSbwBVEMIaRxSf1/iZ28WLr6
 2lHQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:x-gm-message-state:from:to:cc:subject:date
 :message-id:reply-to;
 bh=anEPLG/aUsmL4H0RRbPzjkGql5Riy/hIJ9fX5tUAqPk=;
 b=zKNXSsD3FFS8tTBQptAI9qmEmaG5rP/YvZ2Vvl2BMhmjlyzPZM9Di7Acfl3cYeHKPI
 Qm8pG8TlddHDPm7q4DuZAI+kduqxHmX335DHwmk8zG8RG6nnFYtIQ+9Eqctw4hh4M5+D
 tY4sG5XoHcGTTAQtbKpM4HZpNDucj3uTDFHOLjScGOnB82GcDamDoV0cYuGoEQ42eTRr
 hRZlllkEfKdziy7B1CPUR13joowSlwfamijoSc0UwRUN74k9LghffvMA4A4EbryA85rR
 z8hAeazJI5GgWaf/vM/+QLTZ1qdCYS9prBk4RUumXht4NgwjZ6QO4jBuoCXrWIqx/rlz
 IMVQ==
X-Gm-Message-State: AO0yUKUCTWmxRdURaXX1TIL+doo+wSDT3Ao8t6iFyJGJFt4Z12qpXJTI
 Q5taNvAGPKOHUudUgOU9dW4=
X-Google-Smtp-Source: AK7set+EVQrBnpra1JTgC61TYwsH2+rvTak2ocnbWtmaNv7IEr4Ito2bJPzI/RrtIaqN8Ox2M77tIA==
X-Received: by 2002:a05:622a:1752:b0:3b9:a965:7af2 with SMTP id
 l18-20020a05622a175200b003b9a9657af2mr11642871qtk.45.1675863050729; 
 Wed, 08 Feb 2023 05:30:50 -0800 (PST)
Received: from localhost (ool-45763be4.dyn.optonline.net. [69.118.59.228])
 by smtp.gmail.com with ESMTPSA id
 c11-20020a05620a164b00b0071c9bf854c6sm11465133qko.69.2023.02.08.05.30.50
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 08 Feb 2023 05:30:50 -0800 (PST)
From: dick <dick.r.chiang@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <87fsbgmhjf.fsf@HIDDEN> (Michael Albinus's message of "Wed, 08
 Feb 2023 14:08:04 +0100")
References: <87k024918k.fsf@HIDDEN> <87a62jmwj6.fsf@HIDDEN>
 <cf717d2477a320fb64ce@HIDDEN> <87o7qwm3dd.fsf@HIDDEN>
 <43562d4dd9c31382eb40@HIDDEN> <87k011dtw2.fsf@HIDDEN>
 <43562d4dd93037f7d01f@HIDDEN> <834js4zi69.fsf@HIDDEN>
 <87cz6seanu.fsf@HIDDEN> <jwvsffonlfp.fsf-monnier+emacs@HIDDEN>
 <87mt5udaey.fsf@HIDDEN> <87zg9qr9ht.fsf@HIDDEN>
 <87h6vy71o1.fsf@HIDDEN> <87357hkg95.fsf@HIDDEN>
 <87cz6lfibi.fsf@HIDDEN> <87edr1nxa0.fsf@HIDDEN>
 <87bkm5b46w.fsf@HIDDEN> <87357h19qj.fsf@dick> <87zg9omvjk.fsf@HIDDEN>
 <878rh8flci.fsf@dick> <87fsbgmhjf.fsf@HIDDEN>
Date: Wed, 08 Feb 2023 08:30:49 -0500
Message-ID: <875ycccmie.fsf@dick>
User-Agent: Gnus/5.14 (Gnus v5.14)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60505
X-Mailman-Approved-At: Wed, 08 Feb 2023 09:28:17 -0500
Cc: 60505 <at> debbugs.gnu.org, Michael Heerdegen <michael_heerdegen@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, julien@HIDDEN,
 Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> And a branch to be (pre-)tested on EMBA wouldn't help here.

That's because you've largely missed the point of the Gitlab product.
Register everyone with commit rights to EMBA.  And then hope they're
conscientious enough to kick off a test run before making a nontrivial
change.  This last step would be less of an issue if management ceased
clinging to a neolithic changeset procedure that keeps the dev base
artificially small and old.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 8 Feb 2023 13:20:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 08 08:20:48 2023
Received: from localhost ([127.0.0.1]:55051 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pPkNT-0005aT-Ig
	for submit <at> debbugs.gnu.org; Wed, 08 Feb 2023 08:20:47 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35318)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1pPkNP-0005aC-Uu
 for 60505 <at> debbugs.gnu.org; Wed, 08 Feb 2023 08:20:45 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1pPkNI-0002Kx-H9; Wed, 08 Feb 2023 08:20:36 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=Bc2cVeJpM+qjeoxUOagAt9edA0/fSLpFq5eRhVnLmGo=; b=jUB5vRvavD+I
 c9F3f+fbusIzmLJ1aubCutSyDcG/f1PTDAA5AA+v/XM0B8nBil/bya4TSt2IrQFaHhlKtGGnxZgT+
 jaV2CzOjKOAqd4idCgGYT6l0fqToLb+PKiZqFY8uyNIVQYSoCv0kdNsMT60z22qYhwBB93PTrdEqY
 8CVxo1lT6UXbcF0WtvnQ3hL5TKDPeb8vDwrUaZi3arWIrDRviuYHoOJyTCYxMMDbqhAhQbCdroXC8
 w0Vg0bV++uK4JD4Kmla/GNi5EQmCeTHY9y08ovqnfML0em/M8y8X6nMvQ39IZ6AeJ/Zwv8+tWWyv1
 hMAMiwfBpnfCvSeApSFQqA==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1pPkNH-0005zi-Ju; Wed, 08 Feb 2023 08:20:35 -0500
Date: Wed, 08 Feb 2023 15:20:53 +0200
Message-Id: <83mt5onvii.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
In-Reply-To: <87fsbgmhjf.fsf@HIDDEN> (message from Michael Albinus on Wed, 08
 Feb 2023 14:08:04 +0100)
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
References: <87k024918k.fsf@HIDDEN> <8aadf0ddd54d67a3213d@HIDDEN>
 <87a62jmwj6.fsf@HIDDEN> <cf717d2477a320fb64ce@HIDDEN>
 <87o7qwm3dd.fsf@HIDDEN> <43562d4dd9c31382eb40@HIDDEN>
 <87k011dtw2.fsf@HIDDEN> <43562d4dd93037f7d01f@HIDDEN>
 <834js4zi69.fsf@HIDDEN> <87cz6seanu.fsf@HIDDEN>
 <jwvsffonlfp.fsf-monnier+emacs@HIDDEN> <87mt5udaey.fsf@HIDDEN>
 <87zg9qr9ht.fsf@HIDDEN> <87h6vy71o1.fsf@HIDDEN>
 <87357hkg95.fsf@HIDDEN> <87cz6lfibi.fsf@HIDDEN>
 <87edr1nxa0.fsf@HIDDEN> <87bkm5b46w.fsf@HIDDEN> <87357h19qj.fsf@dick>
 <87zg9omvjk.fsf@HIDDEN> <878rh8flci.fsf@dick> <87fsbgmhjf.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, michael_heerdegen@HIDDEN, gregory@HIDDEN,
 dick.r.chiang@HIDDEN, julien@HIDDEN, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Michael Albinus <michael.albinus@HIDDEN>
> Cc: 60505 <at> debbugs.gnu.org,  Michael Heerdegen <michael_heerdegen@HIDDEN>,
>   Gregory Heytings <gregory@HIDDEN>,  Stefan Monnier
>  <monnier@HIDDEN>,  julien@HIDDEN,  Eli Zaretskii <eliz@HIDDEN>
> Date: Wed, 08 Feb 2023 14:08:04 +0100
> 
> dick <dick.r.chiang@HIDDEN> writes:
> 
> Hi,
> 
> > EMBA, being a Gitlab product, was designed to accommodate branches, the
> > idea being you vet your changes on a feature branch before merging to
> > master.  Something for management to think about since no one, including
> > the guy in charge of EMBA, seems to do this.
> 
> Here you have a point. I didn't expect so much trouble in this case, and
> so I haven't used a branch. Which would have other disadvantages, for
> example less people to test.
> 
> And a branch to be (pre-)tested on EMBA wouldn't help here. I have added
> ERT tests for the new behavior, and they run on EMBA successfully. The
> problem is the *interactive* reading of file names - something which
> cannot be tested on EMBA.

Michael, please don't sweat over this.  Using temporary branches for
CI-style testing before committing to mainline requires a very
different style and procedures of development than what we have.  We
don't have the resources to use those development procedures on a
routine basis, and the group of people who can be vaguely described as
"the development team" -- those who contribute changes frequently
enough to benefit from test-before-commit workflow -- is too diverse
and too decentralized to expect them to abide by the discipline
required for implementing CI-driven workflows.  dick.r.chiang goes the
easy way of commenting from the peanut gallery (in his usual arrogant
and condescending style) instead of doing what is expected from a
well-meaning community member: volunteer to do this job himself and
find enough volunteers for us to be able to go anywhere near using CI
routinely.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 8 Feb 2023 13:08:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 08 08:08:23 2023
Received: from localhost ([127.0.0.1]:55030 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pPkBT-0002t5-HV
	for submit <at> debbugs.gnu.org; Wed, 08 Feb 2023 08:08:23 -0500
Received: from mout.gmx.net ([212.227.17.20]:47583)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1pPkBR-0002so-GC
 for 60505 <at> debbugs.gnu.org; Wed, 08 Feb 2023 08:08:22 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1675861686; bh=od3f8ISwDAA69NSdsC4sd0B6dmUGLF/uUVlf8UHbkdk=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=dGFaQlu+Yxp5l4937TTxXMappLiIgsnVB4BGowbzrOYZbPCP6/H59Ox6djEqcx0u6
 JFCFnqXkhPZwiJuQLsk5H/6VvVGrBdXO9IBluwVey2+y33Tvc77wcOrHFJRtTBAhSj
 p8eQVfUL+GkjueZRjmBf/Zv5EZ+vpBU3Dyhig1naUCfoOZyQBu/TXMM50GSelr/5yd
 m4+78CQWi0tiS9gCcph4/hcPc0oITWzqIelcZBaGaUpzmJdTLg88OV3brlxeC2mRaD
 vhh3QKfWcysuLFNkD38/ShmkY4q7r7Q8VOYYxMhqg/yLlE0uldirs8GIDOnQCsUIx9
 hl8JjtuvfwTsg==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.39.22]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MulmF-1oY3IT17qN-00rqNx; Wed, 08
 Feb 2023 14:08:06 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: dick <dick.r.chiang@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <878rh8flci.fsf@dick> (dick's message of "Wed, 08 Feb 2023
 06:27:41 -0500")
References: <87k024918k.fsf@HIDDEN> <8aadf0ddd54d67a3213d@HIDDEN>
 <87a62jmwj6.fsf@HIDDEN> <cf717d2477a320fb64ce@HIDDEN>
 <87o7qwm3dd.fsf@HIDDEN> <43562d4dd9c31382eb40@HIDDEN>
 <87k011dtw2.fsf@HIDDEN> <43562d4dd93037f7d01f@HIDDEN>
 <834js4zi69.fsf@HIDDEN> <87cz6seanu.fsf@HIDDEN>
 <jwvsffonlfp.fsf-monnier+emacs@HIDDEN> <87mt5udaey.fsf@HIDDEN>
 <87zg9qr9ht.fsf@HIDDEN> <87h6vy71o1.fsf@HIDDEN>
 <87357hkg95.fsf@HIDDEN> <87cz6lfibi.fsf@HIDDEN>
 <87edr1nxa0.fsf@HIDDEN> <87bkm5b46w.fsf@HIDDEN> <87357h19qj.fsf@dick>
 <87zg9omvjk.fsf@HIDDEN> <878rh8flci.fsf@dick>
Date: Wed, 08 Feb 2023 14:08:04 +0100
Message-ID: <87fsbgmhjf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:8XIjETexbg300EyMqXDNaWjT9p2FQ8NICClS7qIzot/r103WDQR
 B25NmDupRKUQnTl4KHdGc6yzoyF7UBvV+j6OpwUY+xSHQlVQkPR1z/EJHy6EsTyPzm5Xayr
 B7GOOyDOqzPOcBz1liMLTE87nNGyuxzyVA9sPD6itoYBCySUHpL12Y4SYiTZWELw0v2Yi9a
 oemiER2HzGqnk4pZwuYkQ==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:da9+ulFgI8M=;tEvibHNuTpNXxldN2Slj4z6jVNH
 8mjjv3NAUG5UD3MpJge7fR4ltYR65yib7EBCuu+LvFtRrYV8UivNxFMOSqEqWhbqIBH5UOt9V
 fcyVaIB9yD70d5WHvZLdQBS9HlMUS1yVBaj7nuO26vSprL2VLX85phWcfUkhi2i1NKvv/OCYr
 +gDThDCx6YfNFj2c+olu7vNS0CG9QRoQEl6sSw6h3Mv/YxRHGblDK5O3sThYWS2ggqmCh3VPp
 HOFc+EoZfg0IZ6WCeOoLBReDadIpwpOFFeXVtu4blC1tXxO9CTnkHUF0rqgOPsklldqTgnfqC
 sSZHw5zLieLuxpqnGN+E0WkHWkIcQmg94svsz4DmYt8el4tCivLdIRqqIHzz7nlYK514Ra8bw
 V3dfCbSevYxKmQAfXM7jcfoj/juNTAel/l7MlorA/oiBO80JZU9Csp+v2h4bgHQtFVyWeb7AF
 j/sWymhHkBZBhCUKfhKyv6LeqrVmQaXHC92zJyb4QZwYfvaaah5x3zs6YiI1uSMbNY31zm+b0
 FPbtFpuQzThpcGT+u2cC1EMVlmH97SThhEHvhkhMN8LBw2gb+7OD9dIYZszzS94zEdAzM5cIb
 4joVfu0fpzvlATPLLxHhWxbofnRvYLC95VBI5RRQzYZniyRXTqFX6xbS/t3gHEyQsX6s63zpG
 4GqdeccPRcISwsZhtTn4EuBjKqR9yD+z7unuMzV3JzARz3t6RLTdh2IGl0jeypgiHCtq6S94f
 wBL/7o8qU92WzBjN4zDc5xMA69by2jblZGSnQjK3zdnqRYvbsrs1/33Ehx+bGl83a2oyAyj9U
 UZPvgsFtMp4Ls1eDtoquHyw49XJJs5m1rfryXpIb9phqDFkVt4yoctkXcJc73hy7lgHzQ7hs4
 QDXQT+KKhMbK9k8UT/OoSh+1QynET0ELPgc5cnxmft0u9WcB75jT7oehtm3cX40qssb6+iM/b
 qm2OW6nIKhI+HEY8kprFlMTTGrI=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Michael Heerdegen <michael_heerdegen@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, julien@HIDDEN,
 Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

dick <dick.r.chiang@HIDDEN> writes:

Hi,

> EMBA, being a Gitlab product, was designed to accommodate branches, the
> idea being you vet your changes on a feature branch before merging to
> master.  Something for management to think about since no one, including
> the guy in charge of EMBA, seems to do this.

Here you have a point. I didn't expect so much trouble in this case, and
so I haven't used a branch. Which would have other disadvantages, for
example less people to test.

And a branch to be (pre-)tested on EMBA wouldn't help here. I have added
ERT tests for the new behavior, and they run on EMBA successfully. The
problem is the *interactive* reading of file names - something which
cannot be tested on EMBA.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 8 Feb 2023 13:04:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 08 08:04:30 2023
Received: from localhost ([127.0.0.1]:55016 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pPk7i-0002lu-56
	for submit <at> debbugs.gnu.org; Wed, 08 Feb 2023 08:04:30 -0500
Received: from mail-qt1-f176.google.com ([209.85.160.176]:37622)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dick.r.chiang@HIDDEN>) id 1pPic8-0005wN-6G
 for 60505 <at> debbugs.gnu.org; Wed, 08 Feb 2023 06:27:48 -0500
Received: by mail-qt1-f176.google.com with SMTP id m12so20264475qth.4
 for <60505 <at> debbugs.gnu.org>; Wed, 08 Feb 2023 03:27:48 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=DzTsIj7ikJEhUb93wJkjI+UhoOCABYftCTJEXEsIhW0=;
 b=OrOKVNi3EQQELklqc2z4yYVKvAGW5vvIDquZdyYsx0JwuBiw1rzstShGcC0V/w9PH2
 1Y7537yER06iiiCHMsu/PhiYR0/7s3sAqPE27NmTjbzeziV2Bi798hKe33iuv68wYvGf
 k3LfGHYdefQdC6ifAHzorgBNeHzxaZZa1sPSRO+//Qs1o9kkbbAh1+uG5o4XeUDwWhF9
 UNHCU4cwJtJeyKBYuSXFgt/oRIJqz5p8yatgKHlsUYih51hfqm8zYyBpGTJaIS5dGgR3
 xgZRKbBBghCbMBdsBz3PO71TIJQQqrxiqmsv95UKTaNhTMz5HEkx66mjK3cjLc8xMhpI
 cx4A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:message-id:date:references:in-reply-to
 :subject:cc:to:from:x-gm-message-state:from:to:cc:subject:date
 :message-id:reply-to;
 bh=DzTsIj7ikJEhUb93wJkjI+UhoOCABYftCTJEXEsIhW0=;
 b=VYvUEVXzAOkOcro4xtOKWjuq/k8OCJCbEx89+IQdRnddkTbgpmlSOCuM2k3RRQj1yt
 iwGC/o0x+lzuhgqT6FEgfBcm5uZXnaYOa6MWwNfpiW//JkDe6GA8GMGGcxU0LztDJw1p
 X/+HQhw2rxiG5fnxiKnkHGNRjaXjdBjwS1yku5keKcGMGLCPBTqXwvRug0zK/Xx0vrMS
 75uCGIHEknUH40K3E06ugDsiDcxtYaTPfiwyQEGvrKdw5NSqlIJ6/gy0f8zBxWJa7IgA
 /aj48CNMKj5WQKZ9H8MKV4hf0LdTrnJad1OnuhafM1fcwZuz8b1IsVWzJXKhR2qYAr45
 UZeQ==
X-Gm-Message-State: AO0yUKUdOuYQ+i9DMVkV/8dLJRYyCpDKONiMw+7zusqDiucdvS9fYJhB
 4/W57HRhY91wKA1XB22GAug=
X-Google-Smtp-Source: AK7set+kWVfRxtwkeOk+Ehnyt9EVKHL5cCAL/jsHeEY5waTHZWDfFRfQKTcac+TwlHIIUO60trxNyQ==
X-Received: by 2002:ac8:5781:0:b0:3b8:68ef:d538 with SMTP id
 v1-20020ac85781000000b003b868efd538mr11447934qta.52.1675855662394; 
 Wed, 08 Feb 2023 03:27:42 -0800 (PST)
Received: from localhost (ool-45763be4.dyn.optonline.net. [69.118.59.228])
 by smtp.gmail.com with ESMTPSA id
 n2-20020a05620a294200b006f9ddaaf01esm11825840qkp.102.2023.02.08.03.27.41
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 08 Feb 2023 03:27:41 -0800 (PST)
From: dick <dick.r.chiang@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <87zg9omvjk.fsf@HIDDEN> (Michael Albinus's message of "Wed, 08
 Feb 2023 09:05:35 +0100")
References: <87k024918k.fsf@HIDDEN> <371ba1d0be1f14c7c798@HIDDEN>
 <8aadf0ddd54d67a3213d@HIDDEN> <87a62jmwj6.fsf@HIDDEN>
 <cf717d2477a320fb64ce@HIDDEN> <87o7qwm3dd.fsf@HIDDEN>
 <43562d4dd9c31382eb40@HIDDEN> <87k011dtw2.fsf@HIDDEN>
 <43562d4dd93037f7d01f@HIDDEN> <834js4zi69.fsf@HIDDEN>
 <87cz6seanu.fsf@HIDDEN> <jwvsffonlfp.fsf-monnier+emacs@HIDDEN>
 <87mt5udaey.fsf@HIDDEN> <87zg9qr9ht.fsf@HIDDEN>
 <87h6vy71o1.fsf@HIDDEN> <87357hkg95.fsf@HIDDEN>
 <87cz6lfibi.fsf@HIDDEN> <87edr1nxa0.fsf@HIDDEN>
 <87bkm5b46w.fsf@HIDDEN> <87357h19qj.fsf@dick> <87zg9omvjk.fsf@HIDDEN>
Date: Wed, 08 Feb 2023 06:27:41 -0500
Message-ID: <878rh8flci.fsf@dick>
User-Agent: Gnus/5.14 (Gnus v5.14)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60505
X-Mailman-Approved-At: Wed, 08 Feb 2023 08:04:28 -0500
Cc: 60505 <at> debbugs.gnu.org, Michael Heerdegen <michael_heerdegen@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, julien@HIDDEN,
 Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

EMBA, being a Gitlab product, was designed to accommodate branches, the
idea being you vet your changes on a feature branch before merging to
master.  Something for management to think about since no one, including
the guy in charge of EMBA, seems to do this.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 8 Feb 2023 08:05:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 08 03:05:55 2023
Received: from localhost ([127.0.0.1]:54690 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pPfSl-0000SE-28
	for submit <at> debbugs.gnu.org; Wed, 08 Feb 2023 03:05:55 -0500
Received: from mout.gmx.net ([212.227.17.20]:40605)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1pPfSj-0000S1-Jp
 for 60505 <at> debbugs.gnu.org; Wed, 08 Feb 2023 03:05:54 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1675843540; bh=pSSxBY7/5SwbEtIsXPczLRQdFTj90qmhnu5aG1r5Imc=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=k6unOcSSfUElcnXimjHssX5moRg8Sx5SaqK9Wu6CHdbH0kcCixnFspoz7QMwwt2Xe
 9Jn3xycg0FE5aVKY8anv0OJo2+mXNkYYlcLRkj3ZU+6wP2kkcjL2TdcZgaVJEeZCZt
 G26aG88c1ySJaGZ9ETLP05BlqDigtf8v48I3dqK7zHjG4Z6BFxusfcOjrDk7oEGfSx
 39Wo2lsyh+UwPWQtIQ8W2k00QoXJaWNWp46+gqvlOhPZYlzTWw9+IAgsLPy6Ap36Ec
 V3bULOdeBOFhSyDTZGTeliw3FdX5WNSGgDzGqVL3KOUxK5MiDcnK7YsauKc62/NJ8C
 c9hwUXtSKwOiw==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.39.22]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MDysm-1pHzxg040K-009yyl; Wed, 08
 Feb 2023 09:05:40 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: dick <dick.r.chiang@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <87357h19qj.fsf@dick> (dick's message of "Tue, 07 Feb 2023
 15:49:56 -0500")
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN>
 <8aadf0ddd54d67a3213d@HIDDEN> <87a62jmwj6.fsf@HIDDEN>
 <cf717d2477a320fb64ce@HIDDEN> <87o7qwm3dd.fsf@HIDDEN>
 <43562d4dd9c31382eb40@HIDDEN> <87k011dtw2.fsf@HIDDEN>
 <43562d4dd93037f7d01f@HIDDEN> <834js4zi69.fsf@HIDDEN>
 <87cz6seanu.fsf@HIDDEN> <jwvsffonlfp.fsf-monnier+emacs@HIDDEN>
 <87mt5udaey.fsf@HIDDEN> <87zg9qr9ht.fsf@HIDDEN>
 <87h6vy71o1.fsf@HIDDEN> <87357hkg95.fsf@HIDDEN>
 <87cz6lfibi.fsf@HIDDEN> <87edr1nxa0.fsf@HIDDEN>
 <87bkm5b46w.fsf@HIDDEN> <87357h19qj.fsf@dick>
Date: Wed, 08 Feb 2023 09:05:35 +0100
Message-ID: <87zg9omvjk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:mpOOP1z3Zl/noBJhCt3ncwkraWPABHJSM431i1arn8mFX+MbMJe
 D4WzFKEPvs5rbTnOMAIRex/KGDHfFfPBHwJpGjyIVoYuk/aNG3ZdlG6jqdzXoWb4g7ZMi6K
 qbzf+NwMD94gRFouvUso8bQL49ZMvA9q+nZFEp1qiDGGfyzcvPJHnwL7ad28oDlIdHIk9yd
 9b6ZIqmvknvmw07D0aoJA==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:TtIEFDvM0Mg=;6sVnrLPjylrZKc0t4HZ2AGiHUG0
 kFaSNZgxaU1sGNvb4FwFW+0YKuPu4Al14qIW2dRDUvsB65T+3T7I5C4Ejuo91sSMZtCcVT72C
 oGPe57l1nJu/PrItmC7YMba9TIxg1ZuD1BOug/lT2rDmbHnykfehNVNJ64yfg5PwF1wYNZcHE
 jdX9P+g3mfA52Va+8bvudOvvmLXHYlFNL/im7t1BFvssaGEu49TRyDM8CjPHiIGhtXGNGV9Tk
 WTw7fNkE9WuTIO+8ZzeoxOv7QCLDkutoJ89IxIxtMQUGzagn4g5xhh4ashzIjBW2beZrUSBTm
 S0J9lpeHvJFFkidDhi/hUIp6BbGBv0Mdu7RXvct0kueClqrYQFMNnR11hrg+u+Pux+E/+04AZ
 +UeousULmDW7w0uWj6p+DC2bVwq53B948Y+kSQnjhD12BCO49bCSg0E2k1Dfrskq6vsfZIEsr
 NuEceXzBtpW6HBBeWrcSNfST0G7FkiyoguYZh1k3LuCnDI+JxELOdAIf8G2WaXANhX93pNHMs
 6GnD8lSqUiTx+HsXhLh8qsxYVZNwRJBDAYZwLJg4OyGDoyUM1A8PfRiWMAn90MvVxSPNh1OaA
 LfehgG8TbzM/pFJSnQqAGVxt6ttFn8Pd9R3u0bOWGUIE2OOel3ac896LxmtU7rZCFh/AkHttT
 gQ8EYgk2/4j1MRLPsPf0f85RpntBSGMxW2RwBQArIJ1buM3D3H+KhslSBAp3uvBopLdcLhx+S
 eAHlrm2GrAsb5bsA6FQfeEJct+GAcZstAq+6hlZB+a72cBG6qTqwu+KBTpNuwGJ6dFzXkgjc3
 +k7GeqewxD7lWqsUMuUZgzE1moYyOi2Tghf5EBnsWtZaf0aZ83tt1N639NQMVMqo5ogpD2f5k
 PgGWSBjK9JEiGxqVuB/bngVDpoR+6cbwwgYuzp8PMywv0KyOzbIUn65S4k6GwtGDWgBbT4y7S
 W3FxDWjJ6IGMZJt79HT3gSnM7YQ=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Michael Heerdegen <michael_heerdegen@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, julien@HIDDEN,
 Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

dick <dick.r.chiang@HIDDEN> writes:

> It's ironic that the guy who could most benefit from checking EMBA
> before committing a change is also the guy in charge of EMBA.

You cannot "check EMBA before committing a change". EMBA fetches changes
from Emacs' remote git repository.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 7 Feb 2023 22:23:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 07 17:23:03 2023
Received: from localhost ([127.0.0.1]:54202 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pPWMg-0007FK-JD
	for submit <at> debbugs.gnu.org; Tue, 07 Feb 2023 17:23:02 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:18782)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1pPWMf-0007EV-2c
 for 60505 <at> debbugs.gnu.org; Tue, 07 Feb 2023 17:23:01 -0500
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 626C380D18;
 Tue,  7 Feb 2023 17:22:54 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id D02D680470;
 Tue,  7 Feb 2023 17:22:52 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1675808572;
 bh=HTspkRPcFgOywItIZdK4pJVdy+oLfwja+0AJJWi7Eg0=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=KTD3VeNeUfnvEqAaPmMxSCFpjBvZMbRz0Hnh1Z1moM//ji6/+pWh+Pjln2KilvG10
 RpVnnLYv+GQ5BF6Q3kRg97M7JgI+pl7p8Ckv/9F7SbsbgYJSz36nu/RZpXSFBv5gyu
 8GXF2/oLdR+RqxodYf9wqwfMgxjtPE/fKLfqqnwPp9HkfswcIf/Sw6xcV2MN6rzaJe
 nYu+AoxaaklA/ciVJ1nBZVzKcUwdALus8psskBEk6i/AUaa0kfypxl/GP16akA846e
 a8Kw81juNQ77B4Aw8iqhjcDarQnNtz4st6orV0chKSapo/hcyejY7eaTL+2M2XaJbk
 cuC/+f6bhzXaQ==
Received: from lechazo (lechon.iro.umontreal.ca [132.204.27.242])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id B64C7121C5C;
 Tue,  7 Feb 2023 17:22:52 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <87edr1nxa0.fsf@HIDDEN> (Michael Albinus's message of "Tue, 07
 Feb 2023 19:30:31 +0100")
Message-ID: <jwvzg9p3ylk.fsf-monnier+emacs@HIDDEN>
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN>
 <8aadf0ddd54d67a3213d@HIDDEN> <87a62jmwj6.fsf@HIDDEN>
 <cf717d2477a320fb64ce@HIDDEN> <87o7qwm3dd.fsf@HIDDEN>
 <43562d4dd9c31382eb40@HIDDEN> <87k011dtw2.fsf@HIDDEN>
 <43562d4dd93037f7d01f@HIDDEN> <834js4zi69.fsf@HIDDEN>
 <87cz6seanu.fsf@HIDDEN> <jwvsffonlfp.fsf-monnier+emacs@HIDDEN>
 <87mt5udaey.fsf@HIDDEN> <87zg9qr9ht.fsf@HIDDEN>
 <87h6vy71o1.fsf@HIDDEN> <87357hkg95.fsf@HIDDEN>
 <87cz6lfibi.fsf@HIDDEN> <87edr1nxa0.fsf@HIDDEN>
Date: Tue, 07 Feb 2023 17:22:50 -0500
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL 0.069 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 60505
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 60505 <at> debbugs.gnu.org,
 Eli Zaretskii <eliz@HIDDEN>, Gregory Heytings <gregory@HIDDEN>,
 julien@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>>> @@ -2773,7 +2773,7 @@ tramp-completion-file-name-handler
>>>    "Invoke Tramp file name completion handler for OPERATION and ARGS.
>>>  Falls back to normal file name handler if no Tramp file name handler exists."
>>>    (if-let
>>> -      ((fn (and tramp-mode
>>> +      ((fn (and tramp-mode minibuffer-completing-file-name
>>>  		(assoc operation tramp-completion-file-name-handler-alist))))

Looks like a "quick&dirty workaround" rather than fix.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 7 Feb 2023 20:39:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 07 15:39:54 2023
Received: from localhost ([127.0.0.1]:54153 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pPUks-0004F3-5Y
	for submit <at> debbugs.gnu.org; Tue, 07 Feb 2023 15:39:54 -0500
Received: from mout.web.de ([212.227.17.11]:54677)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1pPUkp-0004Em-AE
 for 60505 <at> debbugs.gnu.org; Tue, 07 Feb 2023 15:39:52 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de; s=s29768273;
 t=1675802378; bh=ZC6X0z7fHJSLCAPVvnJzQHQl6h+VUqWb3cpaayHpAZY=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=WJV5ToGJ1dRiBj6i2SaPS7+AaebvkeIiGe50A/cMSNpVQ6uh4UIiXwjtsmALPUAPn
 Go8hOEQm8XJdBDPU/5jvdQ6J4AmZHAe4tOrfRcSve14ZEwqo37ZAUPJB52gjG0EY7O
 BsmrNG+OKhn1N57zARraQ5uYP2k5V3d4GeIE9jhZwC3xhYKtEgxFGKG2112oDVoLES
 ZSuAqs5VH001xQivblPQmUV77CuyR9WZYXM7Gh4ie7ahv/OBmJ63eVhXJObQAudgit
 d5RS5GIGuaR3GfxYFKd0Yyc++v4JWdkebpGjquAJL9yKYyuipDbyGIhy3traJ0vPWm
 B+YeE0FbALzfA==
X-UI-Sender-Class: 814a7b36-bfc1-4dae-8640-3722d8ec6cd6
Received: from drachen.dragon ([84.59.210.57]) by smtp.web.de (mrweb105
 [213.165.67.124]) with ESMTPSA (Nemesis) id 1MMp8Y-1p93pW0tMK-00Iq5j; Tue, 07
 Feb 2023 21:39:38 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <87edr1nxa0.fsf@HIDDEN> (Michael Albinus's message of "Tue, 07
 Feb 2023 19:30:31 +0100")
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN>
 <8aadf0ddd54d67a3213d@HIDDEN> <87a62jmwj6.fsf@HIDDEN>
 <cf717d2477a320fb64ce@HIDDEN> <87o7qwm3dd.fsf@HIDDEN>
 <43562d4dd9c31382eb40@HIDDEN> <87k011dtw2.fsf@HIDDEN>
 <43562d4dd93037f7d01f@HIDDEN> <834js4zi69.fsf@HIDDEN>
 <87cz6seanu.fsf@HIDDEN> <jwvsffonlfp.fsf-monnier+emacs@HIDDEN>
 <87mt5udaey.fsf@HIDDEN> <87zg9qr9ht.fsf@HIDDEN>
 <87h6vy71o1.fsf@HIDDEN> <87357hkg95.fsf@HIDDEN>
 <87cz6lfibi.fsf@HIDDEN> <87edr1nxa0.fsf@HIDDEN>
Date: Tue, 07 Feb 2023 21:39:35 +0100
Message-ID: <87bkm5b46w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:K/d0E+/B4TZhGvBaZVMj7TRZ4r8OB9Bn0teQnhR2bXhTm/m+pVb
 T3y6iWVvAFWPSFq11hjvGUxJ0cvaw8IfHH8XY+XvEJ7oajrl4FtNKveb0HlCgQeDtsL9mMM
 aL7n3WP7IBmY0M8bY3HKkDEBptjZgjCxb5OICOugvE6vJIeMZqEMW9amWHLZcCXtB4gqmuq
 EWGhZiJt8tf1M4nnjdg0g==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:7Usx7ttx4jc=;4No97b9Czys3ivsu/HgtWfsro7N
 RvBf86hEoVauXQ3M/x4Q0C+utFqPuORQsd+qlrN+t2BhmfZcJGn2ebBPtn3qtppC/DS4TKDVZ
 CXg014sXh0nKPhwYZ3CpYQ47ZOpBB5w2ZN7FVEOoP96/Aqw1Zeh+QYZF5Lkw0v3JeVsmLus5G
 eyBUsOE6aiSQtDf02qfOZ61UEgKUb/OUAUNv4Ikf5HjZIbEVupLNwOnu4REfIBqvRTH1ZnyvS
 PonexzeNNgQlUtL+h2JtOImVs829nvXaL2vKh5/5pQCUVXRbCSzLbhF77bav+Q5bUFlgPouuX
 tW65yYOBOOXeR+RKXSgSiWrc8jbUT2FfpQ+dIzlrb/P0InYIVX6nO/ngOPFaiCI1Tx02W+qZX
 BbbXT5vK7gdNW/+B+mR3dEgImqZSaOCMXCnS4RAbJ0QciMdzi6doO7w5Wd9ozX3aIF0k/vXrd
 gOePN0wAqPdKH0e8hhMHPXtQpGrocppju3iXGw5FKV7kf0sv0T1BGEeJuegTzoPi4f8M5pxhc
 ACBl/fajrANKtHJegq+ZU/7MMfMC8/jwHXKVnOCgO5RuY+nn65+u1atKeC6OgkfoLqt3uueY6
 7Ec9fDqrq4aUzZCdo3gYDgTAPjCdSHjqxaNgKKA+ZK52hGkkEVLM897VVFDg+aXXfuKZTCuDU
 nFfM8P45UMbjjLDaya7N6yL6wnV1j54tE302lldlyW/C4oVcTbSI+8M5bCslteWHwDoT0JtAo
 4wqW8XYNOKwK1tSSk8AaYC+N88RBtduFZHT536LvwVTefkv+OAX2AIceJG+Nh4xzLDSUO+I+Z
 iSXGh6vl2l42jwGy2KlWHoqmQvGn4Rxn8wFkJXv0TwUZmj6+4F7qMGsus0owZiwgIgi2zqo7y
 inPxXF4itBdPVoWLBA1VHmsZM0Pg9YjiU7c5YuQlY8zVgWhSRbnIx02a9mSevwnK5EaS+P+sd
 7tK9vA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, julien@HIDDEN,
 Gregory Heytings <gregory@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Michael Albinus <michael.albinus@HIDDEN> writes:

> Thanks for the feedback, I've pushed it to the master branch.

It still happens sometimes:

| Debugger entered--Lisp error: (file-missing "Searching for program" "No s=
uch file or directory" "ls")
|   (call-process "ls" nil nil nil "--dired")
|   (dired-insert-directory "/home/" "-ahl" nil nil t)
|   (dired-readin-insert)
|   (#f(compiled-function () #<bytecode 0x8e6bc1f0877cf80>))
|   (combine-change-calls-1 1 1 #f(compiled-function () #<bytecode 0x8e6bc1=
f0877cf80>))
|   (dired-readin)
|   (#f(compiled-function (dir-or-list &optional switches mode) #<bytecode =
-0x5d986f621ad9bc8>) "/home/" nil)
|   (apply #f(compiled-function (dir-or-list &optional switches mode) #<byt=
ecode -0x5d986f621ad9bc8>) ("/home/" nil))
|   (dired-internal-noselect "/home/" nil)
|   (dired-noselect "/home/" nil)
|   (#f(compiled-function (dirname &optional switches) "\"Edit\" directory =
DIRNAME--delete, rename, print, etc. some files in it.\nOptional second arg=
ument SWITCHES specifies the options to be used\nwhen invoking `insert-dire=
ctory-program', usually `ls', which produces\nthe listing of the directory =
files and their attributes.\nInteractively, a prefix argument will cause th=
e command to prompt\nfor SWITCHES.\n\nIf DIRNAME is a string, Dired display=
s a list of files in DIRNAME (which\nmay also have shell wildcards appended=
 to select certain files).\n\nIf DIRNAME is a cons, its first element is ta=
ken as the directory name\nand the rest as an explicit list of files to mak=
e directory entries for.\nIn this case, SWITCHES are applied to each of the=
 files separately, and\ntherefore switches that control the order of the fi=
les in the produced\nlisting have no effect.\n\n\\<dired-mode-map>You can f=
lag files for deletion with \\[dired-flag-file-deletion] and then\ndelete t=
hem by typing \\[dired-do-flagged-delete].\nType \\[describe-mode] after en=
tering Dired for more info.\n\nIf DIRNAME is already in a Dired buffer, tha=
t buffer is used without refresh." (interactive (dired-read-dir-and-switche=
s "")) #<bytecode -0x14edfe378d0a8e85>) "/home/" nil)
|   (ls-lisp--dired #f(compiled-function (dirname &optional switches) "\"Ed=
it\" directory DIRNAME--delete, rename, print, etc. some files in it.\nOpti=
onal second argument SWITCHES specifies the options to be used\nwhen invoki=
ng `insert-directory-program', usually `ls', which produces\nthe listing of=
 the directory files and their attributes.\nInteractively, a prefix argumen=
t will cause the command to prompt\nfor SWITCHES.\n\nIf DIRNAME is a string=
, Dired displays a list of files in DIRNAME (which\nmay also have shell wil=
dcards appended to select certain files).\n\nIf DIRNAME is a cons, its firs=
t element is taken as the directory name\nand the rest as an explicit list =
of files to make directory entries for.\nIn this case, SWITCHES are applied=
 to each of the files separately, and\ntherefore switches that control the =
order of the files in the produced\nlisting have no effect.\n\n\\<dired-mod=
e-map>You can flag files for deletion with \\[dired-flag-file-deletion] and=
 then\ndelete them by typing \\[dired-do-flagged-delete].\nType \\[describe=
-mode] after entering Dired for more info.\n\nIf DIRNAME is already in a Di=
red buffer, that buffer is used without refresh." (interactive (dired-read-=
dir-and-switches "")) #<bytecode -0x14edfe378d0a8e85>) "/home/")
|   (apply ls-lisp--dired #f(compiled-function (dirname &optional switches)=
 "\"Edit\" directory DIRNAME--delete, rename, print, etc. some files in it.=
\nOptional second argument SWITCHES specifies the options to be used\nwhen =
invoking `insert-directory-program', usually `ls', which produces\nthe list=
ing of the directory files and their attributes.\nInteractively, a prefix a=
rgument will cause the command to prompt\nfor SWITCHES.\n\nIf DIRNAME is a =
string, Dired displays a list of files in DIRNAME (which\nmay also have she=
ll wildcards appended to select certain files).\n\nIf DIRNAME is a cons, it=
s first element is taken as the directory name\nand the rest as an explicit=
 list of files to make directory entries for.\nIn this case, SWITCHES are a=
pplied to each of the files separately, and\ntherefore switches that contro=
l the order of the files in the produced\nlisting have no effect.\n\n\\<dir=
ed-mode-map>You can flag files for deletion with \\[dired-flag-file-deletio=
n] and then\ndelete them by typing \\[dired-do-flagged-delete].\nType \\[de=
scribe-mode] after entering Dired for more info.\n\nIf DIRNAME is already i=
n a Dired buffer, that buffer is used without refresh." (interactive (dired=
-read-dir-and-switches "")) #<bytecode -0x14edfe378d0a8e85>) "/home/")
|   (dired "/home/")
|   (helm-point-file-in-dired "/home/micha/.")
|   (funcall helm-point-file-in-dired "/home/micha/.")
|   ((closure ((action . helm-point-file-in-dired)) (arg) (setq command-his=
tory (cons (list 'funcall (list 'function action) (list 'quote arg)) comman=
d-history)) (funcall action arg)) "/home/micha/.")
|   (helm-execute-selection-action-1)
|   (helm-execute-selection-action)
|   (helm-internal helm-source-find-files "/home/micha/" "Find files or url=
: " nil nil "*helm find files*" nil nil nil)
|   (apply helm-internal (helm-source-find-files "/home/micha/" "Find files=
 or url: " nil nil "*helm find files*" nil nil nil))
|   (helm helm-source-find-files "/home/micha/" "Find files or url: " nil n=
il "*helm find files*" nil nil nil)
|   (apply helm (helm-source-find-files "/home/micha/" "Find files or url: =
" nil nil "*helm find files*" nil nil nil))
|   (helm :sources helm-source-find-files :input "/home/micha/" :case-fold-=
search smart :preselect nil :ff-transformer-show-only-basename nil :default=
 nil :prompt "Find files or url: " :buffer "*helm find files*")
|   (helm-find-files-1 "/home/micha/" nil)
|   (helm-find-files nil)
|   (funcall-interactively helm-find-files nil)
|   (call-interactively helm-find-files nil nil)
|   (command-execute helm-find-files)

Can I help with this in any way?  You can also give me a private phone
call if that would the fastest way of investigation.


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 7 Feb 2023 19:18:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 07 14:18:20 2023
Received: from localhost ([127.0.0.1]:54087 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pPTTw-0005bQ-Fc
	for submit <at> debbugs.gnu.org; Tue, 07 Feb 2023 14:18:20 -0500
Received: from mout.web.de ([212.227.15.3]:39163)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1pPTTu-0005bA-PH
 for 60505 <at> debbugs.gnu.org; Tue, 07 Feb 2023 14:18:19 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de; s=s29768273;
 t=1675797486; bh=9SRNQKWseIRLi7Brm+UB8czf4ffhw9+uW5PL1fEZd7Q=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=Ce2k28RJ+IVXHfnlldfJmz0ltRR5e+2hRn7HtxGrW/a6sPluKZAn3jwE29VkXw1yB
 1u9z+OxZKp+07tE9m2ZgdCoz/6+jKWe+rfEp4wB7PZ0rQ+APl3XRQEPtMZ8dLwZQak
 OIJGirYmoRN00KiDRyjCy1fE4UyK53vqaHraWQLicpHdpBQvAzV3YajeFWrT4XYLxE
 kXNopHbs/cHeBTa7qfXAnfm9ApLy5I5w3yFkt3OJUmAiOtglV9qjuzlV3A7xUvV+uw
 qnV2/wDpMJU9rXuwc6UZ9itEJl09aNxGICXF3J5BudB4LwfeXo8Cc7fK7e3jNutTXy
 B2kuzzTvlXKpw==
X-UI-Sender-Class: 814a7b36-bfc1-4dae-8640-3722d8ec6cd6
Received: from drachen.dragon ([84.59.210.57]) by smtp.web.de (mrweb005
 [213.165.67.108]) with ESMTPSA (Nemesis) id 1MGQGH-1pOdzX0PvB-00GmT0; Tue, 07
 Feb 2023 20:18:06 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <87357hkg95.fsf@HIDDEN> (Michael Albinus's message of "Tue, 07
 Feb 2023 09:54:14 +0100")
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN>
 <8aadf0ddd54d67a3213d@HIDDEN> <87a62jmwj6.fsf@HIDDEN>
 <cf717d2477a320fb64ce@HIDDEN> <87o7qwm3dd.fsf@HIDDEN>
 <43562d4dd9c31382eb40@HIDDEN> <87k011dtw2.fsf@HIDDEN>
 <43562d4dd93037f7d01f@HIDDEN> <834js4zi69.fsf@HIDDEN>
 <87cz6seanu.fsf@HIDDEN> <jwvsffonlfp.fsf-monnier+emacs@HIDDEN>
 <87mt5udaey.fsf@HIDDEN> <87zg9qr9ht.fsf@HIDDEN>
 <87h6vy71o1.fsf@HIDDEN> <87357hkg95.fsf@HIDDEN>
Date: Tue, 07 Feb 2023 20:18:00 +0100
Message-ID: <874jrxffo7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:FKoHYHlc0194ia3vzFvcBfDYKZno61V+yrkYHZ3fIRJBaNjsEqx
 qtrsz3cFGscdqQjglzTzfi7Oxgk9uGaXvN9WXRE9n24sKql2dl0EZCcsQ+4vQTpMJZWc+m0
 EcnqgeceINnqqRr7p2JJIEtDH93x74GG9Bdym9Zix+e2dlMG9OyZQxoh4F9HjUS2Pf7zXP/
 mpTB0nobFyAClTBwlSyBw==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:fvu4KqBQy24=;U4RTxwv5ZBcoC++GNckt56NAih0
 2qxpCwWCuKAjMuUz4HzaccwtZWnEYYRcl7lgWxtF6V1WBv5wD4Qow8gCQvgWlloY+/jzKBoRt
 iSSh9xJSLmKkSv6+xJJM1BKOLhxDjFv87ku+tFUOuhZ1v60OTfh//NgWts8aVxwEQCohP1TTe
 Bay9SFNkx0/+xHxEtOKNxInmO8ERuZ6QHC3OJ+Z1eMr6uDPNslfJawbusWShgY/DB7AALZOkv
 RpBf2I3DIEAqg6P54IVtuCgFFxC8QqZ1wXATKq6Zreo2mI+6FAWAjkGusst0L7MjEfDKPr7er
 ZIS+V/G6EMxldy8iYKOgofCFa4FEgneLgK30PkVm8kuOuZsd0aIY5g3anBP3e6xgy7kmVXKaX
 aZUBow+ATZi9BlQxTlVA5jxDQ8Rud+nDEz/CZw3BLDR9ZNcRyBI6PTKPaxUAe5AZWU+fstIva
 LR5LUA2GONxSEFPQju88vaNoKGKedagJDkdaXlIy71d1QDyCVXMcSgmXiYfGu6WGWFHcP1xH1
 WaevedBGX74OxjbvpXXKKC/ibzdXFTphVKSoi6Ql4+UFi4jSl/myo1uh6yM9fOvgfJp18Y9mL
 qgAhhtHkNNtJHmy2nnz7RYWyIjyS+SwnHVNHMKLe0YDm0o1HudueTOI08FbyO3lFjur6mBzbA
 1aLAw2jfcy6eHfeRBKlJ1w0hTwVQx0ghfHAkOF1OwVJdhCLn7KHqv/Wt63tnobLuHPsvHg+pH
 6OTkHLC6pXh6TA8gMAFuqFG5xMzN+7Nf2oIcx58Yq3Z8EYdGhPMq3Bl52lTDgRdt8YZg27MIt
 /6iCmSKAqWl/Ds0ygEmlBt9lLQkuTXyA8tEqVRgN1B82AS662mGb8N9YiIQ0xxWe1Q3qHTqH2
 nSLVj1BJ2sTARwS4awaumFX0rMlOk/melLLFmLGDdcedNu0AdaAbzHFy2Gix/wBU5repXGdf7
 DpVixkhSLUmqubj0ASI5QjQYKuQ=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, julien@HIDDEN,
 Gregory Heytings <gregory@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Michael Albinus <michael.albinus@HIDDEN> writes:

> I'm very sorry about this. Strangely, I cannot reproduce the problem
> with your recipe.

If it matters: maybe it depends on PATH?  Mine currently looks like

  /home/micha/bin:.:/home/micha/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games

And I'm using non-standard shells (fish, elvish).

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 7 Feb 2023 18:30:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 07 13:30:50 2023
Received: from localhost ([127.0.0.1]:54041 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pPSjy-0004JP-A1
	for submit <at> debbugs.gnu.org; Tue, 07 Feb 2023 13:30:50 -0500
Received: from mout.gmx.net ([212.227.15.19]:40359)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1pPSjv-0004JA-86
 for 60505 <at> debbugs.gnu.org; Tue, 07 Feb 2023 13:30:48 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1675794635; bh=bkhcGirMVu3wLWxNnlphfm2cKhIuD2BFtTeM2BMnLE4=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=NYvj6teUlMx+Kflm3TmjOkfpEatr1j8l2j1F8sEiLlPMmeYxaNYuBOG3UeS155+l4
 lpMZjSoFezBdUo2yaSxK75dTlAmg8AbsDI6LbndIxV2h8aXk8LN9U0lHhOpQfq0vMc
 7MsrF1ljMJ+A2XADFCB8UXxMUUXELwNwnknKCQrnyBaZZ8/Pa5AOQdLi4zqW+MRJXL
 osDI7LqplrHsRs2wNWoqKnGpdE/W2ZMBDz4vibbnBxAMWTqN0Eb8yUd3fQ+Hj2/ofG
 IHD+IlTbzD6kT9U2/exlKaIYWu5NVk9YIUxdrG9IFVYOfH7WLAdmoNGS56iHkdf39I
 Qx2SAe3euunsA==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.39.22]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MAwXr-1pJAHa2XqT-00BM3r; Tue, 07
 Feb 2023 19:30:35 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <87cz6lfibi.fsf@HIDDEN> (Michael Heerdegen's message of "Tue, 07
 Feb 2023 19:20:49 +0100")
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN>
 <8aadf0ddd54d67a3213d@HIDDEN> <87a62jmwj6.fsf@HIDDEN>
 <cf717d2477a320fb64ce@HIDDEN> <87o7qwm3dd.fsf@HIDDEN>
 <43562d4dd9c31382eb40@HIDDEN> <87k011dtw2.fsf@HIDDEN>
 <43562d4dd93037f7d01f@HIDDEN> <834js4zi69.fsf@HIDDEN>
 <87cz6seanu.fsf@HIDDEN> <jwvsffonlfp.fsf-monnier+emacs@HIDDEN>
 <87mt5udaey.fsf@HIDDEN> <87zg9qr9ht.fsf@HIDDEN>
 <87h6vy71o1.fsf@HIDDEN> <87357hkg95.fsf@HIDDEN>
 <87cz6lfibi.fsf@HIDDEN>
Date: Tue, 07 Feb 2023 19:30:31 +0100
Message-ID: <87edr1nxa0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:F5VzcvQFtZLmuPxDa+Y59ExwJG0dUfPOeIzw7DnIIvS5hzmYULD
 b9My9dXLB4p/ybbgGOBDBWvQgSNXjW6/kGnrvPWcRMShAPPHdKiwJESY33O/SCbEF8tV+bv
 h9A8wEVFDqCdccv+gFSP4Gjk0UfUK1v4fwW078cpjMK4AT6KGwkMVNJIMb5Ijw0EgchUyMJ
 ohbiV5uQIW5oc35h5EqmQ==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:j9udVrr7KfE=;KKDYbOU0Ns2cUe7/2YmmyD/S1Gb
 ULIOPswrSypqRNrVrTY13DAr6SvnSk03spo9U9MI36vljADY2oLsO4CW5fLoFyO3TrpHin6bs
 GjKbfNU9jbd+92GsJz+FYHwARgtLLiFrB0fOYmCAs4Dw/Z0hElE8cpg23vSD0DKb7ll8kszcb
 R81NUVHwaWnbcJV45IiZR8A8gYeS7m3uXHahDMNAXsLaJ6NeuSCW6vXXsouIhf9a1ZwreZWI6
 J0Q98eMd63Uf7VUs95kbA9gqTFlA++76JJhFiytOGFO8r81//pBwtYqWuKdvjh7DmPE66w2c+
 RtcMWIVvrdVsBVbJ+E0mR+cnI8g75SDrzdBXOYsdlFAGMEwTrPxmpjluKSHwZKarMlkvIg5oq
 Cd+J812024oXQJ7yABWupRwwH5YOwCFGydiVR4u9C3chUhqT2CMAqAQdMJ+pCWYrtcQfHFZGA
 b3sEu/H3mTunUfHrHV4B3j6GHBzSQZ2hdPKtxF4TJnowwJZEfjSfVk2A0RlX3F61YyYWBAesq
 fwoHqhwRcBAzno/A40rLokH/6hMY1D6tOWWhj4cJnsdB59YHcONfQ76cu/FxbeUHNX83i8Yn6
 wU+Gwt3giRHZQWOS3oU/i1x/ZrCM6hdBNUx/GgVZ6WsOYQ78JZjpib/MZJ/XXRo1lZOqKsVk5
 bdRt18/qAJffbmQlV+mFCLNuzSSnH1JEVs8xHoAl3+9X9tn81Y2aQD85k0mssfbBSz6FdswOY
 GmOmjXz0znoxlic+FAUDWk+gQn7voNmD5YzIofikthT01PXOjBb7/biVX5ldsKVm0KFnXtJeJ
 n8IUhkgFech6u9MYDMR6C5CB13rHHCJppHP6tO2eWsHpuA5Yu/S+YKwOhIVc8qeAQSfVL046j
 gV/D8HV3c+kO6EmJboNeOZC/eFQl1KRfH6SlngRFdXxBVx8HBakq8nXr/yo8rWfLGx0lSyIv+
 /MSVsA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, julien@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

Hi Michael,

>> index 69812506e48..b75a1816fdb 100644
>> --- a/lisp/net/tramp.el
>> +++ b/lisp/net/tramp.el
>> @@ -2773,7 +2773,7 @@ tramp-completion-file-name-handler
>>    "Invoke Tramp file name completion handler for OPERATION and ARGS.
>>  Falls back to normal file name handler if no Tramp file name handler exists."
>>    (if-let
>> -      ((fn (and tramp-mode
>> +      ((fn (and tramp-mode minibuffer-completing-file-name
>>  		(assoc operation tramp-completion-file-name-handler-alist))))
>
> But this fixes the issue for me.

Thanks for the feedback, I've pushed it to the master branch.

> Thanks,
>
> Michael.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 7 Feb 2023 18:21:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 07 13:21:10 2023
Received: from localhost ([127.0.0.1]:54030 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pPSab-00043D-Uh
	for submit <at> debbugs.gnu.org; Tue, 07 Feb 2023 13:21:10 -0500
Received: from mout.web.de ([212.227.15.4]:33067)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1pPSaW-00042M-5A
 for 60505 <at> debbugs.gnu.org; Tue, 07 Feb 2023 13:21:08 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de; s=s29768273;
 t=1675794051; bh=1Y8JKHFwkWF8u9ftuyfKWjEPjeeLjDzK5sKplgvCwWg=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=g3yiXu4ZJbsq/PLZE7dV+/l2aptUxKHEy9m18oFuFFC1PfuP9dLwYHE7YkWGnKS6O
 l2gYkJzT+w346C1z59v78IYlsEx9+5fF1FV1TqDhNfzDu7Tqqs9VCh8ajOYnKy9OSI
 Ek6EQvD7PUxp8kkbOQaQAeFuOPl68b3k5uNT/NLt3Xn+jKo8OW7eTUEnQfBO4ZTBvw
 7L60gZFUGL3eKBAO9/9097mN8WTyic/qUooe8XXf4iD3qPrx1DAfx9inyrZSXhaa9Z
 Mv6tWPYjKKXrU52Tq2hJOj6FUB/sc8nfQWb3gb85Gf1LeXlSvJ42YvToSbnmk82733
 vhDoCV6AX8xnw==
X-UI-Sender-Class: 814a7b36-bfc1-4dae-8640-3722d8ec6cd6
Received: from drachen.dragon ([84.59.210.57]) by smtp.web.de (mrweb006
 [213.165.67.108]) with ESMTPSA (Nemesis) id 1MjgT9-1ojI9Q1O9b-00lCU7; Tue, 07
 Feb 2023 19:20:51 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <87357hkg95.fsf@HIDDEN> (Michael Albinus's message of "Tue, 07
 Feb 2023 09:54:14 +0100")
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN>
 <8aadf0ddd54d67a3213d@HIDDEN> <87a62jmwj6.fsf@HIDDEN>
 <cf717d2477a320fb64ce@HIDDEN> <87o7qwm3dd.fsf@HIDDEN>
 <43562d4dd9c31382eb40@HIDDEN> <87k011dtw2.fsf@HIDDEN>
 <43562d4dd93037f7d01f@HIDDEN> <834js4zi69.fsf@HIDDEN>
 <87cz6seanu.fsf@HIDDEN> <jwvsffonlfp.fsf-monnier+emacs@HIDDEN>
 <87mt5udaey.fsf@HIDDEN> <87zg9qr9ht.fsf@HIDDEN>
 <87h6vy71o1.fsf@HIDDEN> <87357hkg95.fsf@HIDDEN>
Date: Tue, 07 Feb 2023 19:20:49 +0100
Message-ID: <87cz6lfibi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:IB3tMJAoU72EpX+oquLpLqXimdd5MhUFwNrhmbbcKNjWCxiNCa3
 ge/pIb2j9C4p/4ev8aOxbDPFmdL2IYe8VuRhlN58mA+AlK8ZLq7s+LeCvMGcy9wDdXEhPPo
 kvD45qEBg8IjL/fFutkzMYNfc8epNIzgOs6hHWivu44U+RMs553KEFP2spGlSYqFhbqB+La
 1YUkUpndCKMXwmuUq0AXA==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:GravMSIgKm4=;hQJVBSDLc6EObf/3rFfkwiWYOZC
 Da7AqWDs2ZVdvjVA74k5ie1Jy3dCT5fXvbMFmc0pr0SNzyN3pkrcB8f1bLoIpNGBDL0uA3JW7
 atdsBPa6qZfexEg/ltWsaGCZS2aCqQcoU3qmbWe2c5IRN7sRKauCZNXFXULEQEvc6E3ZFV4DU
 QuUe9ZiF9GQrmZly2Ol/3hiRLd22x9KGIAYl3hxgoJ1MvbCyB8ZJc5t2rcQmtH7CBp/EGCUk+
 nTx52jUYN9stwvbyn2P65NOIrsJr8vsX4dWgxXsY9XAYN6zjl7MG+pmBYDALDEfO9yfd99H+d
 KMSdQSn55Y7zHVFTP0HgFEmKm3B4yuVBnxItmrY2bUrMPBvLwuRi2vH3la+VB4GmW360doRlf
 ylWkxKdftdCw/VPB6ZvMIGZcEjxQDh1BLXMt1mgkB3/uKJY0f5l529S2LvrTBSNw8bvgexu0k
 ZKuDZ8DTePyJkB8P0QH66VYihfOMEAKjK5hFNVCZiKXycS6MBbpWehWaHhbFzfwEo5eGJOX+t
 m315b42N6alt8jaPnQ+O14NXX/SbKM93WdODP/o88OGwIV9sYKT75KjHBRqA1okYy0OGmgpG7
 KFndEciHeXyokH6PksPhc/LkC85O32qaHbJtqAsyHZkfre4kEGOQ4F7S5c4XRWb8aVxuDIWf7
 dmaHAo35I+UxORvvfT1+36MCbQDtVgfLilL7UAXMxthI2qceU0+aE3c1yrUO4U/i5XBLWOx4A
 YqbVuXd90Htx+U3oxjOY3w77FGE+cPiv0h8krMqgOHh9qqPFaChabog+e3eaVBxNKBgZ4ggxz
 28/ImOjIM90Gs2aUCk3XorXflM5P5FKh3wRXZJx2veDK3grGV3/YzbcILtFwcFtsDn8I3piGN
 2J4OR6WH6RtZ79YxXlg82ZmKYn0EkwFhlzuXmk7OBwVYC/99A5rPQn7cg1wL+JhgRR6jo+uRL
 PAuYfw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, julien@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Michael Albinus <michael.albinus@HIDDEN> writes:

> I'm very sorry about this. Strangely, I cannot reproduce the problem
> with your recipe.

Strange indeed.

> index 69812506e48..b75a1816fdb 100644
> --- a/lisp/net/tramp.el
> +++ b/lisp/net/tramp.el
> @@ -2773,7 +2773,7 @@ tramp-completion-file-name-handler
>    "Invoke Tramp file name completion handler for OPERATION and ARGS.
>  Falls back to normal file name handler if no Tramp file name handler exists."
>    (if-let
> -      ((fn (and tramp-mode
> +      ((fn (and tramp-mode minibuffer-completing-file-name
>  		(assoc operation tramp-completion-file-name-handler-alist))))

But this fixes the issue for me.


Thanks,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 7 Feb 2023 08:54:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 07 03:54:32 2023
Received: from localhost ([127.0.0.1]:51028 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pPJkG-0006Ue-KA
	for submit <at> debbugs.gnu.org; Tue, 07 Feb 2023 03:54:32 -0500
Received: from mout.gmx.net ([212.227.17.22]:36813)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1pPJkE-0006UP-CM
 for 60505 <at> debbugs.gnu.org; Tue, 07 Feb 2023 03:54:31 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1675760057; bh=QOe/tR/N806MSFjyOd2zSoIQboR+vZMR9Y9btMlEff0=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=PGQ9wnB82E2M1yy371lxO23XeSz1ekNTwY+kpyS4W3/2kn0XAJkDYD9z/0tqrSA0u
 Sn9Ch4pMoC6QQPRE4ZTBzNkjbS1xe7Gz7WtuWyNqy/sSgRZHgXsrZx3O5UfzxOd2/K
 h9NwlORdx1FP3LjOV9gYY8Twdzgx1Bg37CibslCA9OEvhutXKMvOU6iuJ4o7e5+2Gz
 IMfB+IUdV365+nfxT8UIYCVGVUQDxoO4rJeI7l92c1puqybTyXCeb9rsk6K616yHXc
 LNOyx7yqgybasaQV1IjYBBO/n80YK+NwUUdaHze0nqbFK4HkMGUoumObzRnU4UkQNf
 HpS51bAGnwFwg==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.39.22]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MCKFu-1pG0Kp1Sug-009Odf; Tue, 07
 Feb 2023 09:54:17 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <87h6vy71o1.fsf@HIDDEN> (Michael Heerdegen's message of "Tue, 07
 Feb 2023 01:35:26 +0100")
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN>
 <8aadf0ddd54d67a3213d@HIDDEN> <87a62jmwj6.fsf@HIDDEN>
 <cf717d2477a320fb64ce@HIDDEN> <87o7qwm3dd.fsf@HIDDEN>
 <43562d4dd9c31382eb40@HIDDEN> <87k011dtw2.fsf@HIDDEN>
 <43562d4dd93037f7d01f@HIDDEN> <834js4zi69.fsf@HIDDEN>
 <87cz6seanu.fsf@HIDDEN> <jwvsffonlfp.fsf-monnier+emacs@HIDDEN>
 <87mt5udaey.fsf@HIDDEN> <87zg9qr9ht.fsf@HIDDEN>
 <87h6vy71o1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
Date: Tue, 07 Feb 2023 09:54:14 +0100
Message-ID: <87357hkg95.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:RtHOQEC/SDA4W+ISN7vpzgRWe81RqcC5//ZimG1dzDrMH0jNxTe
 /srULwVrRnacm+0HOfOT9YCMT0SSibBbG1jlIzUbfjqehNOcmPPmjw7jvAz15F24Gmwzv/y
 /GkQMzVIf9+wJYN3dORvMWMU7kO2CozHwTPLcMqkjNSZANdtchjyzxTviUd75Net0gDADv8
 sw4EOOHEUUxWQs0ChtnVQ==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:Lbm6crvPAm8=;iIwIt84bNSEi5Ht+X6wWsykCxjU
 mVtIn5y6oPftdqLQCRcOQLLQFjI4dW7OPMT2euk0YWRE/KeQZO6gClVkPST70fRtkHurvwHK0
 JkZTDTCwmKXQlL8duhXztw55MZM3pByJzBJy911JE8YPCXhh7W0g/CPYvHmLi1ll/02srP4jQ
 b7fIKAQxV/S48HKjhXPIXA9L8VxHdF78Nra0Unwgx40t2Ty8qxXDXajtUZPFkWOfl37JGIEZS
 beOMxravdJAuMa2l4uwUKEea9LEkgL4C7RIQ+gAcgpCoYiGZEomdXJRvu1MbqDQh+OkODizgM
 zl3Sc9m9x67trUtwSZ1yEJYMJJOLIyZHqKatup+oQfTttI9z2UhikWGDmin9P9B2i70nLOv5q
 705YxCvYdI6McGOVu0QZSslStkdABQFfjj7laCwI284pG2W25Nov4yjfO2xzyNK82x3/g4UDf
 3oRNHX0JEtrkbPh75obdpXBTORzw0TqUOK2rzfcT8LmezhLfTl903Y2yJcqje9NaaqtdhugwV
 WoVt+JmgczrL6d9UZ6DdsinPGKx/9RYkGsfmBeoJVkrnUp/mG6NbXFiqff64d4/KwmhK3GDZ+
 X4rpHginD2Twc9quclTkLhNQqHtC5hEwmiWh1htI8VvsajaTxYpAWBxwXtxN2hd2hIwe1YBHP
 /NjuSGVSJz7XPvbmefompYMYoT3uj4cEkp7m50d5t2EAjGvnxxZQfQ95O8qzln1ZD02UzCDFq
 iCV1l+liMfPEIS/WZpOuFO6i/b3bJOf01/s6ExlKMBv0xHudUbvp0Jls4GSrvv+VaKLwWLr+i
 ne9IYzL/unGPLUN1x+liDfIfINEyqW9FYwppeCQs8+33X/vOBTQlbLTK0VPkZiCbiVKPgeR9d
 ofSstJCcZiLaDwcGn8fQDAZ05rVbBUCqlVqmtRseTg/BDh2NrvbNTDysywCKaAJZFD877qPc5
 75749zTu+C2s5QBT3Yy4Kr5lF2g=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, julien@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

Hi Michael,

>> I've improved the patch, and I've committed it to master. It works now
>> for all different Tramp syntaxes as well as for all completion styles
>> except `initials' and `shorthand'. Likely, these two are not so relevant
>> for file name completion.
>
> This breaks Emacs horribly: in emacs -Q (require 'tramp) and M-x dired RET
> for example:
>
> Debugger entered--Lisp error: (file-missing "Searching for program" "No such file or directory" "ls")
>   (call-process "ls" nil nil nil "--dired")
>   ...
>   (dired-noselect "~/" nil)

I'm very sorry about this. Strangely, I cannot reproduce the problem
with your recipe.

> All programs seem to be gone, shells etc.  I thought my Laptop had died!
> Rebasing with your commit omitted fixes the problem.

Does the appended patch fixes this for you?

> Michael.

Best regards, Michael.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment

diff --git a/lisp/net/tramp.el b/lisp/net/tramp.el
index 69812506e48..b75a1816fdb 100644
--- a/lisp/net/tramp.el
+++ b/lisp/net/tramp.el
@@ -2773,7 +2773,7 @@ tramp-completion-file-name-handler
   "Invoke Tramp file name completion handler for OPERATION and ARGS.
 Falls back to normal file name handler if no Tramp file name handler exists."
   (if-let
-      ((fn (and tramp-mode
+      ((fn (and tramp-mode minibuffer-completing-file-name
 		(assoc operation tramp-completion-file-name-handler-alist))))
       (save-match-data (apply (cdr fn) args))
     (tramp-run-real-handler operation args)))

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 7 Feb 2023 00:35:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 06 19:35:49 2023
Received: from localhost ([127.0.0.1]:50456 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pPBxc-0002Ts-Om
	for submit <at> debbugs.gnu.org; Mon, 06 Feb 2023 19:35:49 -0500
Received: from mout.web.de ([212.227.17.12]:59073)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1pPBxa-0002Te-Mv
 for 60505 <at> debbugs.gnu.org; Mon, 06 Feb 2023 19:35:47 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de; s=s29768273;
 t=1675730129; bh=5be8QZ/dG9tbigrjVNZvL7CLSGd5rjlePVnBn99Yj2E=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=Ix70SjyXSs9THmaufZgPeRzT6CtBPHuxNZCBiizlMPBERIVo5RWkIvYeh4xl1Ozxx
 20gRRli7IpjLBksmEcbSbUFMQKoYdSFLJBdvCojt1FP+xfvApLC6qliYco/s9poBnP
 70msVQ7+FTkfaJYLRhtFEgDci4DzIWwuRChV6/xzIOfOsEGTDb7K7w5TTEjMfNwHbs
 ZAe7lDqAi1p1mIl+7KwR99S6enXc6sD9Wa6QzL3IqiSB91wPznwN17r7K1w2gq8rH4
 qDMb79rL/8RiVtD7lsuU1RUwCKJ87vfXQvZYpZO9GtZthSStkGZP58PMzz1y95xfT8
 s3qvrJEzTMvEA==
X-UI-Sender-Class: 814a7b36-bfc1-4dae-8640-3722d8ec6cd6
Received: from drachen.dragon ([84.59.210.57]) by smtp.web.de (mrweb106
 [213.165.67.124]) with ESMTPSA (Nemesis) id 1M1rTG-1pRNof00jY-002FP6; Tue, 07
 Feb 2023 01:35:29 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <87zg9qr9ht.fsf@HIDDEN> (Michael Albinus's message of "Mon, 06
 Feb 2023 18:26:06 +0100")
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN>
 <8aadf0ddd54d67a3213d@HIDDEN> <87a62jmwj6.fsf@HIDDEN>
 <cf717d2477a320fb64ce@HIDDEN> <87o7qwm3dd.fsf@HIDDEN>
 <43562d4dd9c31382eb40@HIDDEN> <87k011dtw2.fsf@HIDDEN>
 <43562d4dd93037f7d01f@HIDDEN> <834js4zi69.fsf@HIDDEN>
 <87cz6seanu.fsf@HIDDEN> <jwvsffonlfp.fsf-monnier+emacs@HIDDEN>
 <87mt5udaey.fsf@HIDDEN> <87zg9qr9ht.fsf@HIDDEN>
Date: Tue, 07 Feb 2023 01:35:26 +0100
Message-ID: <87h6vy71o1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:e8y5bHmE/xA4bRBZraTRL/Lvwg+7TFP8xzjACpMYiwy/ExAJHUZ
 WxRZLn1z3LQnISjaeHOhHAMzR7Bi9ax4Eh1rCLVCg+IbRPXR0SDFIbEs+fn3eZ2uZ1PATYc
 QBanw6ltHIuTECABtPSAToAhb9+mffz9MLF7OXkdhNeJzllFP2VYI9YXlXJ6OtvJjQqkrsT
 2dIEhbsbbuAlYBRXhbq3A==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:WPEOi+SmQgM=;dGsDlCAWrWQQ7TmhSejJ8CZwG08
 KmdorKWdnT4YKXbi67T3cMUExnDRz1423nnVAtTZJAFkp/CVoMji8YExp21oPgVjb5gqPzGFP
 oE/M9qCroy08hnO/drumxDl8jQPgAimYbWzvqUJggaoIXjfnHX3NSPtplYKtp9DyZ2S3drPsP
 /l2IvoEdQJmEiBHOjl0itpYLcsJzYlGrdofZiLSk6AYdUbpT1Ypya6lUmFL5U6UVck1o2C/NQ
 YoFcdpDTyZWi3ho5eXh03nZAxtYEVZL/G8A9maJGQfdu/+8v7gESltiXwAaQuLZVg1DpTe3J0
 8vqHrAEv3ScAdCoLZj5OiWhAeRW1p6/l1uTeligZ7egYpDHRgNSyC7bAP9tPHEnXiaDL8m8Ln
 RhrVHlPUe8bE5urta7HK8Ip8MQb8Aot83ig45a2Fh+auYrXxbpyOEyfAb+TztKje70jGgyVtt
 HubHEeBLCY6lAC/9sSZeHa/JctBwktb+uk+5FfAuUNzsL6nthe7pRqf2n4L0ff8Hb04xTOeWl
 bkCRlMmbXi0nfULnQYnVsDWy5oNNl1O1AeGrVq6aZbAWjchbDbw5yBS8WDFUD8IdmKO+FHAuy
 ZTUvTmQfRoJT8FPQrVuUdPlnzXM+iofagRe03BiUYMsOFXC9mjDvMSS8uFDsRoOXDeBa9+uId
 futmgxdOfD8hOilzLLmsZ+ib7ERYgT3nQOJwu1RXFT9V6bUAkEzQC1ISSon/dsl3cTb5MLyyI
 de9rqwldhgJkERWr75QbjDrDF3xNUgs56s9wtHP3NKxpxPU4kTIrEjIwIStmfctNyLaRdvl+y
 LkIxAEC0GZpbtqo/r0bKkPjo0XaX2TbiZ08jCQ/EMXb9x4wAJFXeJJh2H6CK6tmkUixYz3B4/
 rrZqHD1QYBzYz3Mewi7zW6Nsbn+BfbdiiuX9nIIgczbPIAAFAMANalLXAm+7yHE0DMpNnaXWI
 +2UM3A==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, julien@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Michael Albinus <michael.albinus@HIDDEN> writes:

> I've improved the patch, and I've committed it to master. It works now
> for all different Tramp syntaxes as well as for all completion styles
> except `initials' and `shorthand'. Likely, these two are not so relevant
> for file name completion.

This breaks Emacs horribly: in emacs -Q (require 'tramp) and M-x dired RET
for example:

Debugger entered--Lisp error: (file-missing "Searching for program" "No such file or directory" "ls")
  (call-process "ls" nil nil nil "--dired")
  ...
  (dired-noselect "~/" nil)

All programs seem to be gone, shells etc.  I thought my Laptop had died!
Rebasing with your commit omitted fixes the problem.


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 6 Feb 2023 17:41:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 06 12:41:34 2023
Received: from localhost ([127.0.0.1]:49808 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pP5Uj-0007Lk-Pa
	for submit <at> debbugs.gnu.org; Mon, 06 Feb 2023 12:41:33 -0500
Received: from heytings.org ([95.142.160.155]:45872)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1pP5Ui-0007La-Es
 for 60505 <at> debbugs.gnu.org; Mon, 06 Feb 2023 12:41:32 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1675705289;
 bh=W1xScIrEgkBna9Mh+7fgFAU/Mdheqqhudv+AI7ok/uA=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=g24Nq5GoUMP0gcaIK8ZXbXo8fFbVQcwilmrWmfV6VKloeHpQUNy5a+yac+641HXYN
 NNXjcpTvHSERJNZpXTssmMsra4foFbXwyJkRgnH56Pidec71wNJbG9LZUAUcUwoi80
 mYkExOZnMSXwf3ciCDfLEwD7+wUDVmfHOZpXqOMXXLSY5VcDjR9l0ULcCXXDuvxciS
 Y8iltVl8LGbVKJW2xyPQM/rJi+0vM+YXvYFufA0tPexLHLttoMHP9ydXJbVzPuq5HR
 3+iA1niMhRA4mfYTPnGFmsBflUQ19t4cvoJpXplQJmeUohH25lO9IMHZtvSNsbt7fR
 gNSHVuXHg8qLw==
Date: Mon, 06 Feb 2023 17:41:29 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <87zg9qr9ht.fsf@HIDDEN>
Message-ID: <2e70e5184e2d3141d4e6@HIDDEN>
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN> <8aadf0ddd54d67a3213d@HIDDEN>
 <87a62jmwj6.fsf@HIDDEN> <cf717d2477a320fb64ce@HIDDEN>
 <87o7qwm3dd.fsf@HIDDEN> <43562d4dd9c31382eb40@HIDDEN>
 <87k011dtw2.fsf@HIDDEN> <43562d4dd93037f7d01f@HIDDEN>
 <834js4zi69.fsf@HIDDEN> <87cz6seanu.fsf@HIDDEN>
 <jwvsffonlfp.fsf-monnier+emacs@HIDDEN> <87mt5udaey.fsf@HIDDEN>
 <87zg9qr9ht.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, julien@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> I've improved the patch, and I've committed it to master. It works now 
> for all different Tramp syntaxes as well as for all completion styles 
> except `initials' and `shorthand'.
>

That's great, thanks for your work Michael!





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 6 Feb 2023 17:26:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 06 12:26:23 2023
Received: from localhost ([127.0.0.1]:49776 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pP5G3-0006qQ-0P
	for submit <at> debbugs.gnu.org; Mon, 06 Feb 2023 12:26:23 -0500
Received: from mout.gmx.net ([212.227.15.19]:41749)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1pP5G0-0006q7-Fi
 for 60505 <at> debbugs.gnu.org; Mon, 06 Feb 2023 12:26:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1675704369; bh=2PLy7J6X9iCxas9J9xUhLgEIfL+b1hg+fo+r5NqerE8=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=CH51EJdBLN4dOyXXK/jWvE04HBMb3uTsHBbHJVGnaj5NMgidycTxbvK6akgVxdwM8
 gu2P189Da59wWM2lJFsAQDYYgkoiTu2tCDCXb8OoscqeOiIN0nbAvMA3issWKfwW/x
 1p+KaB2fhYnNWI4b4ZcLZTRVQ5j17Z1ns9JCRNMKrzDreHXf8S66OsaD9sJu2ybe9y
 9j+N5I/Xk1QTO54jNskj6CWTrRjF6/LldEUP0xZiPAB7RqXfZkl3LBQbDoCq424yFK
 d0hQaye93M0utdKdndEJYLQS1teMHlgJ4tQj3nristNoEk9BfeZrNMXVa0vWvZMFv9
 fiS298OoGtfoQ==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.39.22]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MbAh0-1osDPc3tJg-00beF9; Mon, 06
 Feb 2023 18:26:09 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <87mt5udaey.fsf@HIDDEN> (Michael Albinus's message of "Fri, 03
 Feb 2023 16:40:53 +0100")
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN>
 <8aadf0ddd54d67a3213d@HIDDEN> <87a62jmwj6.fsf@HIDDEN>
 <cf717d2477a320fb64ce@HIDDEN> <87o7qwm3dd.fsf@HIDDEN>
 <43562d4dd9c31382eb40@HIDDEN> <87k011dtw2.fsf@HIDDEN>
 <43562d4dd93037f7d01f@HIDDEN> <834js4zi69.fsf@HIDDEN>
 <87cz6seanu.fsf@HIDDEN> <jwvsffonlfp.fsf-monnier+emacs@HIDDEN>
 <87mt5udaey.fsf@HIDDEN>
Date: Mon, 06 Feb 2023 18:26:06 +0100
Message-ID: <87zg9qr9ht.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:MCdxvepk7At7t/GqTNEWUnrjwNK6/wsHByWlvaNnIFG7SLwSGU7
 8iJEqHUAMPhzlxAhKfytOdnQYgn5QURrdXo9b8geA2OTZMiDqrSe6ljXRX3+SzQOD0f6Bu5
 KMEamw1EZWBbHAPzlinNIxsmV2PYfkTcP59dUyxk2dLfC8ya5wAL064ytfPda+k0uGT0E5+
 gvrh1zHbK26CmlnJvY/Sw==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:fXZOQdy0Ai0=;QQ/+V4gvcZ2RWT+Pm6VyVsr9JNd
 h7zy5ja59ilvPNGh/zABZ7kw6Hkh65f1yg+RjOeD7Ou8hRKFnoSWdhLkAwKx5+3sdXgxsZ9Rz
 lpg81feyS5OqPkyh08FpskFRV3mh6md1ZBhQCMmzCz8EHEg//HjB9ItO2daGv4wHNEJJDtqPR
 tB1yXRYwYKcPPc+Nf/8p9zwe0oLq0iR6IcY6QnnmBCpMTlLycauqi6EZsT9RDn9FBHtbJP27S
 myGziqjdtKMgZ2afo65GEhupuT3TZ609pK1hcXoBk7QEBAfJ9HLqheZCvZBdt51eXK3nxC8lC
 U9gJ3Ire2HqJzPweqi4UCFZYRTk3CYMFcqYqYFEFTxe88CtdyYkoiLbzfSLzPkCPue9kru7ot
 ZhIf/QUOex9Vjng6q1wjav2QSrTmVsnzhpBPqziokdV5aE8IS1XLmOMR73/+BRfc22TSOQgvQ
 iu4KqLoJrLc1a3hVdKUb6Q9WPHwAjAIuVG2sZrTa1gA2GBB7qU1AbNEd07AdN8yK6OavtDZVb
 Dun/DhBzYeZgW9NPyOppKBOSXjaie4T8OMjVhRmE1VpIDkaSAoupAn4SjxZ0ngIt3uQDAFMep
 uK36MBoERkRXpln2/lJJOvdnRPwxVYS19Q3Y7eEDoObJBSIgN5dsgdKcraJ4XTfC+U3IcC4wz
 KUBJwHfxXAigYTsaMLdtJS8Jh7lcJ8hYaGyfz0AYKN5o00hrdut8Lh6RDphUQ2XA9pek+VqJf
 CdfPp3z8eD8wS7H5M0LFFEcNsLhcx1vEEow+neN+SnLVG2uQA5vGytVsOmUW2CpgUck+2DIzp
 IrhHg9SUPU8L03i+aqYDj2e/nHp3dRz9OtsrdQF/I+fruAl1VL6z+qDHaeW/DobN6nfTTBlId
 RfqsDl0oGNjhqsl1qHyP2P9nNrpUL7FUus/wBXF66IAx4WWfmdm/v7B1Grrgd+z+ee0IsyvvE
 PDRiN7whbOYRFU0tg8iT+DxTOL8=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>, julien@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Michael Albinus <michael.albinus@HIDDEN> writes:

Hi,

> I've played with this idea, and the appended patch makes it work,
> indeed. I had to adapt expand-file-name, file-exists-p,
> file-name-directory and file-name-nondirectory, but the changes look
> simple. It works for me now for the default completion styles (basic
> partial-completion emacs22) as well as for fido-mode, with both the
> default and simplified Tramp syntax.
>
> It doesn't work (yet) for the separated Tramp syntax, but this isn't our
> major problem, and could be fixed later. Could people check how it plays
> in their environment?

I've improved the patch, and I've committed it to master. It works now
for all different Tramp syntaxes as well as for all completion styles
except `initials' and `shorthand'. Likely, these two are not so relevant
for file name completion.

There's also a new test, tramp-test26-interactive-file-name-completion.
It doesn't cover yet user name completion and multi-hop file name
completion, these are still open. I'll keep the bugs open until this has
been fixed as well.

> Perhaps. So this patch isn't a candidate for Emacs 29.1. I would push it
> to the master branch (when there is positive feedback), and I would also
> add it to the tramp-2-6-stable branch in the Tramp git repo. By this,
> the next Tramp 2.6 release on GNU ELPA would contain this change as
> well, and we could get broader feedback.

The upcoming Tramp 2.6.0.2, being released on GNU ELPA later this month,
will contain the fixes.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 4 Feb 2023 16:48:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 04 11:48:21 2023
Received: from localhost ([127.0.0.1]:43296 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pOLi9-00089a-5q
	for submit <at> debbugs.gnu.org; Sat, 04 Feb 2023 11:48:21 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:4109)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1pOLi5-00088q-Fg
 for 60505 <at> debbugs.gnu.org; Sat, 04 Feb 2023 11:48:20 -0500
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 19941808D4;
 Sat,  4 Feb 2023 11:48:12 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id D24E4802A4;
 Sat,  4 Feb 2023 11:48:10 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1675529290;
 bh=x2NX4rt/tbRO+u5m4XzK0903GQvVd0tV2SkHhHiH3I0=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=XIj9OLDIc7cCB1cS8w2+xJpQEMeZaeBveXmU0vRh4giGW6TYssob95arFVIg7gkXN
 o9OJZoN2GuT2u6/ZjxSvH8mwObKveO6K5X9uosxLhIFMpL52Yf5ZMyXX/JOl2ITbxW
 fmeHNEMGq9yPJxcb4FTt/2eGNXN7DRT0oA5rljHMXoYCZeYGVYW4PGl16NHzlr19Qy
 aBeafb79c3m6DOMEpEc+AClg/pJoMWL8K2riLqjisWDv03OHv6w6X1DOyLYKba9V3O
 +WW0a94okm1/8goKgz4y94OTGZ2Az8jfcknw4KAm930OEJu1Qdzdq4ax3ozB9hBLmR
 PMim+YcUoEnqQ==
Received: from pastel (76-10-137-88.dsl.teksavvy.com [76.10.137.88])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 6E5DC1211AF;
 Sat,  4 Feb 2023 11:48:10 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <877cwxct7i.fsf@HIDDEN> (Michael Albinus's message of "Sat, 04
 Feb 2023 17:04:49 +0100")
Message-ID: <jwvpmapl6pa.fsf-monnier+emacs@HIDDEN>
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN>
 <8aadf0ddd54d67a3213d@HIDDEN> <87a62jmwj6.fsf@HIDDEN>
 <cf717d2477a320fb64ce@HIDDEN> <87o7qwm3dd.fsf@HIDDEN>
 <43562d4dd9c31382eb40@HIDDEN> <87k011dtw2.fsf@HIDDEN>
 <43562d4dd93037f7d01f@HIDDEN> <834js4zi69.fsf@HIDDEN>
 <87cz6seanu.fsf@HIDDEN> <jwvsffonlfp.fsf-monnier+emacs@HIDDEN>
 <87mt5udaey.fsf@HIDDEN> <jwv1qn6bo56.fsf-monnier+emacs@HIDDEN>
 <87h6w2d041.fsf@HIDDEN> <jwvk00ya350.fsf-monnier+emacs@HIDDEN>
 <877cwxct7i.fsf@HIDDEN>
Date: Sat, 04 Feb 2023 11:48:09 -0500
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.143 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>, julien@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>> I was referring to the design choice of approximating "completion
>> context" by "partial Tramp file name".
> According to the ChangeLog, this was added to Tramp in August 2002. I
> don't remember a public discussion about, it was just agreed between Kai
> and me.

In any case, I like it :-)

> Don't know. Likely no problem, because
>
> (file-name-directory (directory-file-name "/ssh:host:"))
> => "/ssh:host:"

Perfect!

> Perhaps it is a good idea anyway, to add a regexp matching "/ssh:host:"
> to locate-dominating-stop-dir-regexp.

I'd rather not if it's not needed.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 4 Feb 2023 16:05:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 04 11:05:06 2023
Received: from localhost ([127.0.0.1]:43271 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pOL2I-00071W-G6
	for submit <at> debbugs.gnu.org; Sat, 04 Feb 2023 11:05:06 -0500
Received: from mout.gmx.net ([212.227.17.20]:50557)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1pOL2F-00070u-V4
 for 60505 <at> debbugs.gnu.org; Sat, 04 Feb 2023 11:05:05 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1675526692; bh=M6WsgmPPzbkikmuXcYacfQHIQ5auebUGSSUIR7GXcaQ=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=FEWIs+5jQW5JtcqV8DyDgfZOjEOvgHvx6BjDwsQqLPlpZrihOxmqHV+J0ScKfV2gu
 mp/OiTfWPKwo4nsP1wpg6I9Czs7QF1LY7oGmKw5hU/T8NwoRl1vo2L2QQKsFyi/Bxp
 aKRewFk+Mo8crz6Y7S7GPE1fVjytNGPF40aGcta3aCmXnz9tCB2N5GpIzjJANMwITK
 fa96dwScLWh4pC1Gg19AvhxcFn54VCeJLaoWoVODmlUn+axzKVhagnn1v2jNf6+rek
 Q7y+Krx/rB5udcvGLzstDKoF2U9dLz9f3r3ymDTgfo7Khi8NWGXhMD2P4Sv9GnZiTE
 x1y0CjHUQiMOg==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.39.22]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MulqN-1oXCJU48aB-00rnsm; Sat, 04
 Feb 2023 17:04:52 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <jwvk00ya350.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Fri, 03 Feb 2023 15:51:03 -0500")
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN>
 <8aadf0ddd54d67a3213d@HIDDEN> <87a62jmwj6.fsf@HIDDEN>
 <cf717d2477a320fb64ce@HIDDEN> <87o7qwm3dd.fsf@HIDDEN>
 <43562d4dd9c31382eb40@HIDDEN> <87k011dtw2.fsf@HIDDEN>
 <43562d4dd93037f7d01f@HIDDEN> <834js4zi69.fsf@HIDDEN>
 <87cz6seanu.fsf@HIDDEN> <jwvsffonlfp.fsf-monnier+emacs@HIDDEN>
 <87mt5udaey.fsf@HIDDEN> <jwv1qn6bo56.fsf-monnier+emacs@HIDDEN>
 <87h6w2d041.fsf@HIDDEN> <jwvk00ya350.fsf-monnier+emacs@HIDDEN>
Date: Sat, 04 Feb 2023 17:04:49 +0100
Message-ID: <877cwxct7i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:Z/eEIQKZzcLB+5mT9g6cQMbw7xmfki6MAQZpyJkCbof8+VkKnh/
 1meK4ptPiF0aJqINFU6jzkUQ4Fy9CpEvdwhly9qhoPjjicIWJIcNpgrED9zvxbUcs2Z1/5M
 joh+VRri0MEQLkgzLuNXCxubWADESFoRxmvi/7I2u07JGrcg+Af2l1evQd38YkVL1TtO5G2
 JZeTeTPYz7s7s4mv89LjQ==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:7NXS7jSUtpY=;G8CbPfonPul3VQ8jd8Oysh+64hP
 UTSNjJ4bkiHhSOMRy3gMRsM6yivJcOarXZA1tLqVbJxYyvNmmmFLgv58xNDwF6SfY4CJUkdHz
 0yCcIHjjqhf3tr/TO7Di5YUVBFKFVHJnRVXJB2NJZ7hqVNh+XgiuOcR38YC6WBNvINJtPBqts
 hjtXEEHPpuDMGq3V4H14WXFROOgrnksuwYQyTQGRCOSbQT/CCwDqCPPs/aMtvQU+A6Dc3I3Vx
 6JPgWWucg1gF8ZLNY1mWKYPpbRR4TYoTebfOkEB8tmhFSVMwR8y7uQeiUyajYwzPK0X4Z4bXH
 YzYcq7FtmKxl9j1Fcah26N60/LXvHN5/1dCqQcCrJSlEb6IK9EfWt8EZz1KBAxNNpPzK+ml+v
 Y98zGNknN23C9J2ufo3Dc8GXRLohCfDSUzl7A+DBc73xewogTWU7rSFno7FH73cj80PB+Xf/u
 h5x4n71i3K/nErRWxdIWGLdVY0ILj2h3N8eb7vOAqya2il7B5ji1rcRnrc/GWCXmE2j4wZ8I3
 rZfZbh7kS0ajOOw/fZHdb5HNHySrLiaqDZhZ365FGNRRXwJzJ+7p2Frn/jZHDEL7rB/Br9ti1
 QNpA+M2VBjS3W/VdVmB+Pn2KpZewTNC27ArE6WPwOzzozWbvJym8sT2Toe2gTAIuistleZcY8
 iJFZd3RhVp9AQyLAZ2BKEZ+GpmPUN4dT90uxx2H+gK5IKEaAwb2Abcmjy64zacvniBSa1y//9
 RTXIiiwtudF1UWUSjyV/7SKEQ3t5LcD/xXpEc05UipKDDurVS6KGs2HcfR3AK8Ahi6cNMNFzw
 JInozEk2v5VXtBIr/2GU5lu6JFaAyz64Y9u6OE5wZNVC/n6u4VvrvKs1WKNzzNfAPdbPefUY2
 TZ9heU78qiuklkCLOjrkmcFb6ohG8Wd7FccgJEicJcVDA8yF1CbJSvdXJSykQInUfeidv5zA7
 0Cp+zrV30aicg/oJxwkxb+73FV4=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>, julien@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Stefan Monnier <monnier@HIDDEN> writes:

Hi Stefan,

>>> I didn't remember this part of the design, but it sounds good and does
>>> make changes to that part (like the proposed patch) "safer", so it's
>>> probably OK to try it on `master`.
>> There is no special design for it. Ordinary file name handler machinery.
>
> I was referring to the design choice of approximating "completion
> context" by "partial Tramp file name".

According to the ChangeLog, this was added to Tramp in August 2002. I
don't remember a public discussion about, it was just agreed between Kai
and me.

>>> I wonder how this patch interacts with `locate-dominating-file`.
>> I'll check tomorrow. But since there isn't a slash in such filenames
>> (except the leading one), I expect it shall work. Needs more testing,
>> this case and other use cases.
>
> I was thinking of what happens when `locate-dominating-file` does:
>
>       try /ssh:host:./foo/bar/.git
>       try /ssh:host:./foo/.git
>       try /ssh:host:./.git
>     ? try /ssh:.git      ?
>       try /.git

Don't know. Likely no problem, because

(file-name-directory (directory-file-name "/ssh:host:"))
=> "/ssh:host:"

Perhaps it is a good idea anyway, to add a regexp matching "/ssh:host:"
to locate-dominating-stop-dir-regexp.

> -- Stefan

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 4 Feb 2023 09:54:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 04 04:54:53 2023
Received: from localhost ([127.0.0.1]:40706 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pOFG1-0006Hn-81
	for submit <at> debbugs.gnu.org; Sat, 04 Feb 2023 04:54:53 -0500
Received: from mout.gmx.net ([212.227.15.15]:60357)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1pOFFx-0006HW-98
 for 60505 <at> debbugs.gnu.org; Sat, 04 Feb 2023 04:54:51 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1675504477; bh=QTmwc+lv6OlmYs+LMc9A3X8PbI4nNyzFdLeptbkPimo=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=eyMj1dX1AlWFezc1UlyPXelYahsF0uAGz1COJ4vbGDVslBuELT/Br+LnYIs/KRgvH
 yuLfYx1MPKUk6DEtrpXr8fxlU2rnH7AsI7nVdtSA6l3hum9SQ6Q5ZB1rmYEKXe62Qx
 syd5PUOmubOTqxXrabnbPdpP+O3DAo8KzjXmPjvcZ3DNsVT91ieTXwMeNzBME2g8RG
 eGWQ+aYNrRAv60f7lnIfy0TblSOqMzpTeBLLR4fkKzQ4tkQbzQgde7Jv9qJunZEA73
 2sUzW6mYG8cv+JH8+cY84c9tnFnhaKCPBkHH8IxPFbLM/y4EmU95VmQKwtqD2sVyvh
 jR+mW+U8saYRA==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.39.22]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MTzay-1pEva3205y-00QzmH; Sat, 04
 Feb 2023 10:54:37 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <b0bd26d3789cfec367fe@HIDDEN> (Gregory Heytings's message
 of "Fri, 03 Feb 2023 22:33:22 +0000")
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN>
 <8aadf0ddd54d67a3213d@HIDDEN> <87a62jmwj6.fsf@HIDDEN>
 <cf717d2477a320fb64ce@HIDDEN> <87o7qwm3dd.fsf@HIDDEN>
 <43562d4dd9c31382eb40@HIDDEN> <87k011dtw2.fsf@HIDDEN>
 <43562d4dd93037f7d01f@HIDDEN> <834js4zi69.fsf@HIDDEN>
 <87cz6seanu.fsf@HIDDEN> <jwvsffonlfp.fsf-monnier+emacs@HIDDEN>
 <87mt5udaey.fsf@HIDDEN> <b0bd26d3789cfec367fe@HIDDEN>
Date: Sat, 04 Feb 2023 10:54:35 +0100
Message-ID: <87bkm9dack.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:TFfQ4KZDxg9zbGDOvcvKOIoFaohVEXoq9OTkJYebm3k+JPcb16e
 +UpyOBF0FNZaJsLPjOCL9bRsyscW5imCMKJ4+GqQQ37zNZ2PCMngebLqRgY/AIsczrWdl1t
 CUnlEj6ivG35X6m9g5dnjRh/91s6K2Vnz1yTnjrEe2JVPLprOe979ro6/HyM55eDV2DwrTw
 jXrqaGDDeX/WwfoXsi7uQ==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:eUsKF4Nn7yU=;3lpfb2uw59wlshyKQo51xNtD6AN
 Ds5DULDkXoXN+u78+v+XP/7pvjV+sJOTmxaUrbucVGmxvBX3sv0CPq4LbXHftBCjCQyMq39J5
 YPykr7B18Lpt4aCSDNsVwLs8HvuzAFV8pyHB7Sa+Qe4S60v4MIOt0ozcT3YDXM5BEbSN3i0Rn
 MiF+ddc/zjL88ONEo+TzKEuvu3BXiekOyGuy0rFQYMQ9K8fTIllgOvGZYHliY+KJXJCviaAUU
 Tl5jZlGIntyZs9ps6+ByVclIzvxBYCdZs133Of6WLljyPVDBIF6RrSb3Er7FRBBby0BmrdHR1
 kZsd6GK/CYEaYU/gUONzGNIxXFoCRz2G8kQ4hSSKgHIY27ZHYi1rp0y2jLY0ZN2i8yjwlfCgz
 fDYkuv3m0+MmuuEegjrC2dXnQFQ2+zsuvF/0MxcLN1nImh8835mdxmMnWSKXOcnlBW2XanxEm
 e4MfDFZAVJcguWLEtBKkL+CdGpSQo2ct+yOb6MqB+UDvlYPD3aiyMXTCGTlWN29rxHG+fUl40
 phiTkg/O7Fx7MLUorq54Vg/QnKrbXYloQyCteN506P4QVKVTo8IZVOixY8MnnjozsHfQ6qTYc
 Iv9cZNyargMNtFnsYNH4yIz8cfHHlJrF8zKafAa1tlQnfHd6KqPvZ8HIgIhYF0mVk7tkCECYR
 S+im/CHxuoQQKk+zUZ187EEdvFMbd3a8fivyG3JBOx/LXDPMgY5m/A4qf/kXOPCGrItvVJn3E
 RNuF03geVU1R+AXsILNfhIC7vBIPe7Ej0F4J+L9gkKknyMlIB7fmvNZFyfZHggTzCCBPQZC6r
 AZVcvT2+tLI6Do9H5tUbp28Eypf4znxo/8f0rmxkazjvWRs4rqsH+1ATXhAMxN5L6sv0A6uPS
 7uiv/gh1CptMiEP34hkPc13riu9WA3GpDxD1yq17VyQ8DLkGQ/p9EmLuoxex4A0qYZ9UoTGlt
 T6dLQg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, julien@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Gregory Heytings <gregory@HIDDEN> writes:

> One minor problem:
>
> emacs -Q -l tramp
> C-x C-f / TAB
>
> displays "-:" in the completion candidates.

"-" is a valid method, it means "Use the default method".
See (info "(tramp) Default Method")

While working on the patch I've detected, that it isn't offered in file
name completion. So I've fixed this as well, silently.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 3 Feb 2023 22:33:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 03 17:33:26 2023
Received: from localhost ([127.0.0.1]:40112 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pO4cX-0005b8-Q8
	for submit <at> debbugs.gnu.org; Fri, 03 Feb 2023 17:33:26 -0500
Received: from heytings.org ([95.142.160.155]:42198)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1pO4cW-0005az-9p
 for 60505 <at> debbugs.gnu.org; Fri, 03 Feb 2023 17:33:24 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1675463603;
 bh=LHZGiOuVZ8aq97XcbSyXAII4YuehjfRo3BTGo46kK5A=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=DS2zNKfjRt5QAg5YWgqk9Nt/PbGr+iVgTrrXfPf2yeRwwFB7RipzBxh6jxcPV1vkL
 rqJLwU0XhsViQGHX+a3pF103jKdOAh+ZGIoRT+X4prva6Ehptp5SK9OSHy7gay/aqT
 P1L8xKGJUQx9nU883YzMc4HxBe4KNflPBoa94BTQdGh8qADJ9F08qmBKo6VEkaRl0Z
 /Z9+cBaLzaKOPJq6ab4WDfG3Ma5nICBtcVOAFVqaC84eN6+E3QKtPsDUMdxQp5JD6m
 oT1vnrt2964sTxiKrt4gUWsgwfFGqPkq5elucTib9GDXXDDREOMbZYUkMB4N16nvjP
 qKa1+HNWDp1WA==
Date: Fri, 03 Feb 2023 22:33:22 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <87mt5udaey.fsf@HIDDEN>
Message-ID: <b0bd26d3789cfec367fe@HIDDEN>
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN> <8aadf0ddd54d67a3213d@HIDDEN>
 <87a62jmwj6.fsf@HIDDEN> <cf717d2477a320fb64ce@HIDDEN>
 <87o7qwm3dd.fsf@HIDDEN> <43562d4dd9c31382eb40@HIDDEN>
 <87k011dtw2.fsf@HIDDEN> <43562d4dd93037f7d01f@HIDDEN>
 <834js4zi69.fsf@HIDDEN> <87cz6seanu.fsf@HIDDEN>
 <jwvsffonlfp.fsf-monnier+emacs@HIDDEN> <87mt5udaey.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, julien@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> I've played with this idea, and the appended patch makes it work, 
> indeed. I had to adapt expand-file-name, file-exists-p, 
> file-name-directory and file-name-nondirectory, but the changes look 
> simple. It works for me now for the default completion styles (basic 
> partial-completion emacs22) as well as for fido-mode, with both the 
> default and simplified Tramp syntax.
>

Congratulations, that seems to work correctly indeed.  It fixes the bug in 
Tramp, but not in the way I suggested, so I guess everyone is happy now.

One minor problem:

emacs -Q -l tramp
C-x C-f / TAB

displays "-:" in the completion candidates.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 3 Feb 2023 20:51:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 03 15:51:19 2023
Received: from localhost ([127.0.0.1]:40031 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pO31j-0002te-Id
	for submit <at> debbugs.gnu.org; Fri, 03 Feb 2023 15:51:19 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:44155)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1pO31g-0002tP-H1
 for 60505 <at> debbugs.gnu.org; Fri, 03 Feb 2023 15:51:18 -0500
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id AED98810E7;
 Fri,  3 Feb 2023 15:51:09 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id D8275805B7;
 Fri,  3 Feb 2023 15:51:05 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1675457465;
 bh=n+fpKWsD/Yvcernk9b+YytHp+h+MUPuR4UoaNi6uGrg=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=jLfnsmIdP3lItB3vlveRE+4zi8B/lVzdM2y2iv3lgJrLLTtM+HaJWW4I8fK0E8Qza
 RCIDM1HrZHk+vXMwo1Sd+1GX9wcpGpwdw52KTEm6RdzONlZWup3I45rHzoR9hnyzRz
 lEhdMYVzdrda1N6g739Boj8IFjrY8oWUcj6MpkCx3Uc42YPr6SO+CN1BbsZSrBdzpc
 091sUJ6hkpY///+UAOEUhOdYnPAMcS+Rs7MiYqxYr0ui8ihRXlNFWaPBpFPM3OzUyH
 nBXbbE5VGUJTmXnHJJA6H1Wie0GocIgCMqSF2Q68YS2Xm+M458p/yDWTgd/RGvvllr
 QUwAu6jSTdRBQ==
Received: from ceviche (76-10-137-88.dsl.teksavvy.com [76.10.137.88])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 7BBC7122519;
 Fri,  3 Feb 2023 15:51:05 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <87h6w2d041.fsf@HIDDEN> (Michael Albinus's message of "Fri, 03
 Feb 2023 20:23:26 +0100")
Message-ID: <jwvk00ya350.fsf-monnier+emacs@HIDDEN>
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN>
 <8aadf0ddd54d67a3213d@HIDDEN> <87a62jmwj6.fsf@HIDDEN>
 <cf717d2477a320fb64ce@HIDDEN> <87o7qwm3dd.fsf@HIDDEN>
 <43562d4dd9c31382eb40@HIDDEN> <87k011dtw2.fsf@HIDDEN>
 <43562d4dd93037f7d01f@HIDDEN> <834js4zi69.fsf@HIDDEN>
 <87cz6seanu.fsf@HIDDEN> <jwvsffonlfp.fsf-monnier+emacs@HIDDEN>
 <87mt5udaey.fsf@HIDDEN> <jwv1qn6bo56.fsf-monnier+emacs@HIDDEN>
 <87h6w2d041.fsf@HIDDEN>
Date: Fri, 03 Feb 2023 15:51:03 -0500
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.182 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>, julien@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>> I didn't remember this part of the design, but it sounds good and does
>> make changes to that part (like the proposed patch) "safer", so it's
>> probably OK to try it on `master`.
> There is no special design for it. Ordinary file name handler machinery.

I was referring to the design choice of approximating "completion
context" by "partial Tramp file name".

>> I wonder how this patch interacts with `locate-dominating-file`.
> I'll check tomorrow. But since there isn't a slash in such filenames
> (except the leading one), I expect it shall work. Needs more testing,
> this case and other use cases.

I was thinking of what happens when `locate-dominating-file` does:

      try /ssh:host:./foo/bar/.git
      try /ssh:host:./foo/.git
      try /ssh:host:./.git
    ? try /ssh:.git      ?
      try /.git


-- Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 3 Feb 2023 19:23:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 03 14:23:43 2023
Received: from localhost ([127.0.0.1]:40006 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pO1ew-0000fI-OC
	for submit <at> debbugs.gnu.org; Fri, 03 Feb 2023 14:23:43 -0500
Received: from mout.gmx.net ([212.227.15.19]:34079)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1pO1et-0000f5-IE
 for 60505 <at> debbugs.gnu.org; Fri, 03 Feb 2023 14:23:41 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1675452208; bh=cjWb16PV5qLN87k0fOOPdqJEIEMl4WEoky+XqrbfxVg=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=MazSkeQqPoxAnwvulcavdKoAv8L+PvbgyJgNVELpx4+ym/EtbUEFK2sXgTgMe5hC7
 eGuAYkCnan/PM2YAAuTIx40VCAXJ68jUtA/fkaKzE144rhkhEVRwBtoZ26CgJcu50A
 ucPdhaHxPXrWW3t+dqsJUHhwGw9zOdOtKGDq1OFddx0KfTbVjvxg6AEXQKy5ec5a7a
 xqBNpUuHGtk2IolXBZZrvOzGLihPznJu34KkVVkdGpmk4Dsi7qmLewsMFFoP406Jse
 OZ2qohmeowEzpMNgeOHc3aBv/sa/UNDffbzAI8tIjN46+zs22hoYJZXRAvXVeI0yZK
 UPUDmt6f00Hfw==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.39.22]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1N63Vi-1oZVUW1hxA-016MMt; Fri, 03
 Feb 2023 20:23:28 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <jwv1qn6bo56.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Fri, 03 Feb 2023 13:43:07 -0500")
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN>
 <8aadf0ddd54d67a3213d@HIDDEN> <87a62jmwj6.fsf@HIDDEN>
 <cf717d2477a320fb64ce@HIDDEN> <87o7qwm3dd.fsf@HIDDEN>
 <43562d4dd9c31382eb40@HIDDEN> <87k011dtw2.fsf@HIDDEN>
 <43562d4dd93037f7d01f@HIDDEN> <834js4zi69.fsf@HIDDEN>
 <87cz6seanu.fsf@HIDDEN> <jwvsffonlfp.fsf-monnier+emacs@HIDDEN>
 <87mt5udaey.fsf@HIDDEN> <jwv1qn6bo56.fsf-monnier+emacs@HIDDEN>
Date: Fri, 03 Feb 2023 20:23:26 +0100
Message-ID: <87h6w2d041.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:FVjl/7NeAjZ8LMs5aaZyeG+sXMocGk7TZY6y3vSPqK/LuVxbOap
 vB5727QKIQpdQr8CReAsNOlzb8MXASIJepNF8u0r1/iTKyevXmcOUZT8LxpS7thnI6+YDN4
 ZaGU8MmQpnHk2vX0N/Z2hwoZ9l49j39RvHq9Na3q9JuRt4YbpDUv8H/eyAkyLx6twd5ErD6
 AowVQ91vWeWj/NHJ+oz2g==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:mnwkbSffbs0=;dJe/h38CKAUFCZx+hG/sBQgAC2x
 kzTWPye9iorCSe3SaMcYnBe5lI4Cayi1+4j5vqWivDNA+pzNE9ZJiCnKwAsg0IcTpPrfyjZIW
 uc2jnw1vBMmpSYElcO+Cgji6oSnEGcQORiggwIDoKsRhZuT06Sukir3jadvrZyqi7dQAGVyhD
 qamOc6nMCeENCWN53mENibVOwsgjdw1Vijt4TRAkodSW7cvRPXI20oN4QBm/Q6TGqS6EOUglC
 gJW9noZBWYAzHN/fITadRA9uIz1scyb4PQ+SfBjNMI8CUUAOtRf1JgGvs/LdaEItR3qa3jL/3
 sOw3on7UKw1mgfnmM/LznwQLmB0e7wf5zMMjGPxKrDTTJl4m80Lr9uwfrR69Zx44L5OWyTKc7
 vU3GVLWAhIg9lbpxPL7Sg23CHZt879rxXyzhXcdRiNvTi38GTUdBIwFdBpEdho7tHfIFgU18O
 o7RhdtTeEjyDKavutScguF2goICCfm6UOD9EMg3DBYlE8l7wIJBikluLImcPZlYXOOy0cns1r
 aVaQ58Q0sldjZ0eLdZWfx0I8uKy/K+qUBQnKFVSusuUeDRggRx0ebLnpMtN0T8AeT5dV1IdZw
 xy5JdXERrm5d6i5N1BcTd5gyvaKX4aRyHNCXykqk5QLe/FIwRBX9U2pSA/7Hxh8ufYI5gepI/
 zNsG5ZBndBMux0BqMx0V1+e0mwVU9kI0TpQfuNqvnCuh9i1rMaVrt+Z69mWYmNtBtL6QTx/pe
 Cjz3oPwDSuudGYd2C4Hl/pgJkyi36AYHaPQ4jPWtWbmRewCPyKwZATmGLo2Du+IYSVg+iHSnb
 CzqGivU1bcbp0qSFg5Q/5iNb4bPK816xKzgGFNkY/+TnYTOUMsAuJTAmrQVRbA5C8mrIhbmdo
 uRs9w6cYGq5G11ldvdG3PN/gLQOP0vDE1Ry3H5EMDK3bTpjDl3T7znlo18+zZgujUFtfnoerS
 bvJigudyJrnOlUcfB+reWnHMPaQ=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>, julien@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Stefan Monnier <monnier@HIDDEN> writes:

Hi Stefan,

>> +(defun tramp-completion-handle-expand-file-name (filename &optional directory)
>> +  "Like `expand-file-name' for partial Tramp files."
>> +  (if (file-name-absolute-p filename)
>> +      filename
>> +    (concat (or directory default-directory "/") filename)))
>
> Hmm... shouldn't a "/" may need to be added if `directory` or
> `default-directory` doesn't end with one (except in cases like `/ssh:`)?

Rather not. We're speaking about the tramp-completion-file-name-handler,
which is activated for file names matching
"\\`\\(?:\\)?/\\(?:\\(?:\\(-\\|[[:alnum:]]\\{2,\\}\\)\\(?::\\)\\(?:\\([^/:|[:blank:]]+\\)\\(?:@\\)\\)?\\(\\(?:[%._[:alnum:]-]+\\|\\(?:\\[\\)\\(?:\\(?:[[:alnum:]]*:\\)+[.[:alnum:]]*\\)?\\(?:]\\)\\)\\(?:\\(?:#\\)\\(?:[[:digit:]]+\\)\\)?\\)?\\)\\(?:|\\)\\)*\\(?:\\(?:-\\|[[:alnum:]]+\\)\\(?:\\(?::\\)\\(?:[%._[:alnum:]-]+\\)?\\)?\\)?\\'".

It looks complex, but in practice it is everything until
"/method:user@host" without a trailing colon. No slash there.

It's value is

--8<---------------cut here---------------start------------->8---
    (rx
     bos
     ;; `file-name-completion' uses absolute paths for matching.
     ;; This means that on W32 systems, something like
     ;; "/ssh:host:~/path" becomes "c:/ssh:host:~/path".  See also
     ;; `tramp-drop-volume-letter'.
     (? (regexp tramp-volume-letter-regexp))
     ;; We cannot use `tramp-prefix-regexp', because it starts with `bol'.
     (literal tramp-prefix-format)

     ;; Optional multi hops.
     (* (regexp tramp-remote-file-name-spec-regexp)
        (regexp tramp-postfix-hop-regexp))

     ;; Last hop.
     (? (regexp tramp-completion-method-regexp)
	;; Method separator, user name and host name.
	(? (regexp tramp-postfix-method-regexp)
	   ;; This is a little bit lax, but it serves.
	   (? (regexp tramp-host-regexp))))

     eos)
--8<---------------cut here---------------end--------------->8---

> Then again, maybe not.  I don't understand enough of the details of when
> `tramp-completion-file-name-handler` is used (IOW what is meant exactly by
> "partial Tramp file name").

Exactly that.

> I didn't remember this part of the design, but it sounds good and does
> make changes to that part (like the proposed patch) "safer", so it's
> probably OK to try it on `master`.

There is no special design for it. Ordinary file name handler machinery.

> I wonder how this patch interacts with `locate-dominating-file`.

I'll check tomorrow. But since there isn't a slash in such filenames
(except the leading one), I expect it shall work. Needs more testing,
this case and other use cases.

>         Stefan

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 3 Feb 2023 18:43:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 03 13:43:19 2023
Received: from localhost ([127.0.0.1]:39958 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pO11q-00081C-Sr
	for submit <at> debbugs.gnu.org; Fri, 03 Feb 2023 13:43:19 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:20445)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1pO11o-00080w-QU
 for 60505 <at> debbugs.gnu.org; Fri, 03 Feb 2023 13:43:17 -0500
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 0C357810E7;
 Fri,  3 Feb 2023 13:43:11 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 6CFF48091E;
 Fri,  3 Feb 2023 13:43:09 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1675449789;
 bh=GlljTha3boui4cuv9xG0QC6eZxfd8oYtCPTJ/MNoepo=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=jogDT37N+Pb9GN7hFafKApg5wQ8hYxm1P4KEPv9R2yVuhwuDuD1UXyUzAt11Aq31X
 iVPQmrgNYr+KuhQ95qI3WVY4r8syDfvCuyyiVnUs9lRXYdgFEfmAdApa5en1tWnjmz
 pWtDNnSHJTqSjHyDKi0Te6VFR2ARWa77tsByJgOhkkIr+CzXg0T/jyyjJa9jREi+S2
 /kc0XSso5y0OioUbXzeLbBt05BP9pPJIzkjYHxG8JLpW8PGXrY7wBKpkVn/iZ2rmhm
 BHDaMX74mYi5hM+5kTGZwnZbPdJizq5nCAkrFVB3JvyLn77cx3aXuOcRih+MUVP0Me
 FvoEdBIK842NA==
Received: from ceviche (unknown [45.44.229.252])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 31DE0121AB9;
 Fri,  3 Feb 2023 13:43:09 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <87mt5udaey.fsf@HIDDEN> (Michael Albinus's message of "Fri, 03
 Feb 2023 16:40:53 +0100")
Message-ID: <jwv1qn6bo56.fsf-monnier+emacs@HIDDEN>
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN>
 <8aadf0ddd54d67a3213d@HIDDEN> <87a62jmwj6.fsf@HIDDEN>
 <cf717d2477a320fb64ce@HIDDEN> <87o7qwm3dd.fsf@HIDDEN>
 <43562d4dd9c31382eb40@HIDDEN> <87k011dtw2.fsf@HIDDEN>
 <43562d4dd93037f7d01f@HIDDEN> <834js4zi69.fsf@HIDDEN>
 <87cz6seanu.fsf@HIDDEN> <jwvsffonlfp.fsf-monnier+emacs@HIDDEN>
 <87mt5udaey.fsf@HIDDEN>
Date: Fri, 03 Feb 2023 13:43:07 -0500
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL 0.194 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>, julien@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> +(defun tramp-completion-handle-expand-file-name (filename &optional directory)
> +  "Like `expand-file-name' for partial Tramp files."
> +  (if (file-name-absolute-p filename)
> +      filename
> +    (concat (or directory default-directory "/") filename)))

Hmm... shouldn't a "/" may need to be added if `directory` or
`default-directory` doesn't end with one (except in cases like `/ssh:`)?

Then again, maybe not.  I don't understand enough of the details of when
`tramp-completion-file-name-handler` is used (IOW what is meant exactly by
"partial Tramp file name").

IIUC the `tramp-completion-file-name*` thingies operate only for
"partial Tramp file name" (so the "completion" part of their name is
technically a misnomer, tho they make sense in practice since this part
of the code is only really important during completion), i.e. file names
that should be handled by Tramp but that are incomplete because they end
before getting to specifying the desired directory/file at the remote
end (or even specifying the remote host's name).

I didn't remember this part of the design, but it sounds good and does
make changes to that part (like the proposed patch) "safer", so it's
probably OK to try it on `master`.

I wonder how this patch interacts with `locate-dominating-file`.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 3 Feb 2023 15:41:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 03 10:41:14 2023
Received: from localhost ([127.0.0.1]:39805 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pNyBd-0003Td-LD
	for submit <at> debbugs.gnu.org; Fri, 03 Feb 2023 10:41:14 -0500
Received: from mout.gmx.net ([212.227.17.20]:56931)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1pNyBX-0003T8-9Z
 for 60505 <at> debbugs.gnu.org; Fri, 03 Feb 2023 10:41:11 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1675438856; bh=ndLXk7+fADvm2CAjZcWQ5UXMIpWJGakkgz3RUMWJuNM=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=hrFkc9KN9g4vf4M4YO0PgdjsCq7JGF1FjOxDtbAPT9cV2IzW5n4ito7VKUS+DbE0X
 ne40gkPCgyK7PYLLEfuBPzkKr/MR9lsWjEl4h5AgQJjHoLjWXFOkncSwutAZ+ycdfp
 5XWFca4aDC7Ekf+dUenjXY1Y7ih2CqjHMHztqq/bJElidXlrte8jqf9ZrVYI8YR6+7
 1TERcuJo+rTSDH6OyW552DTjd+LD/2WpNsAsG4dejfmvV2BlPdFdpHEsqR3dw5kH3h
 BI8fSFUns3PeFYhOMljdgxUcqLMsl9nn02YDPNzC13WocHVOdPnI+zY+iWmgFV9A2s
 z+tOUcWxC4sAQ==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.39.22]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MF3HU-1pQ8zP3IGe-00FRcX; Fri, 03
 Feb 2023 16:40:55 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <jwvsffonlfp.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Thu, 02 Feb 2023 10:39:25 -0500")
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN>
 <8aadf0ddd54d67a3213d@HIDDEN> <87a62jmwj6.fsf@HIDDEN>
 <cf717d2477a320fb64ce@HIDDEN> <87o7qwm3dd.fsf@HIDDEN>
 <43562d4dd9c31382eb40@HIDDEN> <87k011dtw2.fsf@HIDDEN>
 <43562d4dd93037f7d01f@HIDDEN> <834js4zi69.fsf@HIDDEN>
 <87cz6seanu.fsf@HIDDEN> <jwvsffonlfp.fsf-monnier+emacs@HIDDEN>
Date: Fri, 03 Feb 2023 16:40:53 +0100
Message-ID: <87mt5udaey.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:El7GpFa/3BFTSdTHonwtZ3RJNGrikBmJem485hO7GvRmlVKrX5g
 QxFP32HNachd+2xqjwJmWctDdubylArj3Glr03e6JVnGfQiXhZNxXYWaSavQE6dOUK3e0PQ
 lCCNdc9mbmLv63gCtAU/1WGmNjaF/NaNeKO6dy960fV9DhlYJMoD9ftKzwBCEWukF1amHJG
 kdEXgoIB5lVdRD8IOLTsQ==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:qVMKWx2eZno=;nEnmO5Ui5agr7ChVODY3XE8bzzF
 d9YpqdQFOjsncUpPyOX6dR6bjUQDUSUVAtn25DpBTy5f1pbLGueWNPzGW0J3zLdPpydFDpy5F
 jXq048g55vPHyXVpsftFl4YUQMhhxemtx2KupCwHxNyzJSuphGoVB/UgsvNSo10mowqxQig0j
 mLiBFaYEfl8cxFX6DAHlPqkCymwJSQ0h2s2DIA7BhchuQMBL/5KFF3FgAZhRcW/D4ZPvR1A5z
 iYR1gHBYxlJoywf2wmPJ+B8oNuUl6EoceLyddTfqgblHVK9Bfi56NuuSRuSfDAUlyOn6s2k9y
 YOD8S4STCY04+9a8E4ATcR+BgSuLZLmOXmEP19elFII9X4Uet6Xa9OscHsVztXhBELGkVE5w+
 LTCGFX5Tab8hYNEXpsOwJgwSkEDNqHLjuxBa6viEkKv6Lacd+GjKXDKrrzDpVu5ftVO54blU2
 pzO5Z4P6pkqHCBpg8HW3FbWHUoTO1O+50uiaVqJP8qRUFT9Y0aqr3lESfq2k0UITdkGl5bNpQ
 0uUsTvKbgWKE69wNd74c8exV6/9Ioesf2qELqUZP6R8Bd98t6+g7zrl72XDvK0eplR2m+Y/7R
 fl3Qdf5Dt8y9X/jrfR1f49p6gLvbgygX10joU62GoZODyPGR5oZ01GiG5GfPinn1ofLh2iWRI
 j4LxngHb/YrWVBQfc1fUvWnEH6C4e53c+UWZCJXpn6xEywl0K+HhRZX1Z7dnYOZxF2haoINpB
 t7hdPM6Zm1cu3thKDsgxoHmzTYiw1OzsQaYHkElLZcNdIaidgDOCmpTf6f3wihgPD5/Rq2BFd
 J1fFjX6BFTL1PbZdC0w6MQWBnEpc3/R1vzYbh2oCe9fFWLINcOT8nBvfRQYu3Lip6Jl+5MnFk
 Kii0vUXEmOIKAaSxn5+/ydTPpLYAfp1HKslrSr6MNsmq91XvRMT+3OBxrpHIyQzOvnAAFP1Zt
 7A2fbK2vVNnN7vtuhGIflBAhSIs=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>, julien@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Stefan Monnier <monnier@HIDDEN> writes:

Hi Stefan,

>> I could imagine that the completion machinery offers an API that a
>> package could register its own idea of a file name syntax.
>
> The completion code relies on `file-name-directory`,
> `directory-file-name`, etc... for that.
>
> The problem as I see it goes as follows:
>
> According to `file-name-directory`, in `/ssh:myhost` the part
> `ssh:myhost` is an element of the `/` directory.  For this reason, the
> completion machinery would expect (file-name-all-completions "s" "/") to
> include "ssh:myhost" in its return list rather than only "ssh:".
>
> Now, it's impractical for Tramp to do that.  So the end result is the
> kind of bug reports we're discussing.
>
> One way to fix the problem is for Tramp to "teach" the rest of the
> system that `/ssh:` is a kind of directory, in which case the completion
> machinery would know that (file-name-all-completions "s" "/") returns
> "ssh:" and that "myhost" would be included only in the return value of
> (file-name-all-completions "" "/ssh:").

I've played with this idea, and the appended patch makes it work,
indeed. I had to adapt expand-file-name, file-exists-p,
file-name-directory and file-name-nondirectory, but the changes look
simple. It works for me now for the default completion styles (basic
partial-completion emacs22) as well as for fido-mode, with both the
default and simplified Tramp syntax.

It doesn't work (yet) for the separated Tramp syntax, but this isn't our
major problem, and could be fixed later. Could people check how it plays
in their environment?

> Another is to change Tramp's syntax so that it uses the regular "/"
> separator rather than ":".  This would get a similar result but without
> touching `file-name-directory` and friends.

No way. We have had syntax ambiguities for Tramp in the past, and I
don't want to go this painful way, again.

> We could also consider introducing a new set of (file-name) functions
>
>     completion-file-name-directory, completion-directory-file-name, ...
>
> so the completion code can use its own notion of how a file name gets
> separated into parts.

That's what I have done in the patch, adding such functions for the
tramp-completion-file-name-handler implementation. An implementation for
directory-file-name wasn't needed, but we could add if necessary.

> But introducing such a subtle distinction would likely introduce a lot
> of bugs&confusion as well.

Perhaps. So this patch isn't a candidate for Emacs 29.1. I would push it
to the master branch (when there is positive feedback), and I would also
add it to the tramp-2-6-stable branch in the Tramp git repo. By this,
the next Tramp 2.6 release on GNU ELPA would contain this change as
well, and we could get broader feedback.

What do people think?

>         Stefan

Best regards, Michael.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment
Content-Transfer-Encoding: quoted-printable

diff --git a/lisp/net/tramp.el b/lisp/net/tramp.el
index 21dbd40b1d2..0dc7d68983b 100644
=2D-- a/lisp/net/tramp.el
+++ b/lisp/net/tramp.el
@@ -441,6 +441,8 @@ tramp-default-method-alist
 (defconst tramp-default-method-marker "-"
   "Marker for default method in remote file names.")

+(add-to-list 'tramp-methods `(,tramp-default-method-marker))
+
 (defcustom tramp-default-user nil
   "Default user to use for transferring files.
 It is nil by default; otherwise settings in configuration files like
@@ -1414,9 +1416,13 @@ tramp-password-prompt-not-unique
 during direct remote copying with scp.")

 (defconst tramp-completion-file-name-handler-alist
-  '((file-name-all-completions
+  '((expand-file-name . tramp-completion-handle-expand-file-name)
+    (file-exists-p . tramp-completion-handle-file-exists-p)
+    (file-name-all-completions
      . tramp-completion-handle-file-name-all-completions)
-    (file-name-completion . tramp-completion-handle-file-name-completion)=
)
+    (file-name-completion . tramp-completion-handle-file-name-completion)
+    (file-name-directory . tramp-completion-handle-file-name-directory)
+    (file-name-nondirectory . tramp-completion-handle-file-name-nondirect=
ory))
   "Alist of completion handler functions.
 Used for file names matching `tramp-completion-file-name-regexp'.
 Operations not mentioned here will be handled by Tramp's file
@@ -1707,7 +1713,6 @@ tramp-dissect-file-name
 		     :port port :localname localname :hop hop))
 	  ;; The method must be known.
 	  (unless (or nodefault non-essential
-		      (string-equal method tramp-default-method-marker)
 		      (assoc method tramp-methods))
 	    (tramp-user-error
 	     v "Method `%s' is not known." method))
@@ -2941,6 +2946,30 @@ tramp-connectable-p
         (and vec (process-live-p (get-process (tramp-buffer-name vec))))
 	(not non-essential))))

+(defun tramp-completion-handle-expand-file-name (filename &optional direc=
tory)
+  "Like `expand-file-name' for partial Tramp files."
+  (if (file-name-absolute-p filename)
+      filename
+    (concat (or directory default-directory "/") filename)))
+
+(defun tramp-completion-handle-file-exists-p (filename)
+  "Like `file-exists-p' for partial Tramp files."
+  ;; We need special handling only when a method is needed.  Then we
+  ;; regard all files "/method:" or "/[method/" as existent, if
+  ;; "method" is a valid Tramp method.
+  (or (and (not (string-empty-p tramp-method-regexp))
+           (string-match
+	    (rx
+	     (regexp tramp-prefix-regexp)
+	     (group (regexp tramp-method-regexp))
+	     (regexp tramp-postfix-method-regexp))
+            filename)
+           ;; Is it a valid method?
+           (member
+            filename
+            (tramp-get-completion-methods (match-string 1 filename))))
+      (tramp-run-real-handler #'file-exists-p (list filename))))
+
 ;; Method, host name and user name completion.
 ;; `tramp-completion-dissect-file-name' returns a list of
 ;; `tramp-file-name' structures.  For all of them we return possible
@@ -3176,6 +3205,27 @@ tramp-get-completion-user-host
   (unless (zerop (+ (length user) (length host)))
     (tramp-completion-make-tramp-file-name method user host nil)))

+(defun tramp-completion-handle-file-name-directory (filename)
+  "Like `file-name-directory' for partial Tramp files."
+  ;; We need special handling only when a method is needed.  Then we
+  ;; return "/method:" or "/[method/", if "method" is a valid Tramp
+  ;; method.
+  (if (and (not (string-empty-p tramp-method-regexp))
+           (string-match
+            (rx (group
+	         (regexp tramp-prefix-regexp)
+                 (group (regexp tramp-method-regexp))
+	         (regexp tramp-postfix-method-regexp)))
+            filename)
+           ;; Is it a valid method?
+           (assoc (match-string 2 filename) tramp-methods))
+      (match-string 1 filename)
+    (tramp-run-real-handler #'file-name-directory (list filename))))
+
+(defun tramp-completion-handle-file-name-nondirectory (filename)
+  "Like `file-name-nondirectory' for partial Tramp files."
+  (tramp-compat-string-replace (file-name-directory filename) "" filename=
))
+
 (defun tramp-parse-default-user-host (method)
   "Return a list of (user host) tuples allowed to access for METHOD.
 This function is added always in `tramp-get-completion-function'

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 3 Feb 2023 12:01:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 03 07:01:53 2023
Received: from localhost ([127.0.0.1]:36646 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pNulN-0000tK-6E
	for submit <at> debbugs.gnu.org; Fri, 03 Feb 2023 07:01:53 -0500
Received: from eggs.gnu.org ([209.51.188.92]:38758)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1pNulK-0000t5-KP
 for 60505 <at> debbugs.gnu.org; Fri, 03 Feb 2023 07:01:51 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1pNul9-000120-Ug; Fri, 03 Feb 2023 07:01:43 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=rO2Y4KnsBBOJQ8JuET5uTwNrMq1zw0Ap83bGpw/OnvY=; b=hk703nVkz2gm
 ThRFABt5q0zSk7OfIpw+rQj2IgMHflfr3l1mk3yGYaVWRSAbTf10wxJNcg0QugmGVtMpkPaikcpfy
 aD+dMf1/BVXXeZpVnMz/e9o5mbJwPNpe4RnUe6RGvRKjDjnm2P1YAAZGHwsmZI3Bnv4VEvDcUwBmv
 2VOyISvg15NiwKwEAqmxmCn92r0cKhI6RsjpjcRhuRbUCyr5BouWmt1W/njnVbJlJcXaEUZxHKsoP
 yWWtfaPzsKqfm+YjJPYtA1kc981XF0+oD+pMn+JoGzu5kBrFaYvPPtW8xmwsbiZq/GTQJmEypaiaM
 MoY6mWHdnUIA5CBcKZkVIw==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1pNul2-0008E6-Fc; Fri, 03 Feb 2023 07:01:35 -0500
Date: Fri, 03 Feb 2023 14:01:37 +0200
Message-Id: <83o7qbufdq.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <86tu03fb3h.fsf@HIDDEN> (message from Juri Linkov on
 Fri, 03 Feb 2023 09:43:14 +0200)
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN>
 <8aadf0ddd54d67a3213d@HIDDEN> <87a62jmwj6.fsf@HIDDEN>
 <cf717d2477a320fb64ce@HIDDEN> <87o7qwm3dd.fsf@HIDDEN>
 <43562d4dd9c31382eb40@HIDDEN> <87k011dtw2.fsf@HIDDEN>
 <43562d4dd93037f7d01f@HIDDEN> <834js4zi69.fsf@HIDDEN>
 <b0bd26d378bd8c1fe2f7@HIDDEN> <86tu03fb3h.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, gregory@HIDDEN, michael.albinus@HIDDEN,
 monnier@HIDDEN, julien@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  60505 <at> debbugs.gnu.org,
>   michael.albinus@HIDDEN,  Stefan Monnier <monnier@HIDDEN>,
>   julien@HIDDEN
> Date: Fri, 03 Feb 2023 09:43:14 +0200
> 
> > change Tramp's syntax from e.g. '/ssh:' to '/ssh/'
> 
> Why the leading slash?  URI components from RFC3986:
> 
>          foo://example.com:8042/over/there?name=ferret#nose
>          \_/   \______________/\_________/ \_________/ \__/
>           |           |            |            |        |
>        scheme     authority       path        query   fragment

Tramp file names are not URIs.  If you make them URIs, we will have
breakage all over the place where we are now capable of handling
remote file names.  That way lies madness.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 3 Feb 2023 08:39:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 03 03:39:45 2023
Received: from localhost ([127.0.0.1]:36468 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pNrbk-0007m7-PZ
	for submit <at> debbugs.gnu.org; Fri, 03 Feb 2023 03:39:44 -0500
Received: from mout.gmx.net ([212.227.15.19]:36989)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1pNrbi-0007lo-NG
 for 60505 <at> debbugs.gnu.org; Fri, 03 Feb 2023 03:39:43 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1675413569; bh=DIIK23qbX7YbBbni0hEJKpb7T2Xr+Vr/AhhXTGLf84s=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=jOi8WXUR3PHrJ9yvvfJsDYdIzXRG0iRzjRN4q28lUmruwniqvPeUF0DazY/k8h+co
 jDfPvhHWXikTLJHavVOMsPixu9Ziz4SviEzu53xLqP4J08wVv3V42jFh9UVQtijLU7
 OsQOCHAfK6pLLwBs6rkbv4ZXGp4o/F9+/7Q3QNY8Mqf1E5rQDkfWO8Wva7nHfMeMZS
 b98f3b0IAgplnvoMw+SgaR5iV05Cge0gr4xq7g3e7E351/7pibiNhRZWgjAG87HsB7
 vaN2d8uKvDmhvp5aD9BWMo5u3LwjpBmHFhxeQJUpJS5mWv36tipPuFJOGVF0SSnLE6
 ynIH4I5jhe5Pg==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.39.22]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MFbRs-1pPYyd03Xq-00HArO; Fri, 03
 Feb 2023 09:39:29 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <86tu03fb3h.fsf@HIDDEN> (Juri Linkov's message of "Fri, 
 03 Feb 2023 09:43:14 +0200")
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN>
 <8aadf0ddd54d67a3213d@HIDDEN> <87a62jmwj6.fsf@HIDDEN>
 <cf717d2477a320fb64ce@HIDDEN> <87o7qwm3dd.fsf@HIDDEN>
 <43562d4dd9c31382eb40@HIDDEN> <87k011dtw2.fsf@HIDDEN>
 <43562d4dd93037f7d01f@HIDDEN> <834js4zi69.fsf@HIDDEN>
 <b0bd26d378bd8c1fe2f7@HIDDEN> <86tu03fb3h.fsf@HIDDEN>
Date: Fri, 03 Feb 2023 09:39:26 +0100
Message-ID: <87sffncfcx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:Qep8V7ok1K+s6CtPCXfjUpZBRUCzOYvzKFO3PVK0rMFPbTcVGU+
 YU98/smQW/SFcK/T2HT/LMc2uBBY5Z8OtCT9/l75/nGSljwkW7D5c/unmdkqk3IjDSwA1ad
 SNzpvF6je+hSAGMP25uYS3PWj9Hwv4MiH/hLJBmvQUaPtQJWMsTflqfzezlo5TwCnWNZ4mD
 6Q+jdJo4jtlf+XiWaIDsw==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:MkUxHBFxjuM=;5ybpuCrBkhd6ZtqV6ptiR0l4clZ
 5GVpoOjHJdSkoZWbuFpF9BBMpEbRvMKE5DNXxzHQM5lbWzFh7liXWMG3ApF/VfAFlm4QBBAoU
 ZuIOOtm8l8KTujk2Bg4sZRAFC3b1gx58sjU1D5MpElwvpfY837J6fDgpU9SI6G9YImhON1rh4
 aS4XUGoO5/bF86F2m7cYioaNgxBUi492VOpRV/WISNeO7hFtcz+5eq7h9tziKPrnd8jPALr9k
 hzsUXE2BUGomImkcgaNY8DUxXqU3J4VkKz6zUiPUuwjyWdTAaou0ofAavk4i7ySQTMzPbHI0l
 ifBMAiqypwcGUrJiaFejkk15p55lqc+BmKA/Lpfj+H4v0e22mu1hPYg/yM2fr07DjAaZcuUMC
 dm+2TkJENUDP3nSeSzmrP+Y74WGsq4dBVR7CkzDZhHiOOM+5MDVd+8vDc46AgiRccEOMgR9O3
 lB4/IPfPpDbxoXkmnyCn0pA6X2elsQ4lGn3EkGbakhYyRZHFUanyu/ccRi+E6++RT3nIr33KK
 TW8Y6AmVcPJMBicva/EQFa+hiroDXwLuwUdcFq1rNwF+FSLmJWFiddx6jwPkFpCwJZ5Sy0wGP
 XUZyipagTS6ySBBfQj0xrKdplqf/lY8gJFVMhiZlBY7Xup5jTAdqSHKBCdkkmthNGGfFMyA1f
 kRd3T7xwJg6nJSCvCUZ6Qnm12UQp++yYnfbUMdyKznysu7KjTjuu7c/Am4irnGigWSvpyoNvu
 OLqdl/XM0tXb8BkylrLL5J0PeNFqMsMZHjen8azkKCuYoXihE7v0C7magw1OhYmFnI50G578z
 C+0hkdm7Lyk0uTz8hDfYwTzO6op/De2ElxtFV0U1r8LiieICQtnmGUce1dgx7AhNN2Ko8+jXm
 os9c9VAb7TAtG8vGWj/NPBHU4avXf2RS8kobfaEUxjS9G978PfxzQfqjRJGMJ/su7xXrpPBaS
 oR1LWRl0iQc5XjwLxDWkDKR1u/g=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Gregory Heytings <gregory@HIDDEN>,
 julien@HIDDEN, Eli Zaretskii <eliz@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Juri Linkov <juri@HIDDEN> writes:

Hi Juri,

>> change Tramp's syntax from e.g. '/ssh:' to '/ssh/'
>
> Why the leading slash?  URI components from RFC3986:
>
>          foo://example.com:8042/over/there?name=ferret#nose
>          \_/   \______________/\_________/ \_________/ \__/
>           |           |            |            |        |
>        scheme     authority       path        query   fragment

This is already supported by url-handler-mode. Do

--8<---------------cut here---------------start------------->8---
M-x url-handler-mode
C-x C-f ssh://user@HIDDEN/
--8<---------------cut here---------------end--------------->8---

But this has other disadvantages, and it doesn't help in the host name
completion case.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 3 Feb 2023 07:57:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 03 02:57:45 2023
Received: from localhost ([127.0.0.1]:36427 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pNqx7-0006jc-GZ
	for submit <at> debbugs.gnu.org; Fri, 03 Feb 2023 02:57:45 -0500
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:41949)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1pNqx5-0006jM-5T
 for 60505 <at> debbugs.gnu.org; Fri, 03 Feb 2023 02:57:43 -0500
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id C9CE7240009;
 Fri,  3 Feb 2023 07:57:33 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <b0bd26d378bd8c1fe2f7@HIDDEN> (Gregory Heytings's message
 of "Fri, 03 Feb 2023 00:23:21 +0000")
Organization: LINKOV.NET
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN>
 <8aadf0ddd54d67a3213d@HIDDEN> <87a62jmwj6.fsf@HIDDEN>
 <cf717d2477a320fb64ce@HIDDEN> <87o7qwm3dd.fsf@HIDDEN>
 <43562d4dd9c31382eb40@HIDDEN> <87k011dtw2.fsf@HIDDEN>
 <43562d4dd93037f7d01f@HIDDEN> <834js4zi69.fsf@HIDDEN>
 <b0bd26d378bd8c1fe2f7@HIDDEN>
Date: Fri, 03 Feb 2023 09:43:14 +0200
Message-ID: <86tu03fb3h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/30.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, michael.albinus@HIDDEN,
 Stefan Monnier <monnier@HIDDEN>, julien@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> change Tramp's syntax from e.g. '/ssh:' to '/ssh/'

Why the leading slash?  URI components from RFC3986:

         foo://example.com:8042/over/there?name=ferret#nose
         \_/   \______________/\_________/ \_________/ \__/
          |           |            |            |        |
       scheme     authority       path        query   fragment




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 3 Feb 2023 00:23:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 02 19:23:24 2023
Received: from localhost ([127.0.0.1]:36180 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pNjrP-0002et-VO
	for submit <at> debbugs.gnu.org; Thu, 02 Feb 2023 19:23:24 -0500
Received: from heytings.org ([95.142.160.155]:41072)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1pNjrO-0002ek-F9
 for 60505 <at> debbugs.gnu.org; Thu, 02 Feb 2023 19:23:22 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1675383801;
 bh=anGS9IUxOp35oi6fqrznLXGnmR7dailnDo4q3Hwells=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=Dtsw7/9omC+5VoO5mERrGQsAu+RULyoou2wtVt5B82aYqN4HuQ/Knd4JaQzjgj3dY
 TwJq+DVstCoo9GN40o8o0w2A1OFTcDeHnA/L28yf+J4xIRNy734tElFvPl8ffytAkD
 mAqWZ8bowJgIJ0ShCJci6mQIUIrGkmL7sKdEGbuoIlpJTVTsd/DQGlojZ8NdJX5HUY
 zwQo/V0PKHHeqrkR4H8r0oI9Tv/VPBHRQsKdRQTlwcY0G3HGh+rVBr71s35Xa6Cicv
 yfTtqxfxvxDos3aZnmYetTYHl26q25xXULeziW11jwkl20vgtGy/fMVSypVIFd614v
 3wmBX7+gCjOfA==
Date: Fri, 03 Feb 2023 00:23:21 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <834js4zi69.fsf@HIDDEN>
Message-ID: <b0bd26d378bd8c1fe2f7@HIDDEN>
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN> <8aadf0ddd54d67a3213d@HIDDEN>
 <87a62jmwj6.fsf@HIDDEN> <cf717d2477a320fb64ce@HIDDEN>
 <87o7qwm3dd.fsf@HIDDEN> <43562d4dd9c31382eb40@HIDDEN>
 <87k011dtw2.fsf@HIDDEN> <43562d4dd93037f7d01f@HIDDEN>
 <834js4zi69.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, michael.albinus@HIDDEN,
 Stefan Monnier <monnier@HIDDEN>, julien@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> More importantly (as I unsuccessfully tried to convey) it circumvents 
>> the bug in the implementation of a particular completion mechanism, 
>> which is not the place where the bug lies and should be fixed.  It is 
>> not reasonable to expect that all existing and future file completion 
>> mechanisms should implement specific rules to deal with the Tramp 
>> syntax (or, for that matter, with the syntax of any other package).
>
> From my POV, it is very reasonable to expect that completion mechanisms 
> know about Tramp syntax and support it.  Tramp became long ago an 
> integral part of the Emacs core, so its syntax is as important to 
> support as any other syntactical aspects of file names in Emacs, such as 
> the "/:" "quoting".
>

The possibility that it would be necessary at some point to add an 
explicit support for the Tramp syntax(es) in the completion mechanisms 
cannot be ruled out, of course.  But this bug (and the related ones) is 
not a reason to do that, because it can easily be fixed inside Tramp.

Did you look at the options that are on the table?

Option 1 is a trivial three-line patch to tramp.el, which adds a 
conditional around an existing statement to give users and modes control 
on the way Tramp methods are displayed (unconditionally with 
tramp-methods-in-completions t, lazily with tramp-methods-in-completions 
nil):

diff --git a/lisp/net/tramp.el b/lisp/net/tramp.el
index 1916d50af03..ca08a0a2cd2 100644
--- a/lisp/net/tramp.el
+++ b/lisp/net/tramp.el
@@ -812,6 +812,8 @@ tramp-syntax
    :initialize #'custom-initialize-default
    :set #'tramp-set-syntax)

+(defcustom tramp-methods-in-completions t)
+
  (defvar tramp-prefix-format)
  (defvar tramp-prefix-regexp)
  (defvar tramp-method-regexp)
@@ -3022,8 +3024,10 @@ tramp-completion-handle-file-name-all-completions
                                (delq nil all-user-hosts)))))

             ;; Possible methods.
-           (setq result
-                 (append result (tramp-get-completion-methods m)))))))
+           (unless (and (string-empty-p method)
+                        (not tramp-methods-in-completions))
+             (setq result
+                   (append result (tramp-get-completion-methods m))))))))

      ;; Unify list, add hop, remove nil elements.
      (dolist (elt result)

Option 2 is a N-lines patch (which doesn't exist yet) to minibuffer.el 
(and possibly other files) to add support for the Tramp syntax in 
completions mechanisms.

Option 3, 4, 5 and 6 were suggested by Stefan in his last three posts: 
change the completion-table API, make Tramp teach the rest of the system 
that its methods are a kind of directory, change Tramp's syntax from e.g. 
'/ssh:' to '/ssh/', introduce a new set of completion file name functions. 
I have no idea how complex any of these solutions are, but it's clear that 
none of them can be implemented easily.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 2 Feb 2023 15:39:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 02 10:39:35 2023
Received: from localhost ([127.0.0.1]:35531 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pNbgV-0006Hi-HM
	for submit <at> debbugs.gnu.org; Thu, 02 Feb 2023 10:39:35 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:49433)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1pNbgU-0006HU-1Y
 for 60505 <at> debbugs.gnu.org; Thu, 02 Feb 2023 10:39:34 -0500
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 34B274414A5;
 Thu,  2 Feb 2023 10:39:28 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 9AA4B440934;
 Thu,  2 Feb 2023 10:39:26 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1675352366;
 bh=iX6J/sUyBmvGYMc66v030xff7qRNR5uMYsLeswBDHww=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=DRxCgkhQ+cVauf+vz0cF0dfaayFPKp8bQ89FCDcoT1Ax1eo6YlRstE/SROpk4BA0X
 rfVLOyXqNckLen7P5M3SRPZWpVjwq7qd34XeHY8ect3+gZKmBzoI+Uud94lY85opaX
 nQSLXKkWrxhlfY1fGmsM8a+ArNMUCL5/vzzF55c2X0VmdWVcUK5IbgNT79DINPXGVe
 t87uSWbzJSFiobEWE9Zkq4680JG5/q37SdooDs047oPO+bTapO9ZTvNH7iyIOFQf8M
 xu/giy9QgDCj1tbUpGtMtvjGTpOxJ9/2Ib5P5zpFBeIjQD904wOrP0klFrlLxr0YlH
 yDYQVodouFItw==
Received: from pastel (76-10-137-88.dsl.teksavvy.com [76.10.137.88])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 65BEB120E80;
 Thu,  2 Feb 2023 10:39:26 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <87cz6seanu.fsf@HIDDEN> (Michael Albinus's message of "Thu, 02
 Feb 2023 09:25:41 +0100")
Message-ID: <jwvsffonlfp.fsf-monnier+emacs@HIDDEN>
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN>
 <8aadf0ddd54d67a3213d@HIDDEN> <87a62jmwj6.fsf@HIDDEN>
 <cf717d2477a320fb64ce@HIDDEN> <87o7qwm3dd.fsf@HIDDEN>
 <43562d4dd9c31382eb40@HIDDEN> <87k011dtw2.fsf@HIDDEN>
 <43562d4dd93037f7d01f@HIDDEN> <834js4zi69.fsf@HIDDEN>
 <87cz6seanu.fsf@HIDDEN>
Date: Thu, 02 Feb 2023 10:39:25 -0500
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>, julien@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> I could imagine that the completion machinery offers an API that a
> package could register its own idea of a file name syntax.

The completion code relies on `file-name-directory`,
`directory-file-name`, etc... for that.

The problem as I see it goes as follows:

According to `file-name-directory`, in `/ssh:myhost` the part
`ssh:myhost` is an element of the `/` directory.  For this reason, the
completion machinery would expect (file-name-all-completions "s" "/") to
include "ssh:myhost" in its return list rather than only "ssh:".

Now, it's impractical for Tramp to do that.  So the end result is the
kind of bug reports we're discussing.

One way to fix the problem is for Tramp to "teach" the rest of the
system that `/ssh:` is a kind of directory, in which case the completion
machinery would know that (file-name-all-completions "s" "/") returns
"ssh:" and that "myhost" would be included only in the return value of
(file-name-all-completions "" "/ssh:").

Another is to change Tramp's syntax so that it uses the regular "/"
separator rather than ":".  This would get a similar result but without
touching `file-name-directory` and friends.

We could also consider introducing a new set of (file-name) functions

    completion-file-name-directory, completion-directory-file-name, ...

so the completion code can use its own notion of how a file name gets
separated into parts.  But introducing such a subtle distinction would
likely introduce a lot of bugs&confusion as well.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 2 Feb 2023 15:17:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 02 10:17:03 2023
Received: from localhost ([127.0.0.1]:35519 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pNbKg-0005l1-Uu
	for submit <at> debbugs.gnu.org; Thu, 02 Feb 2023 10:17:03 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:32946)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1pNbKe-0005kS-RD
 for 60505 <at> debbugs.gnu.org; Thu, 02 Feb 2023 10:17:01 -0500
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id D23EB441482;
 Thu,  2 Feb 2023 10:16:54 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 48F57440FD7;
 Thu,  2 Feb 2023 10:16:53 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1675351013;
 bh=eu/qQDHSCLZqxCw4AyOWsDDwnAa3BYPX77IQkpuDDHc=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=SiYk4YlF9z09menKN1jpDG/nK0FaCmZ4Zj73veS2XhF5nJNfoiaVgTw3bQi+xIKvt
 pD9nEIwnXGB/kjdgxyWipYVLxnAp0XxcsO7G8/yYldzWTE0OibdYFcHJJmtt5sGVoO
 zFegciqlt/n2Bqj5SL8ObXuZoWWJUnSodwfcsdvohawLi+SmUHX7KAa8fegv+c1UJE
 z7mnkGBPfYTklxCX9gofHkzPyqnOXnpnHS7RN00gtoZ3AcEZh9TYNDAlEMrnVdK8lS
 owYrYOreqSCxy5IlwG4eY1r42b73EasmBVDXfJ+m8VMLccAj6z3C6AjCdn9htx070d
 PAGU4G5mBOOPQ==
Received: from pastel (76-10-137-88.dsl.teksavvy.com [76.10.137.88])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 14988120AEF;
 Thu,  2 Feb 2023 10:16:53 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <87o7qwm3dd.fsf@HIDDEN> (Michael Albinus's message of "Wed, 18
 Jan 2023 13:30:38 +0100")
Message-ID: <jwvy1pgnm1w.fsf-monnier+emacs@HIDDEN>
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN>
 <8aadf0ddd54d67a3213d@HIDDEN> <87a62jmwj6.fsf@HIDDEN>
 <cf717d2477a320fb64ce@HIDDEN> <87o7qwm3dd.fsf@HIDDEN>
Date: Thu, 02 Feb 2023 10:16:51 -0500
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Gregory Heytings <gregory@HIDDEN>,
 Julien Roy <julien@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Yes. But this is not a Tramp fault. Completion styles like flex (and
> substring, didn't test) do ignore Tramp file name syntax. They simply
> think in terms of file name parts, separated by "/". This is not
> appropriate for remote file names.

Actually, completion styles don't know whether they're completing file
names or not and don't really know that "/" is special in file name syntax.

This is done by `completion-file-name-table` instead.  This one, in turn
tries not to pay attention to "/" either, and to rely on file-name
functions instead (e.g. `file-name-directory`).

> Tramp knows only file-name-completion and file-name-all-completions.

Tramp could also influence the completion behavior via the other
file-name functions.
E.g. defining (file-name-directory "/ssh:foo") => "/ssh:" could fix some
of the flex completion cases discussed here.
[ Note: I'm not actually suggesting that this is the solution.
  It would likely come with its own set of problems.  ]


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 2 Feb 2023 15:05:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 02 10:05:40 2023
Received: from localhost ([127.0.0.1]:35511 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pNb9f-0005UZ-OH
	for submit <at> debbugs.gnu.org; Thu, 02 Feb 2023 10:05:39 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:3003)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1pNb9e-0005UK-9O
 for 60505 <at> debbugs.gnu.org; Thu, 02 Feb 2023 10:05:38 -0500
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 75CC81000D6;
 Thu,  2 Feb 2023 10:05:32 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id A6C1C1000CC;
 Thu,  2 Feb 2023 10:05:26 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1675350326;
 bh=bhKPRk4M59qFJ5MWzzyuKukiKLaz9h6QHAnL5yaMPNQ=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=I2Y0p66mTGcjfsdaTbXsYYI0rd7/DMJgSI2meSucuNZAS8is7EsldI4sm6I3bQ+1D
 65vMiz3O18MvrtaiWc12TLFGKiHBVEbddUynf3NpgzMoWSVHogiKceqV2fITuFoNHQ
 CV1cw7xsz3H8KG5v8OPFB7ZD48PA5LYR1IV33V2S4IQJQPOPoxmGZb+AukywJMNpxa
 6sDI5L0b4GVKIZjkWcigMSwPsiLDa8s+eQBA7yGK5GS0MHRl4IfqhS2APFc+H1wFgv
 5mTS9GSS+J7wVzzv5MTCOlEDV/LOAoreWGCJxnNaIYJBhv0upP4K4NU84+pxx7ROAV
 /BWOqnV9CU2Kg==
Received: from pastel (76-10-137-88.dsl.teksavvy.com [76.10.137.88])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 288F7121306;
 Thu,  2 Feb 2023 10:05:26 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <87tu15m6g7.fsf@HIDDEN> (Michael Albinus's message of "Thu, 05
 Jan 2023 14:55:36 +0100")
Message-ID: <jwv4js4p14h.fsf-monnier+emacs@HIDDEN>
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN>
Date: Thu, 02 Feb 2023 10:05:25 -0500
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Gregory Heytings <gregory@HIDDEN>,
 Julien Roy <julien@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> I don't deny that there is a problem, and it isn't a surprise that
> people report about. But I don't think that Tramp misbehaves, it does
> exactly what it is specified to do.
>
> I guess that flex and friends use completion out of the
> specification.

It's neither's fault, really.  It's a shortcoming of the intermediary,
i.e. the completion-table API.

The completion-table API only offers "prefix" completion, so the only
thing "flex" and "substring" can do when asked to complete `/ssh:`
is to ask for all the completions in `/` (because the definition of
"substring" completion means that it should also match `/foossh:bar`
and similarly for "flex").

I have some draft of a new completion-table API where it's possible for
the completion style to propagate more information about which
completions it's looking for, so for example the completion-table might
be asked to return the completions that match `/*ssh:*` or even
`/*s*s*h*:*`.  It's then up to the completion-table to do something
useful with it (of course, the API is designed such that the
completion-tables don't *have* to handle those more complex cases:
there's a general fallback mechanism which reduces those queries to
simpler ones).


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 2 Feb 2023 09:15:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 02 04:15:40 2023
Received: from localhost ([127.0.0.1]:60820 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pNVgy-0006g2-3L
	for submit <at> debbugs.gnu.org; Thu, 02 Feb 2023 04:15:40 -0500
Received: from eggs.gnu.org ([209.51.188.92]:44828)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1pNVgu-0006Ob-Qi
 for 60505 <at> debbugs.gnu.org; Thu, 02 Feb 2023 04:15:38 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1pNVgo-0003qY-NM; Thu, 02 Feb 2023 04:15:30 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=JEy4kG34Cpe3Xn44NQU1KoU2tgfsZSQriMIKmNIHX1o=; b=drjNO+qpnwnU
 6Tlz/NzCoznAGXPhv6PCWkJXO1KK6YQ5Zzn8CyXnzncICZgLnINq2kD8t+81fuZw508JaGaoXDO1g
 aqYfG6z2S0cshPsHA6Ne2pkGcpU7O+th3G2hpXaU8+afXRgLHBBHicDFWdF75NE/TM6euB+jJgFaQ
 FbDqK5f3SINQoMRzDXTpQsQbecPkrWMYKwXoFkE1NBOussvk2rxTLyFdwUEAfC73c7/V9vukeo29k
 VpH6j42PyZywb51vjEwQQK42ZpS9a24PMRx5ETuPfe7P0JdrxbdOsd1/IWWOipPGYwn/KcM7VSGnR
 NWwYpQ5yf538b8/+3cvCRQ==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1pNVgn-0002GE-Vb; Thu, 02 Feb 2023 04:15:30 -0500
Date: Thu, 02 Feb 2023 11:15:27 +0200
Message-Id: <83pmasxwb4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>
In-Reply-To: <87cz6seanu.fsf@HIDDEN> (message from Michael Albinus on Thu, 02
 Feb 2023 09:25:41 +0100)
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN>
 <8aadf0ddd54d67a3213d@HIDDEN> <87a62jmwj6.fsf@HIDDEN>
 <cf717d2477a320fb64ce@HIDDEN> <87o7qwm3dd.fsf@HIDDEN>
 <43562d4dd9c31382eb40@HIDDEN> <87k011dtw2.fsf@HIDDEN>
 <43562d4dd93037f7d01f@HIDDEN> <834js4zi69.fsf@HIDDEN>
 <87cz6seanu.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, gregory@HIDDEN, julien@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Michael Albinus <michael.albinus@HIDDEN>
> Cc: Gregory Heytings <gregory@HIDDEN>,  60505 <at> debbugs.gnu.org,
>   julien@HIDDEN
> Date: Thu, 02 Feb 2023 09:25:41 +0100
> 
> > From my POV, it is very reasonable to expect that completion
> > mechanisms know about Tramp syntax and support it.  Tramp became long
> > ago an integral part of the Emacs core, so its syntax is as important
> > to support as any other syntactical aspects of file names in Emacs,
> > such as the "/:" "quoting".
> 
> I could imagine that the completion machinery offers an API that a
> package could register its own idea of a file name syntax. Plus a hook,
> for parts of that file name the package is responsible itself. This
> would avoid the need to check in the completion machinery, which Tramp
> syntax is recent.

I won't object to developing such a mechanism.  Stefan, would that
make sense and/or be reasonably practical to implement?

> Other packages but Tramp would profit as well. For example, running
> "emacs -Q", typing "/: TAB", removes the colon and offers completions
> for "/". I don't know whether this is really right; there is a reason
> that a user has started with "/:".

That's true, but completing after typing just "/:" doesn't make a lot
of sense to me; maybe I'm missing something.  OTOH, I also don't
understand why remove the colon in this case.  If we know which code
does that, perhaps we could look into its VCS history and learn
something.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 2 Feb 2023 08:25:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 02 03:25:58 2023
Received: from localhost ([127.0.0.1]:60656 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pNUus-0003bL-4D
	for submit <at> debbugs.gnu.org; Thu, 02 Feb 2023 03:25:58 -0500
Received: from mout.gmx.net ([212.227.17.21]:35065)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1pNUuq-0003b6-LV
 for 60505 <at> debbugs.gnu.org; Thu, 02 Feb 2023 03:25:57 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1675326343; bh=+aqCCA2jaYh7yi35bZ7xxQWxwS8SC9nsc1plJeSPzow=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=kPKsa7pm3E6k9NDQLIygnKeKHWy8KbjUkmyXQJkwwKsaIKrss1rSzdA4rCRPLmFsG
 C5G0uxzIx1ZZs0yHV8wPkzpbYddylngucbSJm0T6UwenIdqcR9EPskHaD2hMhZZhgb
 78d1AUcm5i4RbGuaYsFnhhXgH1ZG9WK3DtXyL7D1Jp/Y+buvFS4A4Nqz5e9FGKCrR1
 04F5RUt01eaAim9SrDVU3OHZ0m4IZ9DC4YVQ1vQ6a3GJp/3bjQ8tpHL0M8RchJVEsB
 dVR9pknf4SL65Inv+TG2WWffdHeHQnSrYWVzj4+fFbo66omxZZT57ks+OThCASCbcE
 KIcqFN+QbUfXQ==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.37.45]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MpUYu-1orhLX0uzM-00psff; Thu, 02
 Feb 2023 09:25:43 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <834js4zi69.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 02 Feb
 2023 08:37:50 +0200")
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN>
 <8aadf0ddd54d67a3213d@HIDDEN> <87a62jmwj6.fsf@HIDDEN>
 <cf717d2477a320fb64ce@HIDDEN> <87o7qwm3dd.fsf@HIDDEN>
 <43562d4dd9c31382eb40@HIDDEN> <87k011dtw2.fsf@HIDDEN>
 <43562d4dd93037f7d01f@HIDDEN> <834js4zi69.fsf@HIDDEN>
Date: Thu, 02 Feb 2023 09:25:41 +0100
Message-ID: <87cz6seanu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:0YDrLp5DQh7WxKWMriJ3SHmpvSRI/ydRju8wZFB4A/5HMEv7UhA
 g+aISC1txQpaUdMwriRkI+CbJqRrPsDqv/WgRzaCsNZgVeBwRT4TCSMistsXIlbBT6yxFZR
 DlHgEV1YGAXXHU8j21qCQeWh6iXeQtqjI/HJwJ/J3ckL9vTzqhDXNtnpURvYqowJHilbcS8
 CIdyOgXawae4MGmYz8tXg==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:RW9Or5ZrSN4=;WixwctKAi4LCx0GfyS4wWKK+AO5
 e3KNFiGRjOb8DRSb1/CaExyLHEOXLLCy4vWPXklpr+D6qt5mXMwC6rmdZHs7uYXA94iejauWs
 ZAxnOymSxpQpT61C85/2c00YdV4+rqSJqujyoEgJQBZAYProOzqZl/PF+LBJFkCZ4+e6fN892
 G2MecR3KyeyUkkaZH0DzhN692UEEzvnwBcXR1IneLrev0LsuzINh50/LOfAIRTQUUyoYtgz/+
 GWEDSaYC8xg7HL4jUTIkcr6qEwe0GpwkqeX9IrU4ac6Y/wztqIXEQT36JQYbt+qYKY51h7Ha3
 WDUW3O3AD98KUKFvNiBckZ1s/wPo8+iWKBl0fhuE+ovSfirZlhlGO10HPbd7W4E2aRQ6boEC5
 8AXn6CeULxXw8sWh3scSfwP+2sqfrAAw47xKLTa5L235+FTm0oZPDxURlwJt4RGM5HLqYOjlX
 dLp+rkgxW4Mf31F3sOMEHB13Z2p2tjAO4pWHY5QUg+G3US+edjgmdDnzzOXKB+MGOG4UVnnU6
 BcvF/JFU6jyY33KtPv4rfAaT4i77oHpSmiqn0qyRtzMzEHF18h2wu34ahlV5pprW87gwq/0l/
 u1qIYHyJHlPQ9KoF+wNixykRCad2SqwL0mkDLU2kI6jgZg+sAX7n3fL4oexqfwcjcyvaM44Fm
 NVRMP/mgtF4cgZ7d0pRcDPQNSAqZ3z5gQnW9MWFeFFCvt2e7WJnT34JS7/LdBbEgzhCfj2wSK
 1EYHPUF9MNnLffHYOl38tgvqw7bw3w69ujOWeCMwTKK+LNjOiXzXfqyehWMyvM9IbTk7FBEql
 /LFpuTP/I6E8IN+Fcer6//CyuIWS5ltqdsl52fZVZ2Zyr3X6GQR8SNN+gz5RqahaPSNoLxLs6
 lnBZCUbKXXer/bI9Ae+OeNEhm4+vO2n3DDXUk90dWwTeIq78ffX4MkZWeRP/nLwklwZbzJ0h3
 z50rHg==
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Eli Zaretskii writes: Hi Eli,
 >> More importantly (as I unsuccessfully
 tried to convey) it circumvents the >> bug in the implementation of a
 particular
 completion mechanism, which is >> not the place where the bug lies and should
 [...] Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (michael.albinus[at]gmx.de)
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [185.89.37.45 listed in zen.spamhaus.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.17.21 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.17.21 listed in list.dnswl.org]
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Gregory Heytings <gregory@HIDDEN>,
 julien@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Eli Zaretskii writes: Hi Eli, >> More importantly (as I unsuccessfully
    tried to convey) it circumvents the >> bug in the implementation of a particular
    completion mechanism, which is >> not the place where the bug lies and should
    [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.17.21 listed in wl.mailspike.net]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [185.89.37.45 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.17.21 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (michael.albinus[at]gmx.de)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Eli Zaretskii <eliz@HIDDEN> writes:

Hi Eli,

>> More importantly (as I unsuccessfully tried to convey) it circumvents t=
he
>> bug in the implementation of a particular completion mechanism, which i=
s
>> not the place where the bug lies and should be fixed.  It is not
>> reasonable to expect that all existing and future file completion
>> mechanisms should implement specific rules to deal with the Tramp synta=
x
>> (or, for that matter, with the syntax of any other package).
>
> From my POV, it is very reasonable to expect that completion
> mechanisms know about Tramp syntax and support it.  Tramp became long
> ago an integral part of the Emacs core, so its syntax is as important
> to support as any other syntactical aspects of file names in Emacs,
> such as the "/:" "quoting".

I could imagine that the completion machinery offers an API that a
package could register its own idea of a file name syntax. Plus a hook,
for parts of that file name the package is responsible itself. This
would avoid the need to check in the completion machinery, which Tramp
syntax is recent.

The current API, file name handlers for file-name-completion and
file-name-all-completions, is too restricted.

Other packages but Tramp would profit as well. For example, running
"emacs -Q", typing "/: TAB", removes the colon and offers completions
for "/". I don't know whether this is really right; there is a reason
that a user has started with "/:".

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 2 Feb 2023 06:38:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 02 01:38:04 2023
Received: from localhost ([127.0.0.1]:60420 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pNTES-0000ih-EV
	for submit <at> debbugs.gnu.org; Thu, 02 Feb 2023 01:38:04 -0500
Received: from eggs.gnu.org ([209.51.188.92]:48294)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1pNTEO-0000iA-9A
 for 60505 <at> debbugs.gnu.org; Thu, 02 Feb 2023 01:38:02 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1pNTED-0007Vr-UK; Thu, 02 Feb 2023 01:37:54 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=FJSKXMd2qxDY+66yhO4g8ycYc9SoYNnwCpVvMSOJvPA=; b=m1l9ddHC4b/O
 /trTb5qZXUZ5PbigkwYQdSEVIWqW7s0SfstOAUcCufpHBQsq4NsARQ7KRng+DFqR9AIM+YIGSEgfF
 LREXXjk4VoZYo/X+wpcnKqHXuI7NJca5wdD5g2PBrppHhYPBJuK6+cQH1s2UvCr+iiwr1T1r0hel+
 b5tfy/uacBzg4wANevWkXMHXAMK6kGQ7wtYdknvlMLESGxINkFyfWRW2b+sXMlYf1RzqH/8kU1IJ3
 +zykeJ01q0EJZexBf7QGGdZ//GqNfItkJHhUPsUnsb6XZqvqi/KGTt3kECHXh/vqZ94CXI2f8mZQZ
 huiDXm+DrA4PkDltx0zcCg==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1pNTED-00085J-CC; Thu, 02 Feb 2023 01:37:49 -0500
Date: Thu, 02 Feb 2023 08:37:50 +0200
Message-Id: <834js4zi69.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <43562d4dd93037f7d01f@HIDDEN> (message from Gregory
 Heytings on Wed, 01 Feb 2023 21:27:33 +0000)
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN> <8aadf0ddd54d67a3213d@HIDDEN>
 <87a62jmwj6.fsf@HIDDEN> <cf717d2477a320fb64ce@HIDDEN>
 <87o7qwm3dd.fsf@HIDDEN> <43562d4dd9c31382eb40@HIDDEN>
 <87k011dtw2.fsf@HIDDEN> <43562d4dd93037f7d01f@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, michael.albinus@HIDDEN, julien@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 60505 <at> debbugs.gnu.org, Julien Roy <julien@HIDDEN>
> Date: Wed, 01 Feb 2023 21:27:33 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> 
> More importantly (as I unsuccessfully tried to convey) it circumvents the 
> bug in the implementation of a particular completion mechanism, which is 
> not the place where the bug lies and should be fixed.  It is not 
> reasonable to expect that all existing and future file completion 
> mechanisms should implement specific rules to deal with the Tramp syntax 
> (or, for that matter, with the syntax of any other package).

From my POV, it is very reasonable to expect that completion
mechanisms know about Tramp syntax and support it.  Tramp became long
ago an integral part of the Emacs core, so its syntax is as important
to support as any other syntactical aspects of file names in Emacs,
such as the "/:" "quoting".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 1 Feb 2023 21:27:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 01 16:27:40 2023
Received: from localhost ([127.0.0.1]:60036 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pNKdo-0003Cg-9o
	for submit <at> debbugs.gnu.org; Wed, 01 Feb 2023 16:27:40 -0500
Received: from heytings.org ([95.142.160.155]:39546)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1pNKdj-0003CS-3d
 for 60505 <at> debbugs.gnu.org; Wed, 01 Feb 2023 16:27:39 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1675286853;
 bh=DS2v5mcBUluIBuPepovZoh18YEQ+zNqbBRjDOnhan8E=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=O6nrXzrItKVarmwpEw6kk9Zo/jAn/SOcboA/JqYHglxyD0D9FFwWkjmLW0CEOU0hb
 1wLV8lzeN61918bzPgIu1+vEglfr57tCtUY06FO29PyQDIiV47aTkn6se/j0JYyqKk
 ZL1TWglIih9/K9x6aMPNZdLJCz3AprWiTJJJ0mu/NhZe5SWLdjS02q4RLfMzLwz7tP
 IGmPf2VfFe6R8BKNnKA4+HxqEJf/ql+cL8+gFQyvDjbzZaeJONMQjTm2wmGLcLUUVF
 BZ9yIucEDpOYHZCyezRZWmwETaAfShfnAeSQOOaAzN+Vkc/NP4A7VACOq0y0qO6KKP
 +FA/x1Ex2r63w==
Date: Wed, 01 Feb 2023 21:27:33 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <87k011dtw2.fsf@HIDDEN>
Message-ID: <43562d4dd93037f7d01f@HIDDEN>
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN> <8aadf0ddd54d67a3213d@HIDDEN>
 <87a62jmwj6.fsf@HIDDEN> <cf717d2477a320fb64ce@HIDDEN>
 <87o7qwm3dd.fsf@HIDDEN> <43562d4dd9c31382eb40@HIDDEN>
 <87k011dtw2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Julien Roy <julien@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> Have you even tried to check the PoC patch I've sent?
>

I did, of course.  It circumvents (a part of) the bug for the flex 
completion style indeed.  But alas it doesn't really work.  For example:

emacs -Q -l tramp -f fido-mode
C-x C-f /ssh: TAB M-down

inserts a wrong completion candidate in the minibuffer.

More importantly (as I unsuccessfully tried to convey) it circumvents the 
bug in the implementation of a particular completion mechanism, which is 
not the place where the bug lies and should be fixed.  It is not 
reasonable to expect that all existing and future file completion 
mechanisms should implement specific rules to deal with the Tramp syntax 
(or, for that matter, with the syntax of any other package).

>
> In that case I recommend you to abstain from using Tramp.
>

I do not use Tramp (and I do not use Fido, either).  I'm only trying to 
help confused users here.

>
> I'm so fed up.
>

I'm sorry to hear that what I said annoyed you.  Please consider that I 
spent a significant amount of time on this bug, too, and that I proposed 
at least three patches to fix it.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 1 Feb 2023 20:15:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 01 15:15:57 2023
Received: from localhost ([127.0.0.1]:59926 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pNJWP-00017o-KD
	for submit <at> debbugs.gnu.org; Wed, 01 Feb 2023 15:15:57 -0500
Received: from mout.gmx.net ([212.227.17.21]:39345)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1pNJWK-00017V-NJ
 for 60505 <at> debbugs.gnu.org; Wed, 01 Feb 2023 15:15:56 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1675282543; bh=aKlvWVx/xu7jlRxcDMceZAlv/4z2chyhZFeYMKHz5Rs=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=OYKx58L61N6+c/+nG5h1ZSGxh3KtpzsHHQ00XYCrn0bGiaBbn77blB6so5mY177OL
 SZdoZDsGDAZ/gn6x141KxK5dE8w4dT6YjXXGvQlCSPKgJ6kjKX+qcdaoirUryJKOt6
 5DNfQEa2uQO9+zQtellTYvFwm05lFeEkQL3Rmvav3a3XcJrdx1sKOerjvaq9YcmOu0
 p4At3/YCvjuCYd3oCBlWjVPhsgBLO919uxNYa8Fjo+3g7CrNj+H+FUAKkBQRDiXvEh
 h5D2HnfqXWAymRuhFJBwXZ5ViFCp2IZ629SHYXCaQ7nyALiyzmp0h1uiAE7DawVQuL
 3jkGsCfhCWAnw==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.37.45]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MsHru-1oTYSz15qc-00tl9B; Wed, 01
 Feb 2023 21:15:43 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <43562d4dd9c31382eb40@HIDDEN> (Gregory Heytings's message
 of "Wed, 01 Feb 2023 18:12:43 +0000")
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN>
 <8aadf0ddd54d67a3213d@HIDDEN> <87a62jmwj6.fsf@HIDDEN>
 <cf717d2477a320fb64ce@HIDDEN> <87o7qwm3dd.fsf@HIDDEN>
 <43562d4dd9c31382eb40@HIDDEN>
Date: Wed, 01 Feb 2023 21:15:41 +0100
Message-ID: <87k011dtw2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:8SHYZqaDnkoH7SG1sGqRSJF2r8QTxgq9CBknZ9LBmakWNL3R8F+
 CpV5FxPrk/t5caWcnN2EBIklA1E4zojsw7cG2wSyrAzduU/zMjvbo7U7MWiBd9mjdGrkIHG
 6Zxf6pT8/uSwL6ZQ32TakJUJGZa2VMwadyTbkqgQqILUS3swbZK/RmVWWw0R6rPQ9Lz5nVT
 e+tRU6dIf6m/ICXIrMZFg==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:CG1U+G3cGV0=;/I9tX4FSXh6s+kJJhRjtKN86D+O
 0TKMCy7naVy838a6zBOQBILKZ/wqFnvCKF+waW53l4psb3lMrf1toH96FrJsq5Hmd3vtw9NCs
 H5HMSou2fxMOQ7j7j0FW4zdwUsNKUygrA5Ht4uWGsgnq1cOiZHcMyUdpRL7sGk4KV2DZxN6Fl
 d5CfhtlDtLDHAeQoVHC/jCluQ7Um+TNkGVdBHCeSznbz4Svw9ANEU+T//3RBlyulqky2can2A
 5HSL9EL2T0BLYfncKYpUX0FXd/q2wOFPm5YMsXDNCe7kc3vArL4oZtFcqEkF3Yq9vXLVxPsPW
 It62cAszJo3Xr7I77+7yHQ4NvM/rCOk8AoPGcsgrpmsZ9tsN9CYlkCJFUzwrCInBscCpDiFJD
 bmMPJPZQbZ8aBgk4hKqRiHKy1OBt9mRf10Hjymv5gSBswBSq+96QNo7UrnwncC0F7VARNWEnw
 8kW8KDy3yC392D7pFsgk12ZdWaa+1Iw9u8oWvHvjt2UGIue0U6Qu2GFLst6gq9/Fha67lW1DY
 feV1RLWrjO0zR5E2FS1YZm8GywwxeJLkbp9omcEiVIcOQPahEJk6KTMkWop0GGTxmkbxeGdzQ
 64Z6cRMyDAF8nJkQGdkpEoxVBfBn3MWJYhi3qVFw/N6ugwGdzo73AoVc2dY3NeIdkhmGEUm+F
 ovI5OJ0Ni8M/SLYAck1sU9NheJJL5P2n6SIV4SuF/4G3BnSTg42oydz3m9+jJvwUlQNUX+v4f
 wneeXVZjm2KcEN6cvYN/nisJJz0cWyscANYWLljR9wCy7psuHojnQDT32YwPRgAVDytwbT1dT
 wgABoxkIc5YzwOYo3XMehF0zVTcofQa/TdyCXG/ejCoWYq4cP9T3Vu0639GPNsyh4bZiZOO7O
 JiEHuJIaHascqPjVBxTFKZjCqik+qJR4HAWcfJhs1V3mmrY3qjwG7w4XwMq4qJ2q/GfDJpl2z
 WIcWpQ==
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Gregory Heytings writes: Hi, >>> It's correct that the same
 problem is present in Emacs 28, but it >>> is not in Emacs 27, so it's a
 regression. As I tried to explain in >>> bug#50387, the problem is that once
 Tramp is loaded, Tr [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (michael.albinus[at]gmx.de)
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [185.89.37.45 listed in zen.spamhaus.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.17.21 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.17.21 listed in list.dnswl.org]
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Julien Roy <julien@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Gregory Heytings writes: Hi, >>> It's correct that the same
    problem is present in Emacs 28, but it >>> is not in Emacs 27, so it's a
   regression. As I tried to explain in >>> bug#50387, the problem is that once
    Tramp is loaded, Tr [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.17.21 listed in wl.mailspike.net]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [185.89.37.45 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.17.21 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (michael.albinus[at]gmx.de)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Gregory Heytings <gregory@HIDDEN> writes:

Hi,

>>> It's correct that the same problem is present in Emacs 28, but it
>>> is not in Emacs 27, so it's a regression.  As I tried to explain in
>>> bug#50387, the problem is that once Tramp is loaded, Tramp methods
>>> are returned when completions are requested for a root directory
>>> ("/"). This problem is even worse since commit d5c6bf9625: prior to
>>> that commit only the 'scp' and 'scpx' methods were returned (in
>>> emacs -Q), now all methods are returned.  And this confuses the
>>> flex and substring completion mechanisms.
>>
>> Yes. But this is not a Tramp fault.
>
> It definitely is Tramp's "fault".

Have you even tried to check the PoC patch I've sent?

>> Completion styles like flex (and substring, didn't test) do ignore
>> Tramp file name syntax. They simply think in terms of file name
>> parts, separated by "/". This is not appropriate for remote file
>> names.
>
> What filenames are is defined for example by POSIX in its Definitions
> chapter ("Filename", "Pathname", "Pathname Resolution").  It is quite
> clear in those definitions that there is no place for a _method_ or a
> _host name_ in file names.  Something with a method, a host name and a
> path is a different beast: it's an URI.  And it's not a coincidence if
> (absolute) file names start with a slash, and URI do _not_ start with
> a slash.
>
> Tramp decided, for a reason I do not clearly understand, to invent
> URIs starting with a slash.  File name completion mechanisms rightly
> assume that file names correspond to the standard syntax of file
> names, and there is no reason (and, for that matter, no reliable way)
> to fix the current problem at the level of completion styles.

In that case I recommend you to abstain from using Tramp.

I'm so fed up.

EOT




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 1 Feb 2023 18:12:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 01 13:12:48 2023
Received: from localhost ([127.0.0.1]:59810 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pNHbE-0006DT-7x
	for submit <at> debbugs.gnu.org; Wed, 01 Feb 2023 13:12:48 -0500
Received: from heytings.org ([95.142.160.155]:39368)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1pNHbB-0006DK-BR
 for 60505 <at> debbugs.gnu.org; Wed, 01 Feb 2023 13:12:46 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1675275164;
 bh=Yx7ma8jNdC15VRBF4R0WUmlmNYteBob5Ipp3GO/md5I=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=KANth9v11JL5cCP4IiCSPQc6i3wlD+lOpnccwTUfio8YOiPKND4v6DDMsLLZ25VsF
 Mwg6rMyZe0JSiq/d+NbdZz06cfHqvmeJDd/gzbZXf+IN3DxAxTmHCmh2ayb4jdtT45
 KMPx2akFKhL8A8dkEhEdnP2rBBo95XA8gTju+CqmGJOO88BC40QPglcp7xXYOOCh1v
 I3LPZNTHxU0MyLdq9OdieGh+J5epVeq6wyFbXLB62Y1SPYKc8Pl7jLtsvlDENPPvVp
 QH/bjn0mUAuhuyhgSHPR2sHC4B3H3JZd/hKP9BUWkZOhQdfWiBW0YxGMDdbZb5ep7F
 T/juDj/G4qLwQ==
Date: Wed, 01 Feb 2023 18:12:43 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <87o7qwm3dd.fsf@HIDDEN>
Message-ID: <43562d4dd9c31382eb40@HIDDEN>
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN> <8aadf0ddd54d67a3213d@HIDDEN>
 <87a62jmwj6.fsf@HIDDEN> <cf717d2477a320fb64ce@HIDDEN>
 <87o7qwm3dd.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="vzW7NJwnZF"
Content-ID: <43562d4dd9189a416af0@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Julien Roy <julien@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--vzW7NJwnZF
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-ID: <43562d4dd9e1ad6a9acb@HIDDEN>


>> It's correct that the same problem is present in Emacs 28, but it is 
>> not in Emacs 27, so it's a regression.  As I tried to explain in 
>> bug#50387, the problem is that once Tramp is loaded, Tramp methods are 
>> returned when completions are requested for a root directory ("/"). 
>> This problem is even worse since commit d5c6bf9625: prior to that 
>> commit only the 'scp' and 'scpx' methods were returned (in emacs -Q), 
>> now all methods are returned.  And this confuses the flex and substring 
>> completion mechanisms.
>
> Yes. But this is not a Tramp fault.
>

It definitely is Tramp's "fault".

>
> Completion styles like flex (and substring, didn't test) do ignore Tramp 
> file name syntax. They simply think in terms of file name parts, 
> separated by "/". This is not appropriate for remote file names.
>

What filenames are is defined for example by POSIX in its Definitions 
chapter ("Filename", "Pathname", "Pathname Resolution").  It is quite 
clear in those definitions that there is no place for a _method_ or a 
_host name_ in file names.  Something with a method, a host name and a 
path is a different beast: it's an URI.  And it's not a coincidence if 
(absolute) file names start with a slash, and URI do _not_ start with a 
slash.

Tramp decided, for a reason I do not clearly understand, to invent URIs 
starting with a slash.  File name completion mechanisms rightly assume 
that file names correspond to the standard syntax of file names, and there 
is no reason (and, for that matter, no reliable way) to fix the current 
problem at the level of completion styles.

So I have yet another proposal: add a variable to let users (and modes) 
decide whether Tramp methods should be returned when completions for the 
root directory are requested.  Patch attached.

--vzW7NJwnZF
Content-Type: text/x-diff; name=Improve-handling-of-Tramp-methods-by-completion-styl.patch; charset=us-ascii
Content-Transfer-Encoding: base64
Content-ID: <43562d4dd97a1fb91d2d@HIDDEN>
Content-Disposition: attachment; filename=Improve-handling-of-Tramp-methods-by-completion-styl.patch

RnJvbSBlMDQ5YTI1NTk5YzhhYmY2OTNiMzU3MzZlNzZiYTQ0MTJjYmM3Y2Jj
IE1vbiBTZXAgMTcgMDA6MDA6MDAgMjAwMQ0KRnJvbTogR3JlZ29yeSBIZXl0
aW5ncyA8Z3JlZ29yeUBoZXl0aW5ncy5vcmc+DQpEYXRlOiBXZWQsIDEgRmVi
IDIwMjMgMTg6MDY6NDkgKzAwMDANClN1YmplY3Q6IFtQQVRDSF0gSW1wcm92
ZSBoYW5kbGluZyBvZiBUcmFtcCBtZXRob2RzIGJ5IGNvbXBsZXRpb24gc3R5
bGVzLg0KDQoqIGxpc3AvbmV0L3RyYW1wLmVsICh0cmFtcC1tZXRob2RzLWlu
LWNvbXBsZXRpb25zKTogTmV3IGRlZmN1c3RvbS4NCih0cmFtcC1jb21wbGV0
aW9uLWhhbmRsZS1maWxlLW5hbWUtYWxsLWNvbXBsZXRpb25zKTogVXNlIGl0
Lg0KDQoqIGxpc3AvaWNvbXBsZXRlLmVsIChpY29tcGxldGUtLWZpZG8tbW9k
ZS1zZXR1cCk6IEFkZCAnYmFzaWMnDQphZnRlciAnZmxleCcgaW4gdGhlIGNv
bXBsZXRpb24gc3R5bGVzLCBmb3IgY2FzZXMgd2hlcmUgJ2ZsZXgnIGRvZXMN
Cm5vdCByZXR1cm4gYW55dGhpbmcuICBUaGlzIGlzIHJlcXVpcmVkIGJ5IFRy
YW1wLiAgQWxzbyBzZXQgdGhlIG5ldw0KZGVmY3VzdG9tICd0cmFtcC1tZXRo
b2RzLWluLWNvbXBsZXRpb25zJyB0byBuaWwuDQoNCiogZG9jL21pc2MvdHJh
bXAudGV4aSAoRmlsZSBuYW1lIGNvbXBsZXRpb24pOiBSZXBsYWNlIHRoZSBm
b290bm90ZQ0KYWJvdXQgdGhlIGxpbWl0YXRpb24gb2YgdGhlICdzdWJzdHJp
bmcnIGFuZCAnZmxleCcgY29tcGxldGlvbg0Kc3R5bGVzOiBzdWdnZXN0IHRv
IHVzZSB0aGUgbmV3IGRlZmN1c3RvbS4NCg0KRml4ZXMgYnVnIzUwMzg3LCBi
dWcjNTEzODYsIGJ1ZyM1Mjc1OCwgYnVnIzUzNTEzLCBidWcjNTQwNDIgYW5k
DQpidWcjNjA1MDUuDQotLS0NCiBkb2MvbWlzYy90cmFtcC50ZXhpIHwgIDcg
KysrLS0tLQ0KIGxpc3AvaWNvbXBsZXRlLmVsICAgfCAgNyArKysrKystDQog
bGlzcC9uZXQvdHJhbXAuZWwgICB8IDIxICsrKysrKysrKysrKysrKysrKyst
LQ0KIDMgZmlsZXMgY2hhbmdlZCwgMjggaW5zZXJ0aW9ucygrKSwgNyBkZWxl
dGlvbnMoLSkNCg0KZGlmZiAtLWdpdCBhL2RvYy9taXNjL3RyYW1wLnRleGkg
Yi9kb2MvbWlzYy90cmFtcC50ZXhpDQppbmRleCA1NjQzNmQzMjk3MC4uOTlm
MzE3ZGJiYjggMTAwNjQ0DQotLS0gYS9kb2MvbWlzYy90cmFtcC50ZXhpDQor
KysgYi9kb2MvbWlzYy90cmFtcC50ZXhpDQpAQCAtMzQ5NywxMCArMzQ5Nyw5
IEBAIEZpbGUgbmFtZSBjb21wbGV0aW9uDQogVHlwZSBAa2Jke3MgaCBAdmFs
dWV7cG9zdGZpeGhvcH19IGZvciB0aGUgbWluaWJ1ZmZlciBjb21wbGV0aW9u
IHRvDQogQHNhbXB7QHZhbHVle3ByZWZpeH1zc2hAdmFsdWV7cG9zdGZpeGhv
cH19LiAgVHlwaW5nIEBrYmR7QGtleXtUQUJ9fQ0KIHNob3dzIGhvc3QgbmFt
ZXMgQHZhbHVle3RyYW1wfSBleHRyYWN0cyBmcm9tIEBmaWxle34vLnNzaC9j
b25maWd9DQotQGMgYnVnIzUwMzg3DQotZmlsZSwgZm9yIGV4YW1wbGVAZm9v
dG5vdGV7U29tZSBjb21wbGV0aW9uIHN0eWxlcywgbGlrZQ0KLUBjb2Rle3N1
YnN0cmluZ30gb3IgQGNvZGV7ZmxleH0sIHJlcXVpcmUgdG8gdHlwZSBhdCBs
ZWFzdCBvbmUNCi1jaGFyYWN0ZXIgYWZ0ZXIgdGhlIHRyYWlsaW5nIEBzYW1w
e0B2YWx1ZXtwb3N0Zml4aG9wfX0ufS4NCitmaWxlLCBmb3IgZXhhbXBsZUBm
b290bm90ZXtGb3Igc29tZSBjb21wbGV0aW9uIHN0eWxlcywgbGlrZQ0KK0Bj
b2Rle3N1YnN0cmluZ30gb3IgQGNvZGV7ZmxleH0sIGl0IGlzIG5lY2Vzc2Fy
eSB0byBzZXQNCitAY29kZXt0cmFtcC1tZXRob2RzLWluLWNvbXBsZXRpb25z
fSB0byBAY29kZXt0fSBmb3IgdGhpcyB0byBoYXBwZW4ufS4NCiANCiBAZXhh
bXBsZQ0KIEBncm91cA0KZGlmZiAtLWdpdCBhL2xpc3AvaWNvbXBsZXRlLmVs
IGIvbGlzcC9pY29tcGxldGUuZWwNCmluZGV4IDAxNGYzOGIyMDI0Li4wNzll
NTllMjhlMSAxMDA2NDQNCi0tLSBhL2xpc3AvaWNvbXBsZXRlLmVsDQorKysg
Yi9saXNwL2ljb21wbGV0ZS5lbA0KQEAgLTQxNCw3ICs0MTQsMTIgQEAgaWNv
bXBsZXRlLS1maWRvLW1vZGUtc2V0dXANCiAgICAgICAgICAgICAgICAgaWNv
bXBsZXRlLXNob3ctbWF0Y2hlcy1vbi1uby1pbnB1dCB0DQogICAgICAgICAg
ICAgICAgIGljb21wbGV0ZS1oaWRlLWNvbW1vbi1wcmVmaXggbmlsDQogICAg
ICAgICAgICAgICAgIGljb21wbGV0ZS1zY3JvbGwgKG5vdCAobnVsbCBpY29t
cGxldGUtdmVydGljYWwtbW9kZSkpDQotICAgICAgICAgICAgICAgIGNvbXBs
ZXRpb24tc3R5bGVzICcoZmxleCkNCisgICAgICAgICAgICAgICAgOzsgVGhl
ICdiYXNpYycgc3R5bGUgaXMgcmVxdWlyZWQgYnkgVHJhbXAuICBTZWUNCisg
ICAgICAgICAgICAgICAgOzsgYnVnIzUxMzg2LCBidWcjNTI3NTgsIGJ1ZyM1
MzUxMywgYnVnIzU0MDQyIGFuZA0KKyAgICAgICAgICAgICAgICA7OyBidWcj
NjA1MDUuDQorICAgICAgICAgICAgICAgIGNvbXBsZXRpb24tc3R5bGVzICco
ZmxleCBiYXNpYykNCisgICAgICAgICAgICAgICAgOzsgVGVsbCBUcmFtcCB0
byBkaXNwbGF5IGl0cyBtZXRob2RzIGxhemlseS4NCisgICAgICAgICAgICAg
ICAgdHJhbXAtbWV0aG9kcy1pbi1jb21wbGV0aW9ucyBuaWwNCiAgICAgICAg
ICAgICAgICAgY29tcGxldGlvbi1mbGV4LW5vc3BhY2UgbmlsDQogICAgICAg
ICAgICAgICAgIGNvbXBsZXRpb24taWdub3JlLWNhc2UgdA0KICAgICAgICAg
ICAgICAgICByZWFkLWJ1ZmZlci1jb21wbGV0aW9uLWlnbm9yZS1jYXNlIHQN
CmRpZmYgLS1naXQgYS9saXNwL25ldC90cmFtcC5lbCBiL2xpc3AvbmV0L3Ry
YW1wLmVsDQppbmRleCAxOTE2ZDUwYWYwMy4uNTMzMTg2ZDE2MzMgMTAwNjQ0
DQotLS0gYS9saXNwL25ldC90cmFtcC5lbA0KKysrIGIvbGlzcC9uZXQvdHJh
bXAuZWwNCkBAIC04MTIsNiArODEyLDIxIEBAIHRyYW1wLXN5bnRheA0KICAg
OmluaXRpYWxpemUgIydjdXN0b20taW5pdGlhbGl6ZS1kZWZhdWx0DQogICA6
c2V0ICMndHJhbXAtc2V0LXN5bnRheCkNCiANCisoZGVmY3VzdG9tIHRyYW1w
LW1ldGhvZHMtaW4tY29tcGxldGlvbnMgdA0KKyAgIkhvdyBUcmFtcCBtZXRo
b2RzIGFyZSBkaXNwbGF5ZWQgd2hpbGUgY29tcGxldGluZyBmaWxlIG5hbWVz
Lg0KKw0KK1doZW4gdCwgVHJhbXAgbWV0aG9kcyBhcmUgZGlzcGxheWVkIHVu
Y29uZGl0aW9uYWxseSB3aGVuDQorY29tcGxldGluZyBmaWxlIG5hbWVzLCB0
aGF0IGlzLCBhcyBzb29uIGFzIGNvbXBsZXRpb25zIGFyZQ0KK3JlcXVlc3Rl
ZCBmb3IgdGhlIHJvb3QgZGlyZWN0b3J5Lg0KKw0KK1doZW4gbmlsLCBUcmFt
cCBtZXRob2RzIGFyZSBkaXNwbGF5ZWQgbGF6aWx5IHdoZW4gY29tcGxldGlu
ZyBmaWxlDQorbmFtZXMsIHRoYXQgaXMsIHRoZXkgYXJlIGRpc3BsYXllZCBv
bmx5IHdoZW4gbm8gYWN0dWFsIGZpbGUgaW4NCit0aGUgcm9vdCBkaXJlY3Rv
cnkgbWF0Y2hlcyB0aGUgY3VycmVudCB1c2VyIGlucHV0LiINCisgIDp0eXBl
ICcoY2hvaWNlIChjb25zdCA6dGFnICJVbmNvbmRpdGlvbmFsbHkiIHQpDQor
ICAgICAgICAgICAgICAgICAoY29uc3QgOnRhZyAiTGF6aWx5IiBuaWwpKQ0K
KyAgOnJlcXVpcmUgJ3RyYW1wDQorICA6dmVyc2lvbiAiMjkuMSIpDQorDQog
KGRlZnZhciB0cmFtcC1wcmVmaXgtZm9ybWF0KQ0KIChkZWZ2YXIgdHJhbXAt
cHJlZml4LXJlZ2V4cCkNCiAoZGVmdmFyIHRyYW1wLW1ldGhvZC1yZWdleHAp
DQpAQCAtMzAyMiw4ICszMDM3LDEwIEBAIHRyYW1wLWNvbXBsZXRpb24taGFu
ZGxlLWZpbGUtbmFtZS1hbGwtY29tcGxldGlvbnMNCiAJCQkgICAgICAgKGRl
bHEgbmlsIGFsbC11c2VyLWhvc3RzKSkpKSkNCiANCiAJICAgIDs7IFBvc3Np
YmxlIG1ldGhvZHMuDQotCSAgICAoc2V0cSByZXN1bHQNCi0JCSAgKGFwcGVu
ZCByZXN1bHQgKHRyYW1wLWdldC1jb21wbGV0aW9uLW1ldGhvZHMgbSkpKSkp
KSkNCisJICAgICh1bmxlc3MgKGFuZCAoc3RyaW5nLWVtcHR5LXAgbWV0aG9k
KQ0KKwkJCSAobm90IHRyYW1wLW1ldGhvZHMtaW4tY29tcGxldGlvbnMpKQ0K
KwkgICAgICAoc2V0cSByZXN1bHQNCisJCSAgICAoYXBwZW5kIHJlc3VsdCAo
dHJhbXAtZ2V0LWNvbXBsZXRpb24tbWV0aG9kcyBtKSkpKSkpKSkNCiANCiAg
ICAgOzsgVW5pZnkgbGlzdCwgYWRkIGhvcCwgcmVtb3ZlIG5pbCBlbGVtZW50
cy4NCiAgICAgKGRvbGlzdCAoZWx0IHJlc3VsdCkNCi0tIA0KMi4zOS4wDQoN
Cg==

--vzW7NJwnZF--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 18 Jan 2023 12:30:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 18 07:30:52 2023
Received: from localhost ([127.0.0.1]:39693 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pI7ad-0000kf-AR
	for submit <at> debbugs.gnu.org; Wed, 18 Jan 2023 07:30:52 -0500
Received: from mout.gmx.net ([212.227.15.19]:49269)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1pI7aa-0000P5-N4
 for 60505 <at> debbugs.gnu.org; Wed, 18 Jan 2023 07:30:49 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1674045039; bh=FZGd9URRWmmZhJETEVhJJis7sqOpiH0fWZ5bnzmK9J0=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=MgGOXkhXP7mDZVTrlcvn8UsX9GVCExQ6VFQD7Ym1EO1UGcTG4pjFcw86cR7XSgxdt
 ZVnjEwLguO7dbLbeiB21YzhHbgiBQFnroI3co+ydPtNUELGxZS9es0f8MjOCMx90LB
 VYRvqYeXoShr96gO/r/+KBj3XxEU+kvG53XLut5OfE8jKGfeuVHicowkw/lizNunzE
 mHYJGeF7Lahz9y4U0GC8Yf/ZGeirmI2rHgvFe7I27z02ztj30lJToKfBxCsZL7ofWk
 kuPfsduBSwnnxvIDB3o16Bz4GbuTEdBkxiJB1uv07FJ6VqYCDf53/mGI5fybLt+wSW
 vhJrpu+uQMO/g==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.37.45]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MN5eR-1oz4jS1Z37-00J10A; Wed, 18
 Jan 2023 13:30:39 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <cf717d2477a320fb64ce@HIDDEN> (Gregory Heytings's message
 of "Sun, 15 Jan 2023 22:38:57 +0000")
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN>
 <8aadf0ddd54d67a3213d@HIDDEN> <87a62jmwj6.fsf@HIDDEN>
 <cf717d2477a320fb64ce@HIDDEN>
Date: Wed, 18 Jan 2023 13:30:38 +0100
Message-ID: <87o7qwm3dd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:GtUd8H+oU+/rGHVmSrSb1lFn3Vzv6jBrj+5Jn+C8X3mVoNylnf0
 HUB0buocKXfBQxiqiUXLqjD5ORED1qDZacv6KAd/L+TGkvfw5dyl8sF/9bDW9AKZwVcicHw
 Qp4bzDYji0GOVD4r+WKQ7BcF3/OxAhFsA7dY07fJkpbZdbXpR4IcG4BQsK2OHNxXMgnhPje
 v5+oLwYXTfn65DyFf/4Uw==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:4JrRCJESVpM=;PNVHASQ0Gb7KW7Fiy5kLHWGmuzw
 nXOrfV6rowTyYHuYygfQxkQ5gYJTK7g+AHukKZSIRvXFHNVGqvxWFRfMpp/l4UeMHd64RjfeX
 Hkzy+Yd3d5nBOV/N+TKIwHIEzNUBE32tip0HGwZB6+YRHY/wDJd2tYBRvViJZ3fI7paR/h0Jb
 pkzttGyzjmlVmeh/hE/gjJkbtcky/rhMnuqb8Zk4yM3TQELdxhkVCGaWGrQzQ15WEIynnbsbY
 ei2aKA6i5VjgzpWp9kz+NghAJzLAmImhfbpZ1MVC5ydwUYfG5s4S5U3JPz3m6RDIYcU1UNME2
 Sr7fvhMz7I74T3XvIzuVKnsDLDZQ3XOpeR+tbNsnBHPa9ZfnY41RwG5KkgHZt3GkD1ib/zZVy
 kDkZZqkMw6UdnMi1Q1M/gouzDgp1j5rkkmCUkSXRM63Lg8tsHwikC3TgGyDjM4HzUkwc4mZcM
 97z3G5PHhL1cylIPqCbpDbJhDrraXBZBF7vNFXTEYWGT4ZQbxy73bklZgDFAyaasGWDMhwHqC
 aEDzjVKL2z+nYKptuzs3+UJiT1yxXGRbmTeaioGcfLs8RxqPKFp62cKygnnTM3C/8lNS2pjYl
 paxpk1PKJgZQA0WQlinxlcv0mzwT1RKMY2OJPP80qZSNSIbhowxhRlZUoog+hFLLWgTy8jmEv
 kWLVuSJmY+uIAqCZfiJL20JFDNEBzNx0wrdeE+ApnNY31gBhdlJnx+RmwZPrbGmMdVN6Yl/wj
 AyN40sfiVsHxIB43DA28meeZ+Ml1zmSoOEQguhidyqkH7fb9X9rpoI1BPYNjm7CKXrcqH61az
 jvR/meLT4Wlb/t2FU/mGP5MDjZxHN25Eac+RsM3uk4dAy3jsq0H9be/Tsis1kTE8zE5XAdjGR
 ylU1AK9RcdJrv0RZuodvx4wnXNWKedgRGpBtGMzcQDUM3rnVFyKuKzccyr1/GvdvaQgT0fr6i
 IW/TXg==
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Gregory Heytings writes: > Hi Michael, Hi Gregory, 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [185.89.37.45 listed in zen.spamhaus.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (michael.albinus[at]gmx.de)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.15.19 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.15.19 listed in list.dnswl.org]
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Julien Roy <julien@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Gregory Heytings writes: > Hi Michael, Hi Gregory, 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.15.19 listed in wl.mailspike.net]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [185.89.37.45 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.15.19 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (michael.albinus[at]gmx.de)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain

Gregory Heytings <gregory@HIDDEN> writes:

> Hi Michael,

Hi Gregory,

>>> what do you think of that patch?  It would be regrettable to leave
>>> that bug unfixed in Emacs 29.
>>
>> Yes, it would be desirable to fix this. But it isn't the end of the
>> world if this doesn't happen, the problem is already evident in
>> Emacs 28, so we don't have a regression.
>>
>
> It's correct that the same problem is present in Emacs 28, but it is
> not in Emacs 27, so it's a regression.  As I tried to explain in
> bug#50387, the problem is that once Tramp is loaded, Tramp methods are
> returned when completions are requested for a root directory ("/").
> This problem is even worse since commit d5c6bf9625: prior to that
> commit only the 'scp' and 'scpx' methods were returned (in emacs -Q),
> now all methods are returned.  And this confuses the flex and
> substring completion mechanisms.

Yes. But this is not a Tramp fault. Completion styles like flex (and
substring, didn't test) do ignore Tramp file name syntax. They simply
think in terms of file name parts, separated by "/". This is not
appropriate for remote file names.

Tramp knows only file-name-completion and file-name-all-completions. This
is what it is called with; Tramp doesn't know anything about completion
styles. It would be an error to bring this into Tramp, based on these
two functions which are not designed to give the file name handler more
information about completion styles. This is our disagreement.

>>>> By the way, to limit the scope of the potential collateral
>>>> damages, it is also possible to use that condition only when
>>>> completion-styles contain 'substring' or 'flex'.
>>>>
>>>> What do you think of the attached patch?
>>
>> And what do we want to do if there are more completion-styles like
>> this? Extend Tramp then?
>
> Not extend Tramp, but add them, if necessary, to the list of
> completion-styles that are handled specially by Tramp at that
> place. Unless of course a better fix has been implemented in the
> meantime.

And this is exactly my fear: Tramp would depend on unrelated features,
and Tramp must follow. And you can't even guarantee that Tramp knows
all completion styles in question. Any user in the wild can specify her
own completion style.

> Well, that looks like a separate problem, with a non-default syntax,
> which (given the number of hits of "tramp-change-syntax" on Google or
> on Github) is apparently hardly ever used.

Then write a bug report, requesting to remove this Tramp syntax :-)

Seriously, this is the Tramp syntax used by XEmacs years ago. We've
promised the XEmacs converts to keep this syntax, in order to make their
life in GNU Emeacs less alienated.

> Nonetheless, I tried your recipe with the patch applied, and the good
> news is that with it, under Fido, Tramp behaves the same way it
> behaves under the default completions: the available methods are
> displayed after "/ [ s TAB", the same nonsense is displayed after "/ [
> ssh/ TAB", and the possible host names are displayed after typing a
> letter followed by TAB.

So yes, we shall at least hunt the bug displaying nonsense.

>> Instead, Tramp shall apply a patch which is not related there, which
>> adds further dependencies, which is not working for all use cases,
>> and which is good for making more trouble in the future. My opinion.
>
> I don't understand what you mean here, sorry.

Simply that it isn't Tramp's duty to fix the bug we're discussing. It
must be fixed by the flex (and possibly also substring) completion
styles.

I spent another couple of hours debugging completion in
minibuffer.el. The appended patch shows a possible fix for the flex
completion style. I don't claim this shall go into master; it is just a
rawhammer approach due to my limited knowledge about completion
styles. But it might give you an idea how a solution could look like.

Best regards, Michael.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment
Content-Transfer-Encoding: quoted-printable

diff --git a/lisp/minibuffer.el b/lisp/minibuffer.el
index 21d4607e7cf..a002143108f 100644
=2D-- a/lisp/minibuffer.el
+++ b/lisp/minibuffer.el
@@ -3013,8 +3013,11 @@ completion-file-name-table
                                        (substring string 1)
                                        pred action))
        ((eq (car-safe action) 'boundaries)
-        (let ((start (length (file-name-directory string)))
-              (end (string-search "/" (cdr action))))
+        (let ((start (length
+                      (if (string-match-p "\\`/[-[:alnum:]]+:[^:]*\\'" st=
ring)
+                          string
+                        (file-name-directory string))))
+              (end (string-search "/\\:" (cdr action))))
           `(boundaries
             ;; if `string' is "C:" in w32, (file-name-directory string)
             ;; returns "C:/", so `start' is 3 rather than 2.
@@ -4205,6 +4208,9 @@ completion-flex--make-flex-pattern
 (defun completion-flex-try-completion (string table pred point)
   "Try to flex-complete STRING in TABLE given PRED and POINT."
   (unless (and completion-flex-nospace (string-search " " string))
+    (if (and (string-match-p "\\`/[-[:alnum:]]+:[^:]*\\'" string)
+             (eq table 'completion-file-name-table))
+        (completion-basic-try-completion string table pred point)
     (pcase-let ((`(,all ,pattern ,prefix ,suffix ,_carbounds)
                  (completion-substring--all-completions
                   string table pred point
@@ -4217,7 +4223,7 @@ completion-flex-try-completion
       ;; contain the substring "config".  FIXME: this still won't
       ;; augment "foo" to "froo" when matching "frodo" and
       ;; "farfromsober".
-      (completion-pcm--merge-try pattern all prefix suffix))))
+      (completion-pcm--merge-try pattern all prefix suffix)))))

 (defun completion-flex-all-completions (string table pred point)
   "Get flex-completions of STRING in TABLE, given PRED and POINT."

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 15 Jan 2023 22:39:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 15 17:39:00 2023
Received: from localhost ([127.0.0.1]:59866 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pHBeW-0008R6-EU
	for submit <at> debbugs.gnu.org; Sun, 15 Jan 2023 17:39:00 -0500
Received: from heytings.org ([95.142.160.155]:45984)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1pHBeV-0008Qy-0v
 for 60505 <at> debbugs.gnu.org; Sun, 15 Jan 2023 17:38:59 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1673822337;
 bh=a857iBmGbjMDXLgzUirNGWz1lrQKdQYVsK15XiAZlxw=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=T21yJwCiFx9x80Mgq/E91htBT9mgUutgm9sXnMPa/XhTO1iBzdNkIlNq/ZBeVqHLI
 kvH39Lw7fUig3e0hmUdnxdX5pYnaUJy8Qzcbs1gMQSA94T2GpNI5D5ZRnSPGiuNIwn
 kQdKScKvd9ZVgt2wreJjqQ7DCasgfWe1lKbSWX1vmFMpgD+WfWSLYyPf1ToX4k0Isi
 Vhr4H5/H3JhnMb/TPSHr1ktvuj0eHOIZ8zcdRt85NDfwrvm2ADEAUiqt8ohL3+doGO
 Rne4kH1lqOkFf2/8dwY6viYaT2wABgil4L+X6tINtSb/GNua8xMPA5Oh6/+/jKm4Jx
 oi1pp/XpCtBKA==
Date: Sun, 15 Jan 2023 22:38:57 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <87a62jmwj6.fsf@HIDDEN>
Message-ID: <cf717d2477a320fb64ce@HIDDEN>
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN> <8aadf0ddd54d67a3213d@HIDDEN>
 <87a62jmwj6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Julien Roy <julien@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hi Michael,

>> what do you think of that patch?  It would be regrettable to leave that 
>> bug unfixed in Emacs 29.
>
> Yes, it would be desirable to fix this. But it isn't the end of the 
> world if this doesn't happen, the problem is already evident in Emacs 
> 28, so we don't have a regression.
>

It's correct that the same problem is present in Emacs 28, but it is not 
in Emacs 27, so it's a regression.  As I tried to explain in bug#50387, 
the problem is that once Tramp is loaded, Tramp methods are returned when 
completions are requested for a root directory ("/").  This problem is 
even worse since commit d5c6bf9625: prior to that commit only the 'scp' 
and 'scpx' methods were returned (in emacs -Q), now all methods are 
returned.  And this confuses the flex and substring completion mechanisms.

>>> By the way, to limit the scope of the potential collateral damages, it 
>>> is also possible to use that condition only when completion-styles 
>>> contain 'substring' or 'flex'.
>>>
>>> What do you think of the attached patch?
>
> And what do we want to do if there are more completion-styles like this? 
> Extend Tramp then?
>

Not extend Tramp, but add them, if necessary, to the list of 
completion-styles that are handled specially by Tramp at that place. 
Unless of course a better fix has been implemented in the meantime.

>
> And there are more use cases like this, which are not working properly. 
> Think about changing the Tramp syntax to `separate', which means a 
> remote file name like "[method/user@host]/path/to/file". If you use 
> default completion, it works like this:
>
> - emacs -Q -l tramp --eval '(tramp-change-syntax (quote separate))'
> - Type "/ [ s TAB" and you see all methods
> - Continue with "s h / TAB" and you see nonsense :-(
> - Continue with "d TAB" and you see all possible host names starting with "d"
> - Select a host name and type "] TAB TAB" and you see the remote file names
>
> And now with fido:
>
> - emacs -Q -l tramp --eval '(tramp-change-syntax (quote separate))' -f fido-mode
> - Type "/ [ s TAB" and you see no completion at all
> - Continue with "s h / TAB" and you see the same nonsense :-(
> - Continue with "d TAB" and you see no completion at all
> - Type host name and type "] TAB TAB" and you see the remote file names
>
> Although the default completion isn't perfect (likely a Tramp bug), 
> there is much more wrong with fido.
>

Well, that looks like a separate problem, with a non-default syntax, which 
(given the number of hits of "tramp-change-syntax" on Google or on Github) 
is apparently hardly ever used.

Nonetheless, I tried your recipe with the patch applied, and the good news 
is that with it, under Fido, Tramp behaves the same way it behaves under 
the default completions: the available methods are displayed after "/ [ s 
TAB", the same nonsense is displayed after "/ [ ssh/ TAB", and the 
possible host names are displayed after typing a letter followed by TAB.

>
> Instead, Tramp shall apply a patch which is not related there, which 
> adds further dependencies, which is not working for all use cases, and 
> which is good for making more trouble in the future. My opinion.
>

I don't understand what you mean here, sorry.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 15 Jan 2023 19:24:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 15 14:24:13 2023
Received: from localhost ([127.0.0.1]:59575 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pH8c0-0006jB-Ke
	for submit <at> debbugs.gnu.org; Sun, 15 Jan 2023 14:24:12 -0500
Received: from mout.gmx.net ([212.227.15.15]:40143)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1pH8bx-0006is-3S
 for 60505 <at> debbugs.gnu.org; Sun, 15 Jan 2023 14:24:10 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1673810638; bh=LqIyDB9bsxkJZ5EDQTOtPBFbhqCLjSrCPwRBIAXol+I=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=qLsknFUAJ9Zki2ZdsXsxJLF/2APu9uMBKwy4rfAPpUKR4MrZvx5TfvZioUr2vZjhT
 2cEYO6mPfr7YL8DZG1woN1XNkRA/Y9XstCUMECDZr/eTjbmtwC16zK7mOp5abcrw4h
 OZkZCYbjRZEcUYJFckGBvwp91I63Nh0rO6Zy62bLIxtpvWq8jmvY+jSZpAnhPJkz+e
 oTP+mkeFutD+qLAWDtsridZwmiZ3Pxj4qI+526m6zK+YwGtL1JmpoRKPu4HSd8Q8LH
 DyTm8Q8Ooij5BO6QuQMqpSMH8ohQb00kgcV3v0RsvmdmAjCToJAEnYyxRjGf5V+x0+
 KAPo/0fSpll1Q==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.37.45]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MpUUw-1owPFy2S5c-00pria; Sun, 15
 Jan 2023 20:23:58 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <8aadf0ddd54d67a3213d@HIDDEN> (Gregory Heytings's message
 of "Sat, 14 Jan 2023 21:37:31 +0000")
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN>
 <8aadf0ddd54d67a3213d@HIDDEN>
Date: Sun, 15 Jan 2023 20:23:57 +0100
Message-ID: <87a62jmwj6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:j4mQSpgwi8qsvgoCGDRpoH/slhyzUJi81MCIcMk4IIP2fZyyMuV
 p5gh24AFaKdaXnmfcYstF9ku14irzQhbk+3eRvmGcHyE5+bNU/cH0oh5t1UlFVjLk8gKO5H
 ++vqbZyk/ukAGFW/9qaykRIeNu+eXgBoMqtiutOfJUakce22C4+nBot6ydFzOSCaA2k+Hhh
 8DoJmqS6LlEDBhqAS/IRw==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:EVw6JkWdBEc=;TPBGtcbA0ngrb/6x6aXyUH5uWvA
 opBAS/F65mPpSvMWTOLTpo2DzYsE+vX9mnik3fBS9I/RmQeALfo2zcim1RfA8pay4Ccf5fMvE
 ZhJODBnFvurPy1Swxfy4YhxHbexD7Va88JlMI8OGZb1pD368Wn+tEDCnerYu1gpP4LNd/deoe
 8dF+joZEXMaT0E8fkrvGWtskRIuWj6I5LZnlvLTQTimoCTgsOABDi/SpbjLfQM31NjS2qhiBH
 LXWMuYjF9mslGT1qJjs0dk/nuMdtYedhjxHgQ6JmX7XM7qpzSpJC91wUsrtHJFfQkdODAz+6+
 hXlWoMFftaxLx0OAgNnR4wtbyKhdLTdtGu9X2R6mIsEALSJECD9oKnW8XCwxOh3TEsZ6KwFej
 orUpo8AyeWKyEpUQRysbSQsbM66bo+/NoJNm6M14uTdWqpZ6ZFTrbHBraUqPEciwVkYoF/4wp
 XfMZ2iKB5EUGd4wVpCXSi94nRrnk6WJfpIKXoofx/170/3CbE2Nu2VH3l2E+UfDrjL2hvgg/B
 6mKejiQFBhtGiyPN5wAivkHApvZoDv1wl56ajldnuTgIWTSxgOykV1XCMJsSykDxDzaDwdpUo
 1y1DkBDD6SXm4xq1i/MGNFFVCQMT5vqgS+VKcF38Ej2iGjsSeYoagEogz3kKyuGKj75kkEHs2
 J0S9q+mdmFqyNtkB2l0ZbdUMce9m4lBrzCH4Zksh85S1MWP9/ZObuJmONKX3QOJgG6AqcEn1V
 OmzHstgsUAx4k40PD5S6ZtBXtvqi4VImh73tm3k9eJKEcStZU+wWfUBX6KDfNfAL3U3V3y3Hz
 M6qhMKg5sdkgYS3JipPiWijc5OnxIlwbuN/SZPD2aSFhkt3g5SmSX+caHu9dcUm7Bix6cEZhG
 LoBMH4ZapQ0/we/loCYE79sx0dDlX9TCBrj2AAP+QqRIqaKCh6bsHhO+d5EhH3POL7FdHCXj1
 YeJkf79f2/JPMN8loag8IYjusEU=
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Gregory Heytings writes: > Michael, Hi Gregory, 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (michael.albinus[at]gmx.de)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [185.89.37.45 listed in zen.spamhaus.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.15.15 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.15.15 listed in list.dnswl.org]
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Julien Roy <julien@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Gregory Heytings writes: > Michael, Hi Gregory, 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.15.15 listed in wl.mailspike.net]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [185.89.37.45 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.15.15 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (michael.albinus[at]gmx.de)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Gregory Heytings <gregory@HIDDEN> writes:

> Michael,

Hi Gregory,

> what do you think of that patch?  It would be regrettable to
> leave that bug unfixed in Emacs 29.

Yes, it would be desirable to fix this. But it isn't the end of the
world if this doesn't happen, the problem is already evident in Emacs
28, so we don't have a regression.

>> By the way, to limit the scope of the potential collateral damages,
>> it is also possible to use that condition only when
>> completion-styles contain 'substring' or 'flex'.
>>
>> What do you think of the attached patch?

And what do we want to do if there are more completion-styles like this?
Extend Tramp then?

And there are more use cases like this, which are not working
properly. Think about changing the Tramp syntax to `separate', which
means a remote file name like "[method/user@host]/path/to/file". If you
use default completion, it works like this:

- emacs -Q -l tramp --eval '(tramp-change-syntax (quote separate))'
- Type "/ [ s TAB" and you see all methods
- Continue with "s h / TAB" and you see nonsense :-(
- Continue with "d TAB" and you see all possible host names starting
  with "d"
- Select a host name and type "] TAB TAB" and you see the remote file name=
s

And now with fido:

- emacs -Q -l tramp --eval '(tramp-change-syntax (quote separate))' -f fid=
o-mode
- Type "/ [ s TAB" and you see no completion at all
- Continue with "s h / TAB" and you see the same nonsense :-(
- Continue with "d TAB" and you see no completion at all
- Type host name and type "] TAB TAB" and you see the remote file names

Although the default completion isn't perfect (likely a Tramp bug),
there is much more wrong with fido.

The last days, since you have shown your patch here, I've spent several
hours debugging Emacs completion in order to understand what's
up. Horrible, because Emacs completion machinery is pretty complex and
under-documented (I believe). And honestly, I'm not interested too much
in this machinery.

It is a pity, that *nobody* who knows this in detail tries to
investigate the problem here, although we have already five reports
about.

Instead, Tramp shall apply a patch which is not related there, which
adds further dependencies, which is not working for all use cases, and
which is good for making more trouble in the future. My opinion.

Anyway, I will try to investigate the completion machinery. No promise
that I will succeed.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 14 Jan 2023 21:37:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 14 16:37:34 2023
Received: from localhost ([127.0.0.1]:55663 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pGoDW-0001zv-E4
	for submit <at> debbugs.gnu.org; Sat, 14 Jan 2023 16:37:34 -0500
Received: from heytings.org ([95.142.160.155]:44628)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1pGoDU-0001zo-MO
 for 60505 <at> debbugs.gnu.org; Sat, 14 Jan 2023 16:37:33 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1673732252;
 bh=h4bLY+5Awxwf3AMVXuvqgAmXwStBqP6v0331Qcv/scE=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=8kC5oAorNfls/+j03ufi9iYFuFx6UgVAolDuVjB5ZFKqvV69SYszH8Vy6KYhEo+a1
 N53Qnxxo4GggHPjO9qTmrNE0Ud2eD9uffSzmXbHdQ6sgy70jHHTb7dIg4aaMwcxZ9d
 TIwlHWpl1drjUy2Z+Jl2E3wY8vzn+KwzmrKHoTrhaQ3I6+6PpgXUsXCIOTp/EtymkC
 ypPog6UcX1ExaDT6PMmDiZH4NdB2v4UK0lxfvvnKuF/qfTHwHLFz1YCvE5qzHgqpyF
 tAUrHHUu7ZWQPZeyXkUvhNQ8tk37kIXJIQ0CFDSZE4JD17+qGnrqCgO4oKHBeJEFJ5
 nLMD+BFtdxBKw==
Date: Sat, 14 Jan 2023 21:37:31 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <371ba1d0be1f14c7c798@HIDDEN>
Message-ID: <8aadf0ddd54d67a3213d@HIDDEN>
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
 <371ba1d0be1f14c7c798@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Julien Roy <julien@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Michael, what do you think of that patch?  It would be regrettable to 
leave that bug unfixed in Emacs 29.

>
> By the way, to limit the scope of the potential collateral damages, it 
> is also possible to use that condition only when completion-styles 
> contain 'substring' or 'flex'.
>
> What do you think of the attached patch?
>





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 6 Jan 2023 09:51:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 06 04:51:15 2023
Received: from localhost ([127.0.0.1]:53822 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pDjNb-00011y-Ea
	for submit <at> debbugs.gnu.org; Fri, 06 Jan 2023 04:51:15 -0500
Received: from heytings.org ([95.142.160.155]:32950)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1pDjNZ-00011p-9a
 for 60505 <at> debbugs.gnu.org; Fri, 06 Jan 2023 04:51:13 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1672998671;
 bh=+7Q+/P5Xy9V2Yk7KUq+DgiZnltES7ji3zwRlIH9DNqY=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=8vKOqEIrDMTV18t1GrZQRSWz6Yoi+SIBdh/HkuYSOXbPJLq+bvu/1LVf2xOS0qPzg
 4eLdXVj0E+6b6rEorRW710KQGROOMSlBP9H1GCxe+ommKsbZ8VVPTumEFIf7RGSiDy
 BGBjihpxgDBgv1TmR09uA9zYkIVI+rKk1f3/G9cS1K8wrSxO/4ktZi4U6U5EkcckYm
 +oTWU/zVn6KC1KDNPz2ttVY7wCPdYiGb3WFnm6eSlW0Mx3j3VopPmC5m3yQOJbhW+N
 mSyg/+ZUSEVyVhcPoIAAVSXotozz3CslIoTayZjg6xpYyCklIVgtBrHkLEdIU0PLCQ
 DLspLBhQmIf4w==
Date: Fri, 06 Jan 2023 09:51:11 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <8dea9f3e0eb47ac9e4ab@HIDDEN>
Message-ID: <371ba1d0be1f14c7c798@HIDDEN>
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN> <8dea9f3e0eb47ac9e4ab@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="wDM97ByDIu"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Julien Roy <julien@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--wDM97ByDIu
Content-Type: text/plain; charset=us-ascii; format=flowed


>
> Why could we not use the ad-hoc patch, with a FIXME note, until somebody 
> has the time to find a better solution, instead of letting bug reports 
> about that problem accumulate?  Sure, it could possibly have a 
> collateral damage, but it could as well have no collateral damage at 
> all.
>

By the way, to limit the scope of the potential collateral damages, it is 
also possible to use that condition only when completion-styles contain 
'substring' or 'flex'.

What do you think of the attached patch?

--wDM97ByDIu
Content-Type: text/x-diff; name=Improve-handling-of-non-default-completion-styles-wi.patch
Content-Transfer-Encoding: base64
Content-ID: <371ba1d0be42f701d249@HIDDEN>
Content-Disposition: attachment; filename=Improve-handling-of-non-default-completion-styles-wi.patch
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--wDM97ByDIu--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 5 Jan 2023 20:58:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 05 15:58:14 2023
Received: from localhost ([127.0.0.1]:53058 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pDXJW-0004n5-Jp
	for submit <at> debbugs.gnu.org; Thu, 05 Jan 2023 15:58:14 -0500
Received: from jroy.ca ([23.29.118.128]:35118)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1pDXJV-0004mx-9s
 for 60505 <at> debbugs.gnu.org; Thu, 05 Jan 2023 15:58:13 -0500
Received: from defiant (vpn.jroy.ca [184.160.113.32])
 by jroy.ca (Postfix) with ESMTPSA id 1A929859F9F;
 Thu,  5 Jan 2023 15:58:12 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jroy.ca; s=default;
 t=1672952292; bh=R5D53VX4OBAbw8nkiuqBTdtfSUWPMukcsDYJEyzp1/M=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=APRGvXaOjq9XCvUXtMLcb3QdKDBSMon+BdcxZU2Sv3dlqzYdfb64Jrct1rzjUehnJ
 0i9QEYXKQuUu1A6Jrr1b/Q3wQEE0GTv7emeAWDa9cmvhu3W5hsshbibYYWN9uCIvXy
 3wzCFR/kiU89bv+55g/qWMoMIH8JbqZ3zmFZ4su8=
From: Julien Roy <julien@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <8dea9f3e0e411c315b04@HIDDEN> (Gregory Heytings's message
 of "Thu, 05 Jan 2023 13:07:51 +0000")
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
Date: Thu, 05 Jan 2023 15:58:10 -0500
Message-ID: <87cz7sg0m5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Gregory,

Gregory Heytings <gregory@HIDDEN> writes:

>
> There are two problems here:
>
> 1. fido-mode sets completion-styles to 'flex', and as indicated in the
> docstring of completion-styles "Tramp host name completion (e.g.,
> "/ssh:ho<TAB>") currently doesn't work if this list doesn't contain at
> least one of `basic', `emacs22' or `emacs21'."  The workaround is to
> add this to your init file:
>
> (advice-add #'icomplete--fido-mode-setup
> 	    :after (lambda () (setq completion-styles '(flex basic))))
>
> You could also ask for that change to be made in core.
>
> 2. Doing that is not enough, because of an incompatibility between
> Tramp and the 'flex' and 'substring' mechanisms.  The Tramp manual has
> a footnote which mentions that incompatibility: "Some completion
> styles, like `substring' or `flex', require to type at least one
> character after the trailing `:'."  A one-line patch to fix it was
> proposed, but rejected, a year and a half ago.  It is attached to this
> email, and you can use it locally.  As I said in the bug thread in
> which that patch was proposed: "I expect other bug reports from
> confused users".
>
>
<#secure method=pgpmime mode=sign>

I did that, added the snipped to my init file, and patched my
tramp.el. Now, Tramp completion works as expected in fido-mode:
C-x C-f /ssh <tab> : auto-completes tramp methods (/ssh: /sshx: /sshfs:)
C-x C-f /ssh: <tab> : auto-completes with known hosts

Thank you very much!

-- 
Julien




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 5 Jan 2023 14:14:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 05 09:14:40 2023
Received: from localhost ([127.0.0.1]:50537 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pDR0y-00085y-1j
	for submit <at> debbugs.gnu.org; Thu, 05 Jan 2023 09:14:40 -0500
Received: from heytings.org ([95.142.160.155]:60000)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1pDR0v-00085p-Ko
 for 60505 <at> debbugs.gnu.org; Thu, 05 Jan 2023 09:14:38 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1672928076;
 bh=W8WiBiL5wezpVS83p4F57/kfj2IFY3qe2lCbMo5RZkI=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=VPx/D88IfNx6PaMyteuqo53BVb/qTRJ3wAIzHFt7wytrmg5kpkqQ2n2wpuJKFbwJ9
 euemuAOZOdoWesQbJq9OlAyH8IQ3vf4WPZ5VybAowSNyPwYjwke8DRAEjwjyuWizsp
 nVCiH1om6J7ZqnbedC+AAx75CW+pC0smT5b8u2WIpY0vMvhFWFuKYXnhodmzGjuQIO
 mKMzb1y34zGmS7r9O3au+rosTZlaMU6GJgjjIFWcLcTLDUlKsZA07wrsyyw7hY0KP7
 eSsaDQ9BUMXEh1CsY+JMLrL3Zbs65fVg4Na3cSqTZcMsygK1aTKkuLtwrcIns67GgT
 K9S8aMfwtwnWQ==
Date: Thu, 05 Jan 2023 14:14:35 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <87tu15m6g7.fsf@HIDDEN>
Message-ID: <8dea9f3e0eb47ac9e4ab@HIDDEN>
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
 <87tu15m6g7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Julien Roy <julien@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> 2. Doing that is not enough, because of an incompatibility between 
>> Tramp and the 'flex' and 'substring' mechanisms.  The Tramp manual has 
>> a footnote which mentions that incompatibility: "Some completion 
>> styles, like `substring' or `flex', require to type at least one 
>> character after the trailing `:'."  A one-line patch to fix it was 
>> proposed, but rejected, a year and a half ago.  It is attached to this 
>> email, and you can use it locally.  As I said in the bug thread in 
>> which that patch was proposed: "I expect other bug reports from 
>> confused users".
>
> I don't deny that there is a problem, and it isn't a surprise that 
> people report about. But I don't think that Tramp misbehaves, it does 
> exactly what it is specified to do.
>

You may remind that we disagreed on that point.  When a connection method 
has already been fully specified by the user, such as "/ssh:", there is no 
reason Tramp should tell the user that there are two other connection 
methods "/sshfs:" and "/sshx:".  IOW, after

C-x C-f /ssh TAB

it makes sense to tell the user that there are three possible methods: 
"/ssh:", "/sshfs:" and "/sshx:".  But after

C-x C-f /ssh: TAB

there is no reason to do that again.  What the user expects at that point 
is a list of hostnames.

>
> I guess that flex and friends use completion out of the specification. 
> But I have no knowledge about the completion machinery; otherwise I 
> would have tried to find the root of the problem. I'm also not opposed 
> to extend the completion API for use in Tramp. What I'm opposed to is to 
> apply just an ad-hoc patch, which could have collateral damages.
>
> I still hope that somebody with more knowledge about the completion 
> machinery could take a stab at it.
>

Why could we not use the ad-hoc patch, with a FIXME note, until somebody 
has the time to find a better solution, instead of letting bug reports 
about that problem accumulate?  Sure, it could possibly have a collateral 
damage, but it could as well have no collateral damage at all.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 5 Jan 2023 13:55:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 05 08:55:50 2023
Received: from localhost ([127.0.0.1]:50520 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pDQij-0007eF-UM
	for submit <at> debbugs.gnu.org; Thu, 05 Jan 2023 08:55:50 -0500
Received: from mout.gmx.net ([212.227.15.19]:38909)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1pDQih-0007e2-Eu
 for 60505 <at> debbugs.gnu.org; Thu, 05 Jan 2023 08:55:48 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1672926937; bh=ZGxqVz21YnpqtX33wINrdZN92dgsY4JG6BoPG5efEuc=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=n+Zv1mHt3DCo/FAzBgJHL7YVcrY1GBMgLUdkcDjLuEvk8BFxfRLArf7v4rBd/+HJX
 3XkjO7eBTUvHM//8wQefkSpOV2Dj+IMEQgp1MbED2Ik2l8eMOOdOEDOcmFdPd/aHJ7
 V2M3kxGJFFjc1+0Y0xR28OeDzkVg6eoHHgaxT69nPpH47XVsAmyIicngwLKuXR8WFr
 5u1y+LaM9Brc5A8F+9lgyKdG9gwjXCHeXEuuUyedwKIhL/uz2DoKoxPyTqL+y4QALF
 BJezUualP2IRbl8e886hpmyc9XIWF+BWoaYTMZRFK07O6iAldLnz/1mfwrRU4qse3R
 fA+1QoHBBiTpw==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.37.45]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1Mzhj9-1orU0u2SUj-00vcuI; Thu, 05
 Jan 2023 14:55:37 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <8dea9f3e0e411c315b04@HIDDEN> (Gregory Heytings's message
 of "Thu, 05 Jan 2023 13:07:51 +0000")
References: <87k024918k.fsf@HIDDEN> <8dea9f3e0e411c315b04@HIDDEN>
Date: Thu, 05 Jan 2023 14:55:36 +0100
Message-ID: <87tu15m6g7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:olj6Ky8yeiP05dliuamRldqVnIz8bFEAi+9mM0w9j97qJXefNTS
 WGgYd8PnwDVkaMVo2P9WzIejNDePuIuTJVuDxoQ8XYVRN6lH4mPnu17WeSGSnd2y/es4Axv
 x/m/haicYP2QLnDfhUYFOPg3+PZYroew85UK492HmZt8pg8j0pFUL2qZ467klm0tFTWCfxM
 wnK4ffZooHWxL8ynysUHw==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:KWyqdY7Q3Cw=;/r/08x1szO/WLO4mbUD4MPcr0r6
 s+V76yOo81QM/WiGoy3Y0wput1tIAtQKk2LsfCwNo0A/mzfnbErLTkFESrvY/BnzZHwhctyPt
 DLB2iZNiVeVkrdodth2NZZ5s3stEsxCXTptDxoSgukXNq33Eh0ROnVRef1pIRop6s+om2cs9k
 U1t0TQnAyP65pgzPyDVn8V0U2wOCpiEum7gGVtHBVxXt5tyHEIaVSRVnNYA9T9W83VOfQfhE8
 ayiI1Wp1utH+8nv2fm8hPPuJ7iTJRgFjLaE3BHL1veZQsVlB1B5BTdEH0SY6NOvRydCPUsDJ/
 qmGF/+YGQVsmI1CskNxb9DpL/MIinPl5foRhnAMEMC1WKa21iU7GpnYVi5oh45pGq9/Tun9eT
 U+W5V0k9mBAtctT1POZoi1SGG7Cj1iNVYrH3MvAoncHHpJWzHpZsVFsKhJ6f1kOwM8OFtxW2K
 yGueggk4Pd1uU6DQ3lVxaoXxLP2k83q3cpHJqgkJ0Mpi4LEqwAI6K3AkTp3/kRH/hS7PBGkYy
 Fy7cZ7YjfuPtSYq9Lb7VwF+7bDkGkYU/eklb6E//i4+hIN30sYkhiXiEPsaeOYgGpHbf1uOri
 CqdnanY/pE+pWwkRUTzRhcbiCdw7NUWcrWfp5j79pyy6du+aHSWNrKlijQBQng0+2CJJlVDJy
 R7WRrCineUlGWFYMfC3FXoboMf+yuHPn8rEGE1WMWMo7Iug03r+MPkbK+g+tx/oSkYN90nhSu
 dA+pg7iV6nFPt1SezX9/0cl8GWHmSpx53Zc2Nde4jE/UFjg5a4ZKikkGhrwC5jgFdoi1wAS9m
 oYLKiBsInMtgesGGoNKjHAIvWtD7+jvM9iZawB8+7mtNDgyUeDgKlSdqLtVkmcoSJ99q8MKCD
 v+HfD5OkG6i+yFqG2cPL5IUdSGm1f45O3scC4vsrCItaPBW60ZxtuBsCgarPqKg2f6ns9g4Vw
 5DrKrHn4PVeL1M9L9yW//P6xT8g=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org, Julien Roy <julien@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Gregory Heytings <gregory@HIDDEN> writes:

Hi Gregory,

> 2. Doing that is not enough, because of an incompatibility between
> Tramp and the 'flex' and 'substring' mechanisms.  The Tramp manual has
> a footnote which mentions that incompatibility: "Some completion
> styles, like `substring' or `flex', require to type at least one
> character after the trailing `:'."  A one-line patch to fix it was
> proposed, but rejected, a year and a half ago.  It is attached to this
> email, and you can use it locally.  As I said in the bug thread in
> which that patch was proposed: "I expect other bug reports from
> confused users".

I don't deny that there is a problem, and it isn't a surprise that
people report about. But I don't think that Tramp misbehaves, it does
exactly what it is specified to do.

I guess that flex and friends use completion out of the
specification. But I have no knowledge about the completion machinery;
otherwise I would have tried to find the root of the problem. I'm also
not opposed to extend the completion API for use in Tramp. What I'm
opposed to is to apply just an ad-hoc patch, which could have collateral
damages.

I still hope that somebody with more knowledge about the completion
machinery could take a stab at it.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 5 Jan 2023 13:07:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 05 08:07:55 2023
Received: from localhost ([127.0.0.1]:50499 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pDPyM-0006T0-Gb
	for submit <at> debbugs.gnu.org; Thu, 05 Jan 2023 08:07:54 -0500
Received: from heytings.org ([95.142.160.155]:59938)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1pDPyL-0006Sq-53
 for 60505 <at> debbugs.gnu.org; Thu, 05 Jan 2023 08:07:53 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1672924071;
 bh=/q05h1wTfAuVFn32O70h+py4plyXeldpfA69S1Ru83Q=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=Ro5T6PtxH+PE08HCHF156YJlymGFhs8hMED7LwM6Mgxp5qhUeKM7/EYEEJFcZpyeS
 Jcw6MKLb7hRYJASma94o84czUX4Hf3lCxDU2gb6qNacm92g1O5gyzwuKnvffvoabae
 cbmsUuQRPTCixOkZ7W8WNqc3wZtqOgJi8m6NgfCNt6321bDHjvQV7FEA7N7sIKBRCh
 dsd5JjSZ8K9kOu+Kfm9sRCyyXXTuyc+MhnxDjge1k3BdRD9U1DxRJLT99Dx9nPIlYm
 SMwxJzJXByaS8FaDSpVroilyPGbKIrqblq8YtlJ2kOfCHp8cvJRZpVzDh7z2aDkB7z
 wFz68nvWusUUg==
Date: Thu, 05 Jan 2023 13:07:51 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Julien Roy <julien@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <87k024918k.fsf@HIDDEN>
Message-ID: <8dea9f3e0e411c315b04@HIDDEN>
References: <87k024918k.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="I2NM39P0iC"
Content-ID: <8dea9f3e0e1170a34087@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--I2NM39P0iC
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-ID: <8dea9f3e0e758c7dd5a3@HIDDEN>


>
> When I C-x C-f and start typing a TRAMP session to an SSH host, for 
> instance `/ssh:`, then hit <tab>, I see a list of known hosts proposed 
> for completion. This is the expected behavior. If I then enable 
> fido-mode and do the same, instead of having known hosts proposed when 
> hitting <tab>, I only get a list of TRAMP methods for completion, eg. 
> `ssh:`, `sshx:` and `sshfs:`. I would expect to also have known hosts on 
> fido-mode.
>
> To reproduce, open emacs -Q; then:
> C-x C-f /ssh: <tab>
> (This produces the expected behavior of proposing known hosts)
> M-x fido-mode
> C-x C-f /ssh: <tab>
> (Now, only TRAMP methods are proposed for completion)
>

There are two problems here:

1. fido-mode sets completion-styles to 'flex', and as indicated in the 
docstring of completion-styles "Tramp host name completion (e.g., 
"/ssh:ho<TAB>") currently doesn't work if this list doesn't contain at 
least one of `basic', `emacs22' or `emacs21'."  The workaround is to add 
this to your init file:

(advice-add #'icomplete--fido-mode-setup
 	    :after (lambda () (setq completion-styles '(flex basic))))

You could also ask for that change to be made in core.

2. Doing that is not enough, because of an incompatibility between Tramp 
and the 'flex' and 'substring' mechanisms.  The Tramp manual has a 
footnote which mentions that incompatibility: "Some completion styles, 
like `substring' or `flex', require to type at least one character after 
the trailing `:'."  A one-line patch to fix it was proposed, but rejected, 
a year and a half ago.  It is attached to this email, and you can use it 
locally.  As I said in the bug thread in which that patch was proposed: "I 
expect other bug reports from confused users".

--I2NM39P0iC
Content-Type: text/x-diff; name=Improve-handling-of-non-default-completion-styles-wi.patch; charset=us-ascii
Content-Transfer-Encoding: base64
Content-ID: <8dea9f3e0e7444976f49@HIDDEN>
Content-Disposition: attachment; filename=Improve-handling-of-non-default-completion-styles-wi.patch

RnJvbSA1ZjRiODIxYmJmNTEyMzQyMmQ0Mzg5NWJlZTRjODQ3Y2ZhZGYzMWIw
IE1vbiBTZXAgMTcgMDA6MDA6MDAgMjAwMQ0KRnJvbTogR3JlZ29yeSBIZXl0
aW5ncyA8Z3JlZ29yeUBoZXl0aW5ncy5vcmc+DQpEYXRlOiBNb24sIDYgU2Vw
IDIwMjEgMjA6NTI6MjEgKzAwMDANClN1YmplY3Q6IFtQQVRDSF0gSW1wcm92
ZSBoYW5kbGluZyBvZiBub24tZGVmYXVsdCBjb21wbGV0aW9uIHN0eWxlcyB3
aXRoIFRyYW1wDQogbWV0aG9kcw0KDQoqIGxpc3AvbmV0L3RyYW1wLmVsICh0
cmFtcC1jb21wbGV0aW9uLWhhbmRsZS1maWxlLW5hbWUtYWxsLWNvbXBsZXRp
b25zKToNCkRvIG5vdCByZXR1cm4gbWV0aG9kcyB3aGVuIHRoZSBmaWxlbmFt
ZSBhbHJlYWR5IGNvbnRhaW5zIGEgY29tcGxldGUgbWV0aG9kLg0KRml4ZXMg
YnVnIzUwMzg3Lg0KLS0tDQogbGlzcC9uZXQvdHJhbXAuZWwgfCA1ICsrKy0t
DQogMSBmaWxlIGNoYW5nZWQsIDMgaW5zZXJ0aW9ucygrKSwgMiBkZWxldGlv
bnMoLSkNCg0KZGlmZiAtLWdpdCBhL2xpc3AvbmV0L3RyYW1wLmVsIGIvbGlz
cC9uZXQvdHJhbXAuZWwNCmluZGV4IDRmZDdhMzIyZDQuLjI1OWZjMWZjZmMg
MTAwNjQ0DQotLS0gYS9saXNwL25ldC90cmFtcC5lbA0KKysrIGIvbGlzcC9u
ZXQvdHJhbXAuZWwNCkBAIC0yODM5LDggKzI4MzksOSBAQCB0cmFtcC1jb21w
bGV0aW9uLWhhbmRsZS1maWxlLW5hbWUtYWxsLWNvbXBsZXRpb25zDQogCQkJ
ICAgICAgIChkZWxxIG5pbCBhbGwtdXNlci1ob3N0cykpKSkpDQogDQogCSAg
ICA7OyBQb3NzaWJsZSBtZXRob2RzLg0KLQkgICAgKHNldHEgcmVzdWx0DQot
CQkgIChhcHBlbmQgcmVzdWx0ICh0cmFtcC1nZXQtY29tcGxldGlvbi1tZXRo
b2RzIG0pKSkpKSkpDQorCSAgICAodW5sZXNzIChzdHJpbmctZW1wdHktcCBt
ZXRob2QpDQorCSAgICAgIChzZXRxIHJlc3VsdA0KKwkJICAgIChhcHBlbmQg
cmVzdWx0ICh0cmFtcC1nZXQtY29tcGxldGlvbi1tZXRob2RzIG0pKSkpKSkp
KQ0KIA0KICAgICA7OyBVbmlmeSBsaXN0LCBhZGQgaG9wLCByZW1vdmUgbmls
IGVsZW1lbnRzLg0KICAgICAoZG9saXN0IChlbHQgcmVzdWx0KQ0KLS0gDQoy
LjMzLjANCg0K

--I2NM39P0iC--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.

Message received at 60505 <at> debbugs.gnu.org:


Received: (at 60505) by debbugs.gnu.org; 3 Jan 2023 08:56:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 03 03:56:55 2023
Received: from localhost ([127.0.0.1]:44682 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pCd6N-00089P-BA
	for submit <at> debbugs.gnu.org; Tue, 03 Jan 2023 03:56:55 -0500
Received: from mout.gmx.net ([212.227.15.18]:52689)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1pCd6L-000898-RQ
 for 60505 <at> debbugs.gnu.org; Tue, 03 Jan 2023 03:56:54 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.de; s=s31663417;
 t=1672736205; bh=eP20XPLrfHh5qjPGEFlsgeeQa9Tu3yB6hsrEADianzE=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=TqVCKlOer6e4PmVdEVCMq2p+YLYGzXBMKrqaBcdUTg/JWoG2f/9c5U8IdPbLLTkua
 8ywrxzgQE3V8yi3Vl0kkt9UwqoPOiWUSTrAfHEMEvIcuHGXMJNFQgPPVkxIp4O7Fa+
 ZOxOdlqE9yZJCoaY91hYxxnteokB1WVzzwwFYvTJf4vo2ZxsdWzqKzLCK5fdck0MgS
 c2/3qgCl1gjUZBOhNZwcYrwu4mYHRxadNGB6YF9/09uyP47KIaKzzejaS/e2kgjlhu
 4pXkNC67r+HdbiOluuDQL0OXA8TEo9gxv1OafiSAufeOpP9LkrpcOK3S01H2XHI5rE
 sbyEMrs8R7qNQ==
X-UI-Sender-Class: 724b4f7f-cbec-4199-ad4e-598c01a50d3a
Received: from gandalf.gmx.de ([185.89.37.45]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MQv8n-1pQ35O2k2p-00NwcG; Tue, 03
 Jan 2023 09:56:45 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Julien Roy <julien@HIDDEN>
Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion
In-Reply-To: <87k024918k.fsf@HIDDEN> (Julien Roy's message of "Mon, 02 Jan
 2023 14:37:31 -0500")
References: <87k024918k.fsf@HIDDEN>
Date: Tue, 03 Jan 2023 09:56:44 +0100
Message-ID: <87lemkc7xv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:LPQJJFQYDWHsLtoL1SrjbztsNgCYKsBE7juTxgBUdumt+MlFn60
 838a9Ij9cxsN/6RTekM0a336L0TgXwD/Lsfe74rOmzC2x3oBlzVP86KpjqOPFC9aHHpgxqJ
 cQZPe8roIqrd5sZqEeDlfkAjvHsS+vuLpllPosHZW+x7coUCFgI37G087y7kKUPpiXDbK6t
 hwIQf7K5nNO3z6aJywsAw==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:Kzhnnu75jWw=;DM5JRsfjxwM0hnk1xhTCjybRfJ6
 bxisKw8ki4EK7zL25g2tfvEI0/9LaI3+cROp0PEW5BelIQvmvrcn9tNR1uyQO+aBnMsZP+5RY
 tjxRBnEPGBEGfltzz2ajt4WUL4ohBL7LhCLlfQeZ7LhghM+Hl2+OKOaPdgPGV3SoJthEx0IgA
 PkvTY0k1JQRt1gFcAx6TEvsYRPl0ZvPo/6ymyCw8bya9kixveADaGSDgExShyHPrhBgbNriss
 C8Xzs9DDqySge90jicXl9dWOoLJEEvYA3+Kldst+ae6a03yFfbGX5mjuk1ngNkspf5wI5fb11
 I0K5zEowyR+HtJmlxqScgsmy1ByFQbdAl4T9IG8W/9V0BbspUY41rDP8bxfB6ZWaGv6GzXxZg
 taAGPKqXOZNXDtXZ7dbQhocpL9XuA59HK9sDqULELNPdcAO1o7WMrq9T3Jocm9/Y9saThRGsr
 8pjc1WM4kn2WqbDWiamWffNUihxq1qHfphPiIRPquc8kwicvJ+2l3jB+0z3s+r51op4HFx107
 1d5SEvr9YdJiY+xhb3zwC+BjA/yRfEHeOJQm5l711w9Gkc+iYMSQuHcn7ZQEaJrnAMIdfmwVg
 A3tTvqHSX8bzuS+g4T+EWM17UAlMMLvseScsyjI5NcgaEwmXqfBiWs4th64+n0266uRLPfETA
 g4YYwDj3MG7frfKMGe0GnAzHJ3+u2JRSriEEyQK3kwUchd7XXr/jRr1xZa9NFNsUQ8Vblp9yD
 g/LRDngbgY3HhezchKT6I1eV+24YhuGC7/v8QWLaedg+FjVhl4pZZdDW1ohsE1TrKYWK3pw8S
 PDZGqaK4p7grPupvF0XQ9pxjmjfcrdlSWA8xjR/2NRcuJW932Y1JK2bXSCagmVDj0T3555fNi
 nVlYjcT3fkObj4Inv7VzR6y8OtpaOm2Eoh/8v+6wjUy1h32q+5sIMM47324L6VkS70GlX2LkK
 Kpxg/A==
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Julien Roy writes: Hi Julien,
 > When I C-x C-f and start typing
 a TRAMP session to an SSH host, for instance > `/ssh:`, then hit <tab>, I
 see a list of known hosts proposed for > completion. This is the expected
 behavior. If I the [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.15.18 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (michael.albinus[at]gmx.de)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [185.89.37.45 listed in zen.spamhaus.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.15.18 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 60505
Cc: 60505 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Julien Roy writes: Hi Julien, > When I C-x C-f and start typing
    a TRAMP session to an SSH host, for instance > `/ssh:`, then hit <tab>, I
    see a list of known hosts proposed for > completion. This is the expected
    behavior. If I the [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.15.18 listed in wl.mailspike.net]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [185.89.37.45 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.15.18 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (michael.albinus[at]gmx.de)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Julien Roy <julien@HIDDEN> writes:

Hi Julien,

> When I C-x C-f and start typing a TRAMP session to an SSH host, for instance
> `/ssh:`, then hit <tab>, I see a list of known hosts proposed for
> completion. This is the expected behavior. If I then enable fido-mode
> and do the same, instead of having known hosts proposed when hitting
> <tab>, I only get a list of TRAMP methods for completion, eg. `ssh:`,
> `sshx:` and `sshfs:`. I would expect to also have known hosts on
> fido-mode.
>
> To reproduce, open emacs -Q; then:
> C-x C-f /ssh: <tab>
> (This produces the expected behavior of proposing known hosts)
> M-x fido-mode
> C-x C-f /ssh: <tab>
> (Now, only TRAMP methods are proposed for completion)

This is the same as bug#51386, bug#52758, bug#53513, bug#54042. I've merged
your report with them.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.
Merged 51386 52758 53513 54042 60505. Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Jan 2023 00:21:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 02 19:21:17 2023
Received: from localhost ([127.0.0.1]:44337 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pCV3M-0000QT-C9
	for submit <at> debbugs.gnu.org; Mon, 02 Jan 2023 19:21:17 -0500
Received: from lists.gnu.org ([209.51.188.17]:56042)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1pCQcr-00076y-Ci
 for submit <at> debbugs.gnu.org; Mon, 02 Jan 2023 14:37:39 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <julien@HIDDEN>) id 1pCQcr-00022b-7h
 for bug-gnu-emacs@HIDDEN; Mon, 02 Jan 2023 14:37:37 -0500
Received: from jroy.ca ([23.29.118.128])
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <julien@HIDDEN>) id 1pCQcp-000537-0L
 for bug-gnu-emacs@HIDDEN; Mon, 02 Jan 2023 14:37:36 -0500
Received: from defiant (vpn.jroy.ca [184.160.113.32])
 by jroy.ca (Postfix) with ESMTPSA id 98CB88594F4
 for <bug-gnu-emacs@HIDDEN>; Mon,  2 Jan 2023 14:37:32 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jroy.ca; s=default;
 t=1672688252; bh=isbYa1D63YyffvRICC2dU42hEgAV6jEn64y7PsybCY4=;
 h=From:To:Subject:Date;
 b=h0q0PxHZxDHp+3ytQTot5xY5iwNhhdSQZ+5/CXrIoMRXnTTcqz6QU/UN37Y/yRH06
 5n9VisBOyzduhtPMUOQuPCT3IX2AXWbspXJZYbaDNPbZOG59VYvPZJZPmXpAMopO57
 GxNW1D41xqekMMzS/EjShnmoSLdwOLyUrNGaJZm4=
From: Julien Roy <julien@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.60; Fido Mode and Tramp Completion
Date: Mon, 02 Jan 2023 14:37:31 -0500
Message-ID: <87k024918k.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=23.29.118.128; envelope-from=julien@HIDDEN;
 helo=jroy.ca
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 02 Jan 2023 19:21:14 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


When I C-x C-f and start typing a TRAMP session to an SSH host, for instance
`/ssh:`, then hit <tab>, I see a list of known hosts proposed for
completion. This is the expected behavior. If I then enable fido-mode
and do the same, instead of having known hosts proposed when hitting
<tab>, I only get a list of TRAMP methods for completion, eg. `ssh:`,
`sshx:` and `sshfs:`. I would expect to also have known hosts on
fido-mode.

To reproduce, open emacs -Q; then:
C-x C-f /ssh: <tab>
(This produces the expected behavior of proposing known hosts)
M-x fido-mode
C-x C-f /ssh: <tab>
(Now, only TRAMP methods are proposed for completion)


In GNU Emacs 29.0.60 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.24.35, cairo version 1.17.6) of 2022-12-27 built on localhost
Repository revision: ba1ddea9dabf51c9c6e463d667bcce0b48294453
Repository branch: emacs-29
System Description: Gentoo Linux

Configured using:
 'configure --prefix=/usr --build=x86_64-pc-linux-gnu
 --host=x86_64-pc-linux-gnu --mandir=/usr/share/man
 --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc
 --localstatedir=/var/lib --datarootdir=/usr/share
 --disable-silent-rules --docdir=/usr/share/doc/emacs-29.0.9999-r1
 --htmldir=/usr/share/doc/emacs-29.0.9999-r1/html --libdir=/usr/lib64
 --program-suffix=-emacs-29-vcs --includedir=/usr/include/emacs-29-vcs
 --infodir=/usr/share/info/emacs-29-vcs --localstatedir=/var
 --enable-locallisppath=/etc/emacs:/usr/share/emacs/site-lisp
 --without-compress-install --without-hesiod --without-pop
 --with-file-notification=inotify --with-pdumper --enable-acl
 --with-dbus --with-modules --without-gameuser --with-libgmp --with-gpm
 --with-native-compilation=aot --without-json --without-kerberos
 --without-kerberos5 --with-lcms2 --with-xml2 --without-mailutils
 --without-selinux --without-sqlite3 --with-gnutls --without-libsystemd
 --with-threads --with-tree-sitter --without-wide-int --with-sound=alsa
 --with-zlib --with-pgtk --without-x --without-ns
 --with-toolkit-scroll-bars --without-gconf --with-gsettings
 --with-harfbuzz --without-libotf --without-m17n-flt --without-xwidgets
 --with-gif --with-jpeg --with-png --with-rsvg --with-tiff --with-webp
 --without-imagemagick --with-dumping=pdumper 'CFLAGS=-march=znver2 -O2
 -pipe' 'LDFLAGS=-Wl,-O1 -Wl,--as-needed''

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
LCMS2 LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY PDUMPER PGTK PNG RSVG
SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS TREE_SITTER WEBP XIM GTK3
ZLIB

Important settings:
  value of $LC_MONETARY: en_US.UTF-8
  value of $LC_NUMERIC: en_US.UTF-8
  value of $LC_TIME: en_US.UTF-8
  value of $LANG: en_US.utf8
  locale-coding-system: utf-8-unix

Major mode: Org

Minor modes in effect:
  flyspell-mode: t
  org-indent-mode: t
  server-mode: t
  fido-vertical-mode: t
  icomplete-vertical-mode: t
  icomplete-mode: t
  fido-mode: t
  pixel-scroll-mode: t
  electric-pair-mode: t
  delete-selection-mode: t
  global-hl-line-mode: t
  shell-dirtrack-mode: t
  override-global-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  global-prettify-symbols-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
/usr/share/emacs/site-lisp/cmake-mode hides /usr/share/emacs/site-lisp/cmake/cmake-mode
/usr/share/emacs/site-lisp/desktop-entry-mode hides /usr/share/emacs/site-lisp/desktop-file-utils/desktop-entry-mode

Features:
(shadow emacsbug flyspell ispell org-indent org-element org-persist
org-id org-refile avl-tree generator oc-basic ol-eww eww xdg url-queue
ol-rmail ol-mhe ol-irc ol-info ol-gnus nnselect ol-docview doc-view
filenotify jka-compr image-mode exif ol-bibtex bibtex ol-bbdb ol-w3m
ol-doi org-link-doi org ob ob-tangle ob-ref ob-lob ob-table ob-exp
org-macro org-src ob-comint org-pcomplete org-list org-footnote
org-faces org-entities noutline outline ob-emacs-lisp ob-core ob-eval
org-cycle org-table ol org-fold org-fold-core org-keys oc org-loaddefs
find-func cal-menu calendar cal-loaddefs org-version org-compat org-macs
ebuild-mode skeleton sh-script smie treesit executable bookmark
gnus-notifications gnus-fun notifications mule-util sort gnus-cite
smiley qp mm-archive mail-extr textsec uni-scripts idna-mapping
ucs-normalize uni-confusable textsec-check gnus-async gnus-bcklg gnus-ml
disp-table gnus-topic nndraft nnmh nnrss mm-url nnfolder utf-7 epa-file
network-stream nsm gnus-agent gnus-srvr gnus-score score-mode nnvirtual
gnus-msg gnus-art mm-uu mml2015 mm-view mml-smime smime gnutls dig
gnus-cache gnus-sum shr pixel-fill kinsoku url-file svg dom comp
comp-cstr server display-line-numbers cl-extra checkdoc lisp-mnt
help-mode flymake-proc flymake project compile warnings thingatpt init
init-mentor init-flyspell init-flymake help-at-pt init-tramp init-modus
modus-vivendi-theme modus-themes pcase init-fido icomplete init-gnus
smtpmail gnus-demon nntp gnus-group gnus-undo gnus-start gnus-dbus dbus
xml gnus-cloud nnimap nnmail mail-source utf7 gnus-spec gnus-win nnoo
gnus-int gnus-range message sendmail yank-media puny rfc822 mml mml-sec
epa derived epg rfc6068 epg-config mm-decode mm-bodies mm-encode
mail-parse rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev gmm-utils
mailheader gnus nnheader gnus-util text-property-search mail-utils range
mm-util mail-prsvr init-org init-ui pixel-scroll cua-base dired
dired-loaddefs elec-pair delsel hl-line init-packages lxd-tramp tramp
tramp-loaddefs trampver tramp-integration cus-edit pp cus-load icons
wid-edit files-x tramp-compat rx shell pcomplete comint ansi-osc
ansi-color ring parse-time iso8601 time-date ls-lisp format-spec
use-package use-package-ensure use-package-delight use-package-diminish
use-package-bind-key bind-key easy-mmode use-package-core site-gentoo
mentor-autoloads xml-rpc-autoloads async-autoloads
org-contacts-autoloads yaml-mode-autoloads url-scgi-autoloads package
browse-url url url-proxy url-privacy url-expand url-methods url-history
url-cookie generate-lisp-file url-domsuf url-util mailcap url-handlers
url-parse auth-source cl-seq eieio eieio-core cl-macs password-cache
json subr-x map byte-opt gv bytecomp byte-compile url-vars cl-loaddefs
cl-lib rmc iso-transl tooltip cconv eldoc paren electric uniquify
ediff-hook vc-hooks lisp-float-type elisp-mode mwheel term/pgtk-win
pgtk-win term/common-win pgtk-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list replace newcomment text-mode lisp-mode prog-mode
register page tab-bar menu-bar rfn-eshadow isearch easymenu timer select
scroll-bar mouse jit-lock font-lock syntax font-core term/tty-colors
frame minibuffer nadvice seq simple cl-generic indonesian philippine
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help abbrev obarray oclosure
cl-preloaded button loaddefs theme-loaddefs faces cus-face macroexp
files window text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget keymap hashtable-print-readable backquote
threads dbusbind inotify dynamic-setting system-font-setting
font-render-setting cairo gtk pgtk lcms2 multi-tty make-network-process
native-compile emacs)

Memory information:
((conses 16 689456 32101)
 (symbols 48 30811 5)
 (strings 32 167646 8527)
 (string-bytes 1 23679638)
 (vectors 16 82271)
 (vector-slots 8 2107107 230233)
 (floats 8 487 403)
 (intervals 56 2195 393)
 (buffers 984 27))
<#secure method=pgpmime mode=sign>

-- 
Julien




Acknowledgement sent to Julien Roy <julien@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#60505; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 8 Feb 2023 14:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.